2021-01-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 934c48a05b3491c39253678dd4bf671af8c3425e
	NEWS: Fix typo in CVE-2021-3326 entry

	* NEWS: Modified.

2021-01-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a50a080f6b0f958eb30d7520212f25f946ed7f8f
	elf: Fix tests that rely on ld.so.cache for cross-compiling

	* elf/tst-glibc-hwcaps-prepend-cache.root/ldconfig.run: New file.
	* elf/tst-ldconfig-ld_so_conf-update.root/ldconfig.run: New file.
	* support/test-container.c: Modified.
	(main): Modified function.
	(support/capture_subprocess.h): Include file.
	(run_ldconfig): New function.

2021-01-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: d7f4f3f5fb1275f0b3d9f4e1b3d9d7b75a5a9e26
	NEWS: Mention CVE-2021-3326 (iconv assertion with ISO-20220-JP-3)

	* NEWS: Modified.

2021-01-29  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 570bb42376b0885e34454b22baa005090e0e1ea2
	NEWS: Add entry for glibc-hwcaps and deprecate legacy hwcaps

	* NEWS: Modified.

2021-01-29  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 04dff6fc0d4ad44fc4491f89fed6574380b78251
	x86: Properly set usable CET feature bits [BZ #26625]

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_usable): Modified function.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cet.c: Modified.
	(dl_cet_check): Modified function.
	* sysdeps/x86/tst-cet-legacy-10-static.c: New file.
	* sysdeps/x86/tst-cet-legacy-10.c: New file.
	* sysdeps/x86/tst-cet-legacy-5.c: Modified.
	(do_test_1): Modified function.
	* sysdeps/x86/tst-cet-legacy-6.c: Modified.
	(do_test_1): Modified function.
	* sysdeps/x86/tst-cet-legacy-9-static.c: New file.
	* sysdeps/x86/tst-cet-legacy-9.c: New file.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6032ae6514d2c8d47246f96626b5d8adc218b92d
	Update translations

	* po/be.po: Modified.
	* po/bg.po: Modified.
	* po/ca.po: Modified.
	* po/cs.po: Modified.
	* po/da.po: Modified.
	* po/de.po: Modified.
	* po/el.po: Modified.
	* po/eo.po: Modified.
	* po/es.po: Modified.
	* po/fi.po: Modified.
	* po/fr.po: Modified.
	* po/gl.po: Modified.
	* po/hr.po: Modified.
	* po/hu.po: Modified.
	* po/ia.po: Modified.
	* po/id.po: Modified.
	* po/it.po: Modified.
	* po/ja.po: Modified.
	* po/ko.po: Modified.
	* po/lt.po: Modified.
	* po/nb.po: Modified.
	* po/nl.po: Modified.
	* po/pl.po: Modified.
	* po/pt.po: Modified.
	* po/pt_BR.po: Modified.
	* po/ru.po: Modified.
	* po/rw.po: Modified.
	* po/sk.po: Modified.
	* po/sl.po: Modified.
	* po/sv.po: Modified.
	* po/tr.po: Modified.
	* po/uk.po: Modified.
	* po/vi.po: Modified.
	* po/zh_CN.po: Modified.
	* po/zh_TW.po: Modified.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4e046911076b4f66a417d360858903e07074995e
	Update libc.pot for 2.33 release

	* po/libc.pot: Modified.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4a3f20b33a4ae45e5aa9f954a04ad3671ab006a6
	Update ia64 libm-test-ulps

	* sysdeps/ia64/fpu/libm-test-ulps: Modified.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: a7b21a7830ed0a901092093e6face041441dcc0c
	sh: Update libm-tests-ulps

	* sysdeps/sh/libm-test-ulps: Modified.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c177f6610c2b794aff8d3cee1d2277e59f00e8f2
	ia64: Fix brk call on statup

	* sysdeps/unix/sysv/linux/ia64/brk.c: New file.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 341063c3b1e441fb1c5e38443ae601ceb78d1313
	Update sparc libm-test-ulps

	* sysdeps/sparc/fpu/libm-test-ulps: Modified.

2021-01-28  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d04d64804d2ffce939b0b2f162e6f9cecc775979
	Update alpha libm-test-ulps

	* sysdeps/alpha/fpu/libm-test-ulps: Modified.

2021-01-28  Raoni Fassina Firmino  <raoni@linux.ibm.com>

	COMMIT: 5ee506ed35a2c9184bcb1fb5e79b6cceb9bb0dd1
	powerpc64: Workaround sigtramp vdso return call

	* sysdeps/powerpc/powerpc64/backtrace.c: Modified.
	(is_sigtramp_address): Modified function.

2021-01-27  DJ Delorie  <dj@redhat.com>

	COMMIT: 757a14b5ac7c736c759605f4b674cae28d752116
	Fix nss/tst-reload2 for systems without PATH_MAX

	* nss/tst-reload2.c: Modified.
	[! PATH_MAX](PATH_MAX): New.

2021-01-27  DJ Delorie  <dj@redhat.com>

	COMMIT: 429029a73ec2dba7f808f69ec8b9e3d84e13e804
	nsswitch: do not reload if "/" changes

	* nss/Makefile: Modified.
	* nss/nss_database.c: Modified.
	(nss_database_state): Modified.
	(global_state_allocate): Modified function.
	(nss_database_check_reload_and_get): Modified function.
	* nss/nss_module.c: Modified.
	(__nss_module_disable_loading): New function.
	* nss/nss_module.h: Modified.
	(__nss_module_disable_loading): New function.
	* nss/tst-reload2.c: New file.
	* nss/tst-reload2.root/etc/nsswitch.conf: New file.
	* nss/tst-reload2.root/subdir/etc/group: New file.
	* nss/tst-reload2.root/subdir/etc/nsswitch.conf: New file.
	* nss/tst-reload2.root/tst-reload2.script: New file.

2021-01-27  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 01cdcf783a666481133d4975b1980624b0ef4799
	elf: Limit tst-prelink-cmp target archs

	* elf/Makefile: Modified.
	* elf/tst-prelink-cmp.c: New file.
	* elf/tst-prelink.exp: Delete file.

2021-01-27  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7d88c6142c6efc160c0ee5e4f85cde382c072888
	gconv: Fix assertion failure in ISO-2022-JP-3 module (bug 27256)

	* iconvdata/Makefile: Modified.
	* iconvdata/bug-iconv14.c: New file.
	* iconvdata/iso-2022-jp-3.c: Modified.
	(EMIT_SHIFT_TO_INIT): Modified.
	(BODY): Modified.

2021-01-27  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: df359a25ba6f6bda06104229fbfe284c1fb30915
	Revert "Make libc symbols hidden in static PIE" [BZ #27237]

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(SHARED ||  LIBC_NONSHARED)](attribute_hidden): Remove.
	[! _ISOMAC][SHARED ||  LIBC_NONSHARED](attribute_hidden): Remove.
	[! _ISOMAC][!(SHARED ||  LIBC_NONSHARED  || (BUILD_PIE_DEFAULT && IS_IN (libc)))](attribute_hidden): New.
	[! _ISOMAC][SHARED ||  LIBC_NONSHARED  || (BUILD_PIE_DEFAULT && IS_IN (libc))](attribute_hidden): New.

2021-01-26  Arjun Shankar  <arjun@redhat.com>

	COMMIT: 3725ee39dbd4d7c17fc276b3ea4248cc16e4b522
	benchtests: Do not build bench-timing-type with MODULE_NAME=libc

	* benchtests/Makefile: Modified.

2021-01-25  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 04c6a8073d1c9d73c4a88b536aeb803b12fbffdc
	aarch64: Fix the list of tested IFUNC variants [BZ #26818]

	* sysdeps/aarch64/multiarch/ifunc-impl-list.c: Modified.
	(__libc_ifunc_impl_list): Modified function.
	* sysdeps/aarch64/multiarch/init-arch.h: Modified.
	(INIT_ARCH): Modified.

2021-01-25  Tulio Magno Quites Machado Filho  <tuliom@linux.ibm.com>

	COMMIT: ad47748992fadb6f1663f5a76eef3c24992a1815
	Update INSTALL with package versions that are known to work

	* INSTALL: Modified.
	* manual/install.texi: Modified.

2021-01-25  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: c3c4a25e651d4d78b1751664a613807b7140ed7e
	aarch64: Move and update the definition of MTE_ENABLED

	* sysdeps/aarch64/multiarch/init-arch.h: Modified.
	(INIT_ARCH): Modified.
	(sys/auxv.h): Include file.
	(MTE_ENABLED): New.
	* sysdeps/aarch64/multiarch/strlen.c: Modified.
	(FUTURE_HWCAP2_MTE): Remove.
	(MTE_ENABLED): Remove.
	(libc_ifunc): Modified.

2021-01-25  Andreas Schwab  <schwab@linux-m68k.org>

	COMMIT: 31f64887222597bb15b7a814d8dadb7cb667bcb9
	Fix misplaced const

	* sysdeps/x86/cacheinfo.c: Modified.
	[SHARED](__): Modified.
	* sysdeps/x86/dl-get-cpu-features.c: Modified.
	[SHARED](__): Modified.

2021-01-23  Mao Han  <han_mao@linux.alibaba.com>

	COMMIT: fcfa4bb48da965d92c7d01229d01e6c5ba59e69a
	Update C-SKY libm-test-ulps

	* sysdeps/csky/fpu/libm-test-ulps: Modified.
	* sysdeps/csky/nofpu/libm-test-ulps: Modified.

2021-01-22  John McCabe  <jmccabe@kirintec.com>

	COMMIT: 56ef6ab0cdf44da8858730876927de19f08d51fb
	manual: Correct argument order in mount examples [BZ #27207]

	* manual/sysinfo.texi: Modified.

2021-01-22  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 42d6270439e06138832b54e2fb6c5e38d7690814
	linux: mips: Fix getdents64 fallback on mips64-n32

	* sysdeps/unix/sysv/linux/mips/mips64/getdents64.c: Modified.
	(__getdents64): Modified function.
	* sysdeps/unix/sysv/linux/tst-getdents64.c: Modified.
	(do_test): Modified function.
	(do_test_large_size): New function.
	(do_test_by_size): New function.

2021-01-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 5f478eb0fb2b22204d501b6721c6fe9dc1f3ebba
	x86: Properly match CPU features in /proc/cpuinfo [BZ #27222]

	* sysdeps/x86/tst-cpu-features-cpuinfo.c: Modified.
	(check_proc): Modified function.
	(CHECK_PROC): Modified.
	(do_test): Modified function.

2021-01-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f5432595008a4bf0158b27d90500b2d15fc74482
	x86-64: Update tst-glibc-hwcaps-2.c for x86-64 baseline

	* sysdeps/unix/sysv/linux/x86_64/tst-glibc-hwcaps-2.c: Modified.
	(do_test): Modified function.

2021-01-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 527c89cd32f8522859f58343be3d3dc8f754b783
	powerpc64: Select POWER9 machine for the scv instruction

	* sysdeps/powerpc/powerpc64/sysdep.h: Modified.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](DO_CALL_SCV): Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Modified.
	(SYSCALL_SCV): Modified.

2021-01-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7a5ab88e218d2091e876a9779a4acae426afb85c
	x86: Check ifunc resolver with CPU_FEATURE_USABLE [BZ #27072]

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/tst-ifunc-isa-1-static.c: New file.
	* sysdeps/x86/tst-ifunc-isa-1.c: New file.
	* sysdeps/x86/tst-ifunc-isa-2-static.c: New file.
	* sysdeps/x86/tst-ifunc-isa-2.c: New file.
	* sysdeps/x86/tst-ifunc-isa.h: New file.

2021-01-21  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 46c1c765d14c77c6c36df1b51dae6674a4eef06b
	Revert "linux: Move {f}xstat{at} to compat symbols" for static build

	* include/shlib-compat.h: Modified.
	[SHARED](SHLIB_COMPAT): Modified.
	[SHARED](_SHLIB_COMPAT): Remove.
	(LIB_COMPAT): New.
	(_LIB_COMPAT): New.
	* sysdeps/mach/hurd/fxstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): Remove.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): New.
	* sysdeps/mach/hurd/fxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__fxstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__fxstat64): New.
	* sysdeps/mach/hurd/fxstatat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): Remove.
	[LIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): New.
	* sysdeps/mach/hurd/fxstatat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): New.
	* sysdeps/mach/hurd/lxstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): Remove.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): New.
	* sysdeps/mach/hurd/lxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__lxstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__lxstat64): New.
	* sysdeps/mach/hurd/xstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): Remove.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](weak_alias): New.
	* sysdeps/mach/hurd/xstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__xstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](__xstat64): New.
	* sysdeps/unix/sysv/linux/fxstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): Remove.
	[!XSTAT_IS_XSTAT64][LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): New.
	* sysdeps/unix/sysv/linux/fxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___fxstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___fxstat64): New.
	* sysdeps/unix/sysv/linux/fxstatat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): Remove.
	[!XSTAT_IS_XSTAT64][LIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): New.
	* sysdeps/unix/sysv/linux/fxstatat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): New.
	* sysdeps/unix/sysv/linux/lxstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): Remove.
	[!XSTAT_IS_XSTAT64][LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): New.
	* sysdeps/unix/sysv/linux/lxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](___lxstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](___lxstat64): New.
	* sysdeps/unix/sysv/linux/xstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): Remove.
	[!XSTAT_IS_XSTAT64][LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): New.
	[!XSTAT_IS_XSTAT64](shlib-compat.h): Include file.
	(shlib-compat.h): Remove include.
	* sysdeps/unix/sysv/linux/xstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___xstat64): Remove.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): New.
	[LIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___xstat64): New.

2021-01-21  Shuo Wang  <wangshuo47@huawei.com>
            liqingqing  <liqingqing3@huawei.com>

	COMMIT: 28f2ce27722d890a884cc7fa2f6d2bc0cb418f26
	aarch64: revert memcpy optimze for kunpeng to avoid performance degradation

	* sysdeps/aarch64/multiarch/memcpy.c: Modified.
	(libc_ifunc): Modified.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2682695e5c7acf1e60dd3b5c3a14d4e82416262c
	Make libc symbols hidden in static PIE

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(SHARED ||  LIBC_NONSHARED  || (BUILD_PIE_DEFAULT && IS_IN (libc)))](attribute_hidden): Remove.
	[! _ISOMAC][SHARED ||  LIBC_NONSHARED  || (BUILD_PIE_DEFAULT && IS_IN (libc))](attribute_hidden): Remove.
	[! _ISOMAC][!(SHARED ||  LIBC_NONSHARED)](attribute_hidden): New.
	[! _ISOMAC][SHARED ||  LIBC_NONSHARED](attribute_hidden): New.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 86d439b06fb29af8d063ee8855ff63a863f46ef3
	csu: Move static pie self relocation later [BZ #27072]

	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 47618209d05a0e77932038f21c6bba2425bd75c6
	Use hidden visibility for early static PIE code

	* csu/libc-start.c: Modified.
	* elf/dl-reloc-static-pie.c: Modified.
	* elf/dl-support.c: Modified.
	(string.h): Include file.
	* elf/dl-tunables.c: Modified.
	* elf/enbl-secure.c: Modified.
	* misc/sbrk.c: Modified.
	* sysdeps/unix/sysv/linux/aarch64/libc-start.c: Modified.
	* sysdeps/x86/libc-start.c: Modified.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 04af1eb3132904519f9bc8fdcca49525bec83fc7
	csu: Avoid weak ref for __ehdr_start in static PIE

	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 374cef32ac36d956f75ccc6416872498bbe66e82
	configure: Check for static PIE support

	* config.h.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.
	* sysdeps/i386/configure: Modified.
	* sysdeps/i386/configure.ac: Modified.
	* sysdeps/x86_64/configure: Modified.
	* sysdeps/x86_64/configure.ac: Modified.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: bfe04789a8d9014cf3177137651f8f93dd4a00ca
	elf: Avoid RELATIVE relocs in __tunables_init

	* elf/dl-tunable-types.h: Modified.
	(_tunable): Modified.
	* elf/dl-tunables.c: Modified.
	(__tunables_init): Modified function.
	* scripts/gen-tunables.awk: Modified.

2021-01-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 058308066c9ee3d08361a61cc36835abfe5ecfb6
	elf: Make the tunable struct definition internal only

	* elf/dl-tunable-types.h: Modified.
	(tunable_val_t): Remove.
	(tunable_callback_t): Remove.
	(stdbool.h): Include file.
	(stdint.h): Include file.
	(_tunable): New.
	(tunable_t): New.
	* elf/dl-tunables.h: Modified.
	[HAVE_TUNABLES](dl-tunable-types.h): Remove include.
	[HAVE_TUNABLES](_tunable): Remove.
	[HAVE_TUNABLES](tunable_t): Remove.
	[HAVE_TUNABLES](stdbool.h): Include file.
	[HAVE_TUNABLES](stdint.h): Include file.
	[HAVE_TUNABLES](tunable_val_t): New.
	[HAVE_TUNABLES](tunable_callback_t): New.
	(stdbool.h): Remove include.
	* scripts/gen-tunables.awk: Modified.

2021-01-21  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ff6d62e9edb5dce537a6dd4a237d6053f331f09c
	<sys/platform/x86.h>: Remove the C preprocessor magic

	* manual/platform.texi: Modified.
	* sysdeps/mach/hurd/i386/ld.abilist: Modified.
	* sysdeps/mach/hurd/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/i386/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/libc.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/tst-glibc-hwcaps-2.c: Modified.
	(do_test): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/x32/ld.abilist: Modified.
	* sysdeps/unix/sysv/linux/x86_64/x32/libc.abilist: Modified.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/Versions: Modified.
	* sysdeps/x86/bits/platform/x86.h: New file.
	* sysdeps/x86/cpu-features.c: Modified.
	(get_extended_indices): Modified function.
	(get_common_indices): Modified function.
	(init_cpu_features): Modified function.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(get_common_cache_info): Modified function.
	* sysdeps/x86/dl-get-cpu-features.c: Modified.
	(__x86_get_cpu_features): Remove.
	(__x86_get_cpu_features): Remove function.
	(_dl_x86_get_cpu_features): New.
	(_dl_x86_get_cpu_features): New function.
	* sysdeps/x86/get-cpuid-feature-leaf.c: New file.
	* sysdeps/x86/get-isa-level.h: Modified.
	(sys/platform/x86.h): Remove include.
	(cpu-features.h): Include file.
	* sysdeps/x86/include/cpu-features.h: Modified.
	[(_LIBC) && !IS_IN (nonlib)](__x86_get_cpu_features): Remove.
	[(_LIBC) && !IS_IN (nonlib)](_dl_x86_get_cpu_features): New.
	(cpu_features): Remove.
	(__x86_get_cpu_features): Remove.
	(sysdeps/x86/sys/platform/x86.h): Remove include.
	(cpu_features): Remove.
	(__x86_get_cpu_features): Remove.
	(__get_cpu_features): Modified.
	(<anoymous>): Modified.
	(HAS_CPU_FEATURE): Modified.
	(CPU_FEATURE_USABLE): Modified.
	(cpu_features): Modified.
	(_SYS_PLATFORM_X86_H): New.
	(bits/platform/x86.h): Include file.
	(<anoymous>): New.
	(CPU_FEATURE_CHECK_P): New.
	(CPU_FEATURE_CPU_P): New.
	(CPU_FEATURE_USABLE_P): New.
	(bit_cpu_SSE3): New.
	(bit_cpu_PCLMULQDQ): New.
	(bit_cpu_DTES64): New.
	(bit_cpu_MONITOR): New.
	(bit_cpu_DS_CPL): New.
	(bit_cpu_VMX): New.
	(bit_cpu_SMX): New.
	(bit_cpu_EIST): New.
	(bit_cpu_TM2): New.
	(bit_cpu_SSSE3): New.
	(bit_cpu_CNXT_ID): New.
	(bit_cpu_SDBG): New.
	(bit_cpu_FMA): New.
	(bit_cpu_CMPXCHG16B): New.
	(bit_cpu_XTPRUPDCTRL): New.
	(bit_cpu_PDCM): New.
	(bit_cpu_INDEX_1_ECX_16): New.
	(bit_cpu_PCID): New.
	(bit_cpu_DCA): New.
	(bit_cpu_SSE4_1): New.
	(bit_cpu_SSE4_2): New.
	(bit_cpu_X2APIC): New.
	(bit_cpu_MOVBE): New.
	(bit_cpu_POPCNT): New.
	(bit_cpu_TSC_DEADLINE): New.
	(bit_cpu_AES): New.
	(bit_cpu_XSAVE): New.
	(bit_cpu_OSXSAVE): New.
	(bit_cpu_AVX): New.
	(bit_cpu_F16C): New.
	(bit_cpu_RDRAND): New.
	(bit_cpu_INDEX_1_ECX_31): New.
	(bit_cpu_FPU): New.
	(bit_cpu_VME): New.
	(bit_cpu_DE): New.
	(bit_cpu_PSE): New.
	(bit_cpu_TSC): New.
	(bit_cpu_MSR): New.
	(bit_cpu_PAE): New.
	(bit_cpu_MCE): New.
	(bit_cpu_CX8): New.
	(bit_cpu_APIC): New.
	(bit_cpu_INDEX_1_EDX_10): New.
	(bit_cpu_SEP): New.
	(bit_cpu_MTRR): New.
	(bit_cpu_PGE): New.
	(bit_cpu_MCA): New.
	(bit_cpu_CMOV): New.
	(bit_cpu_PAT): New.
	(bit_cpu_PSE_36): New.
	(bit_cpu_PSN): New.
	(bit_cpu_CLFSH): New.
	(bit_cpu_INDEX_1_EDX_20): New.
	(bit_cpu_DS): New.
	(bit_cpu_ACPI): New.
	(bit_cpu_MMX): New.
	(bit_cpu_FXSR): New.
	(bit_cpu_SSE): New.
	(bit_cpu_SSE2): New.
	(bit_cpu_SS): New.
	(bit_cpu_HTT): New.
	(bit_cpu_TM): New.
	(bit_cpu_INDEX_1_EDX_30): New.
	(bit_cpu_PBE): New.
	(bit_cpu_FSGSBASE): New.
	(bit_cpu_TSC_ADJUST): New.
	(bit_cpu_SGX): New.
	(bit_cpu_BMI1): New.
	(bit_cpu_HLE): New.
	(bit_cpu_AVX2): New.
	(bit_cpu_INDEX_7_EBX_6): New.
	(bit_cpu_SMEP): New.
	(bit_cpu_BMI2): New.
	(bit_cpu_ERMS): New.
	(bit_cpu_INVPCID): New.
	(bit_cpu_RTM): New.
	(bit_cpu_RDT_M): New.
	(bit_cpu_DEPR_FPU_CS_DS): New.
	(bit_cpu_MPX): New.
	(bit_cpu_RDT_A): New.
	(bit_cpu_AVX512F): New.
	(bit_cpu_AVX512DQ): New.
	(bit_cpu_RDSEED): New.
	(bit_cpu_ADX): New.
	(bit_cpu_SMAP): New.
	(bit_cpu_AVX512_IFMA): New.
	(bit_cpu_INDEX_7_EBX_22): New.
	(bit_cpu_CLFLUSHOPT): New.
	(bit_cpu_CLWB): New.
	(bit_cpu_TRACE): New.
	(bit_cpu_AVX512PF): New.
	(bit_cpu_AVX512ER): New.
	(bit_cpu_AVX512CD): New.
	(bit_cpu_SHA): New.
	(bit_cpu_AVX512BW): New.
	(bit_cpu_AVX512VL): New.
	(bit_cpu_PREFETCHWT1): New.
	(bit_cpu_AVX512_VBMI): New.
	(bit_cpu_UMIP): New.
	(bit_cpu_PKU): New.
	(bit_cpu_OSPKE): New.
	(bit_cpu_WAITPKG): New.
	(bit_cpu_AVX512_VBMI2): New.
	(bit_cpu_SHSTK): New.
	(bit_cpu_GFNI): New.
	(bit_cpu_VAES): New.
	(bit_cpu_VPCLMULQDQ): New.
	(bit_cpu_AVX512_VNNI): New.
	(bit_cpu_AVX512_BITALG): New.
	(bit_cpu_INDEX_7_ECX_13): New.
	(bit_cpu_AVX512_VPOPCNTDQ): New.
	(bit_cpu_INDEX_7_ECX_15): New.
	(bit_cpu_INDEX_7_ECX_16): New.
	(bit_cpu_RDPID): New.
	(bit_cpu_KL): New.
	(bit_cpu_INDEX_7_ECX_24): New.
	(bit_cpu_CLDEMOTE): New.
	(bit_cpu_INDEX_7_ECX_26): New.
	(bit_cpu_MOVDIRI): New.
	(bit_cpu_MOVDIR64B): New.
	(bit_cpu_ENQCMD): New.
	(bit_cpu_SGX_LC): New.
	(bit_cpu_PKS): New.
	(bit_cpu_INDEX_7_EDX_0): New.
	(bit_cpu_INDEX_7_EDX_1): New.
	(bit_cpu_AVX512_4VNNIW): New.
	(bit_cpu_AVX512_4FMAPS): New.
	(bit_cpu_FSRM): New.
	(bit_cpu_UINTR): New.
	(bit_cpu_INDEX_7_EDX_6): New.
	(bit_cpu_INDEX_7_EDX_7): New.
	(bit_cpu_AVX512_VP2INTERSECT): New.
	(bit_cpu_INDEX_7_EDX_9): New.
	(bit_cpu_MD_CLEAR): New.
	(bit_cpu_INDEX_7_EDX_11): New.
	(bit_cpu_INDEX_7_EDX_12): New.
	(bit_cpu_INDEX_7_EDX_13): New.
	(bit_cpu_SERIALIZE): New.
	(bit_cpu_HYBRID): New.
	(bit_cpu_TSXLDTRK): New.
	(bit_cpu_INDEX_7_EDX_17): New.
	(bit_cpu_PCONFIG): New.
	(bit_cpu_INDEX_7_EDX_19): New.
	(bit_cpu_IBT): New.
	(bit_cpu_INDEX_7_EDX_21): New.
	(bit_cpu_AMX_BF16): New.
	(bit_cpu_AVX512_FP16): New.
	(bit_cpu_AMX_TILE): New.
	(bit_cpu_AMX_INT8): New.
	(bit_cpu_IBRS_IBPB): New.
	(bit_cpu_STIBP): New.
	(bit_cpu_L1D_FLUSH): New.
	(bit_cpu_ARCH_CAPABILITIES): New.
	(bit_cpu_CORE_CAPABILITIES): New.
	(bit_cpu_SSBD): New.
	(bit_cpu_LAHF64_SAHF64): New.
	(bit_cpu_SVM): New.
	(bit_cpu_LZCNT): New.
	(bit_cpu_SSE4A): New.
	(bit_cpu_PREFETCHW): New.
	(bit_cpu_XOP): New.
	(bit_cpu_LWP): New.
	(bit_cpu_FMA4): New.
	(bit_cpu_TBM): New.
	(bit_cpu_SYSCALL_SYSRET): New.
	(bit_cpu_NX): New.
	(bit_cpu_PAGE1GB): New.
	(bit_cpu_RDTSCP): New.
	(bit_cpu_LM): New.
	(bit_cpu_XSAVEOPT): New.
	(bit_cpu_XSAVEC): New.
	(bit_cpu_XGETBV_ECX_1): New.
	(bit_cpu_XSAVES): New.
	(bit_cpu_XFD): New.
	(bit_cpu_INVARIANT_TSC): New.
	(bit_cpu_WBNOINVD): New.
	(bit_cpu_AVX_VNNI): New.
	(bit_cpu_AVX512_BF16): New.
	(bit_cpu_FZLRM): New.
	(bit_cpu_FSRS): New.
	(bit_cpu_FSRCS): New.
	(bit_cpu_HRESET): New.
	(bit_cpu_LAM): New.
	(bit_cpu_AESKLE): New.
	(bit_cpu_WIDE_KL): New.
	(index_cpu_SSE3): New.
	(index_cpu_PCLMULQDQ): New.
	(index_cpu_DTES64): New.
	(index_cpu_MONITOR): New.
	(index_cpu_DS_CPL): New.
	(index_cpu_VMX): New.
	(index_cpu_SMX): New.
	(index_cpu_EIST): New.
	(index_cpu_TM2): New.
	(index_cpu_SSSE3): New.
	(index_cpu_CNXT_ID): New.
	(index_cpu_SDBG): New.
	(index_cpu_FMA): New.
	(index_cpu_CMPXCHG16B): New.
	(index_cpu_XTPRUPDCTRL): New.
	(index_cpu_PDCM): New.
	(index_cpu_INDEX_1_ECX_16): New.
	(index_cpu_PCID): New.
	(index_cpu_DCA): New.
	(index_cpu_SSE4_1): New.
	(index_cpu_SSE4_2): New.
	(index_cpu_X2APIC): New.
	(index_cpu_MOVBE): New.
	(index_cpu_POPCNT): New.
	(index_cpu_TSC_DEADLINE): New.
	(index_cpu_AES): New.
	(index_cpu_XSAVE): New.
	(index_cpu_OSXSAVE): New.
	(index_cpu_AVX): New.
	(index_cpu_F16C): New.
	(index_cpu_RDRAND): New.
	(index_cpu_INDEX_1_ECX_31): New.
	(index_cpu_FPU): New.
	(index_cpu_VME): New.
	(index_cpu_DE): New.
	(index_cpu_PSE): New.
	(index_cpu_TSC): New.
	(index_cpu_MSR): New.
	(index_cpu_PAE): New.
	(index_cpu_MCE): New.
	(index_cpu_CX8): New.
	(index_cpu_APIC): New.
	(index_cpu_INDEX_1_EDX_10): New.
	(index_cpu_SEP): New.
	(index_cpu_MTRR): New.
	(index_cpu_PGE): New.
	(index_cpu_MCA): New.
	(index_cpu_CMOV): New.
	(index_cpu_PAT): New.
	(index_cpu_PSE_36): New.
	(index_cpu_PSN): New.
	(index_cpu_CLFSH): New.
	(index_cpu_INDEX_1_EDX_20): New.
	(index_cpu_DS): New.
	(index_cpu_ACPI): New.
	(index_cpu_MMX): New.
	(index_cpu_FXSR): New.
	(index_cpu_SSE): New.
	(index_cpu_SSE2): New.
	(index_cpu_SS): New.
	(index_cpu_HTT): New.
	(index_cpu_TM): New.
	(index_cpu_INDEX_1_EDX_30): New.
	(index_cpu_PBE): New.
	(index_cpu_FSGSBASE): New.
	(index_cpu_TSC_ADJUST): New.
	(index_cpu_SGX): New.
	(index_cpu_BMI1): New.
	(index_cpu_HLE): New.
	(index_cpu_AVX2): New.
	(index_cpu_INDEX_7_EBX_6): New.
	(index_cpu_SMEP): New.
	(index_cpu_BMI2): New.
	(index_cpu_ERMS): New.
	(index_cpu_INVPCID): New.
	(index_cpu_RTM): New.
	(index_cpu_RDT_M): New.
	(index_cpu_DEPR_FPU_CS_DS): New.
	(index_cpu_MPX): New.
	(index_cpu_RDT_A): New.
	(index_cpu_AVX512F): New.
	(index_cpu_AVX512DQ): New.
	(index_cpu_RDSEED): New.
	(index_cpu_ADX): New.
	(index_cpu_SMAP): New.
	(index_cpu_AVX512_IFMA): New.
	(index_cpu_INDEX_7_EBX_22): New.
	(index_cpu_CLFLUSHOPT): New.
	(index_cpu_CLWB): New.
	(index_cpu_TRACE): New.
	(index_cpu_AVX512PF): New.
	(index_cpu_AVX512ER): New.
	(index_cpu_AVX512CD): New.
	(index_cpu_SHA): New.
	(index_cpu_AVX512BW): New.
	(index_cpu_AVX512VL): New.
	(index_cpu_PREFETCHWT1): New.
	(index_cpu_AVX512_VBMI): New.
	(index_cpu_UMIP): New.
	(index_cpu_PKU): New.
	(index_cpu_OSPKE): New.
	(index_cpu_WAITPKG): New.
	(index_cpu_AVX512_VBMI2): New.
	(index_cpu_SHSTK): New.
	(index_cpu_GFNI): New.
	(index_cpu_VAES): New.
	(index_cpu_VPCLMULQDQ): New.
	(index_cpu_AVX512_VNNI): New.
	(index_cpu_AVX512_BITALG): New.
	(index_cpu_INDEX_7_ECX_13): New.
	(index_cpu_AVX512_VPOPCNTDQ): New.
	(index_cpu_INDEX_7_ECX_15): New.
	(index_cpu_INDEX_7_ECX_16): New.
	(index_cpu_RDPID): New.
	(index_cpu_KL): New.
	(index_cpu_INDEX_7_ECX_24): New.
	(index_cpu_CLDEMOTE): New.
	(index_cpu_INDEX_7_ECX_26): New.
	(index_cpu_MOVDIRI): New.
	(index_cpu_MOVDIR64B): New.
	(index_cpu_ENQCMD): New.
	(index_cpu_SGX_LC): New.
	(index_cpu_PKS): New.
	(index_cpu_INDEX_7_EDX_0): New.
	(index_cpu_INDEX_7_EDX_1): New.
	(index_cpu_AVX512_4VNNIW): New.
	(index_cpu_AVX512_4FMAPS): New.
	(index_cpu_FSRM): New.
	(index_cpu_UINTR): New.
	(index_cpu_INDEX_7_EDX_6): New.
	(index_cpu_INDEX_7_EDX_7): New.
	(index_cpu_AVX512_VP2INTERSECT): New.
	(index_cpu_INDEX_7_EDX_9): New.
	(index_cpu_MD_CLEAR): New.
	(index_cpu_INDEX_7_EDX_11): New.
	(index_cpu_INDEX_7_EDX_12): New.
	(index_cpu_INDEX_7_EDX_13): New.
	(index_cpu_SERIALIZE): New.
	(index_cpu_HYBRID): New.
	(index_cpu_TSXLDTRK): New.
	(index_cpu_INDEX_7_EDX_17): New.
	(index_cpu_PCONFIG): New.
	(index_cpu_INDEX_7_EDX_19): New.
	(index_cpu_IBT): New.
	(index_cpu_INDEX_7_EDX_21): New.
	(index_cpu_AMX_BF16): New.
	(index_cpu_AVX512_FP16): New.
	(index_cpu_AMX_TILE): New.
	(index_cpu_AMX_INT8): New.
	(index_cpu_IBRS_IBPB): New.
	(index_cpu_STIBP): New.
	(index_cpu_L1D_FLUSH): New.
	(index_cpu_ARCH_CAPABILITIES): New.
	(index_cpu_CORE_CAPABILITIES): New.
	(index_cpu_SSBD): New.
	(index_cpu_LAHF64_SAHF64): New.
	(index_cpu_SVM): New.
	(index_cpu_LZCNT): New.
	(index_cpu_SSE4A): New.
	(index_cpu_PREFETCHW): New.
	(index_cpu_XOP): New.
	(index_cpu_LWP): New.
	(index_cpu_FMA4): New.
	(index_cpu_TBM): New.
	(index_cpu_SYSCALL_SYSRET): New.
	(index_cpu_NX): New.
	(index_cpu_PAGE1GB): New.
	(index_cpu_RDTSCP): New.
	(index_cpu_LM): New.
	(index_cpu_XSAVEOPT): New.
	(index_cpu_XSAVEC): New.
	(index_cpu_XGETBV_ECX_1): New.
	(index_cpu_XSAVES): New.
	(index_cpu_XFD): New.
	(index_cpu_INVARIANT_TSC): New.
	(index_cpu_WBNOINVD): New.
	(index_cpu_AVX_VNNI): New.
	(index_cpu_AVX512_BF16): New.
	(index_cpu_FZLRM): New.
	(index_cpu_FSRS): New.
	(index_cpu_FSRCS): New.
	(index_cpu_HRESET): New.
	(index_cpu_LAM): New.
	(index_cpu_AESKLE): New.
	(index_cpu_WIDE_KL): New.
	(reg_SSE3): New.
	(reg_PCLMULQDQ): New.
	(reg_DTES64): New.
	(reg_MONITOR): New.
	(reg_DS_CPL): New.
	(reg_VMX): New.
	(reg_SMX): New.
	(reg_EIST): New.
	(reg_TM2): New.
	(reg_SSSE3): New.
	(reg_CNXT_ID): New.
	(reg_SDBG): New.
	(reg_FMA): New.
	(reg_CMPXCHG16B): New.
	(reg_XTPRUPDCTRL): New.
	(reg_PDCM): New.
	(reg_INDEX_1_ECX_16): New.
	(reg_PCID): New.
	(reg_DCA): New.
	(reg_SSE4_1): New.
	(reg_SSE4_2): New.
	(reg_X2APIC): New.
	(reg_MOVBE): New.
	(reg_POPCNT): New.
	(reg_TSC_DEADLINE): New.
	(reg_AES): New.
	(reg_XSAVE): New.
	(reg_OSXSAVE): New.
	(reg_AVX): New.
	(reg_F16C): New.
	(reg_RDRAND): New.
	(reg_INDEX_1_ECX_31): New.
	(reg_FPU): New.
	(reg_VME): New.
	(reg_DE): New.
	(reg_PSE): New.
	(reg_TSC): New.
	(reg_MSR): New.
	(reg_PAE): New.
	(reg_MCE): New.
	(reg_CX8): New.
	(reg_APIC): New.
	(reg_INDEX_1_EDX_10): New.
	(reg_SEP): New.
	(reg_MTRR): New.
	(reg_PGE): New.
	(reg_MCA): New.
	(reg_CMOV): New.
	(reg_PAT): New.
	(reg_PSE_36): New.
	(reg_PSN): New.
	(reg_CLFSH): New.
	(reg_INDEX_1_EDX_20): New.
	(reg_DS): New.
	(reg_ACPI): New.
	(reg_MMX): New.
	(reg_FXSR): New.
	(reg_SSE): New.
	(reg_SSE2): New.
	(reg_SS): New.
	(reg_HTT): New.
	(reg_TM): New.
	(reg_INDEX_1_EDX_30): New.
	(reg_PBE): New.
	(reg_FSGSBASE): New.
	(reg_TSC_ADJUST): New.
	(reg_SGX): New.
	(reg_BMI1): New.
	(reg_HLE): New.
	(reg_BMI2): New.
	(reg_AVX2): New.
	(reg_INDEX_7_EBX_6): New.
	(reg_SMEP): New.
	(reg_ERMS): New.
	(reg_INVPCID): New.
	(reg_RTM): New.
	(reg_RDT_M): New.
	(reg_DEPR_FPU_CS_DS): New.
	(reg_MPX): New.
	(reg_RDT_A): New.
	(reg_AVX512F): New.
	(reg_AVX512DQ): New.
	(reg_RDSEED): New.
	(reg_ADX): New.
	(reg_SMAP): New.
	(reg_AVX512_IFMA): New.
	(reg_INDEX_7_EBX_22): New.
	(reg_CLFLUSHOPT): New.
	(reg_CLWB): New.
	(reg_TRACE): New.
	(reg_AVX512PF): New.
	(reg_AVX512ER): New.
	(reg_AVX512CD): New.
	(reg_SHA): New.
	(reg_AVX512BW): New.
	(reg_AVX512VL): New.
	(reg_PREFETCHWT1): New.
	(reg_AVX512_VBMI): New.
	(reg_UMIP): New.
	(reg_PKU): New.
	(reg_OSPKE): New.
	(reg_WAITPKG): New.
	(reg_AVX512_VBMI2): New.
	(reg_SHSTK): New.
	(reg_GFNI): New.
	(reg_VAES): New.
	(reg_VPCLMULQDQ): New.
	(reg_AVX512_VNNI): New.
	(reg_AVX512_BITALG): New.
	(reg_INDEX_7_ECX_13): New.
	(reg_AVX512_VPOPCNTDQ): New.
	(reg_INDEX_7_ECX_15): New.
	(reg_INDEX_7_ECX_16): New.
	(reg_RDPID): New.
	(reg_KL): New.
	(reg_INDEX_7_ECX_24): New.
	(reg_CLDEMOTE): New.
	(reg_INDEX_7_ECX_26): New.
	(reg_MOVDIRI): New.
	(reg_MOVDIR64B): New.
	(reg_ENQCMD): New.
	(reg_SGX_LC): New.
	(reg_PKS): New.
	(reg_INDEX_7_EDX_0): New.
	(reg_INDEX_7_EDX_1): New.
	(reg_AVX512_4VNNIW): New.
	(reg_AVX512_4FMAPS): New.
	(reg_FSRM): New.
	(reg_UINTR): New.
	(reg_INDEX_7_EDX_6): New.
	(reg_INDEX_7_EDX_7): New.
	(reg_AVX512_VP2INTERSECT): New.
	(reg_INDEX_7_EDX_9): New.
	(reg_MD_CLEAR): New.
	(reg_INDEX_7_EDX_11): New.
	(reg_INDEX_7_EDX_12): New.
	(reg_INDEX_7_EDX_13): New.
	(reg_SERIALIZE): New.
	(reg_HYBRID): New.
	(reg_TSXLDTRK): New.
	(reg_INDEX_7_EDX_17): New.
	(reg_PCONFIG): New.
	(reg_INDEX_7_EDX_19): New.
	(reg_IBT): New.
	(reg_INDEX_7_EDX_21): New.
	(reg_AMX_BF16): New.
	(reg_AVX512_FP16): New.
	(reg_AMX_TILE): New.
	(reg_AMX_INT8): New.
	(reg_IBRS_IBPB): New.
	(reg_STIBP): New.
	(reg_L1D_FLUSH): New.
	(reg_ARCH_CAPABILITIES): New.
	(reg_CORE_CAPABILITIES): New.
	(reg_SSBD): New.
	(reg_LAHF64_SAHF64): New.
	(reg_SVM): New.
	(reg_LZCNT): New.
	(reg_SSE4A): New.
	(reg_PREFETCHW): New.
	(reg_XOP): New.
	(reg_LWP): New.
	(reg_FMA4): New.
	(reg_TBM): New.
	(reg_SYSCALL_SYSRET): New.
	(reg_NX): New.
	(reg_PAGE1GB): New.
	(reg_RDTSCP): New.
	(reg_LM): New.
	(reg_XSAVEOPT): New.
	(reg_XSAVEC): New.
	(reg_XGETBV_ECX_1): New.
	(reg_XSAVES): New.
	(reg_XFD): New.
	(reg_INVARIANT_TSC): New.
	(reg_WBNOINVD): New.
	(reg_AVX_VNNI): New.
	(reg_AVX512_BF16): New.
	(reg_FZLRM): New.
	(reg_FSRS): New.
	(reg_FSRCS): New.
	(reg_HRESET): New.
	(reg_LAM): New.
	(reg_AESKLE): New.
	(reg_WIDE_KL): New.
	(cpu_features_kind): New.
	(cpu_features_basic): New.
	(cpuid_registers): New.
	(cpuid_feature_internal): New.
	(_dl_x86_get_cpu_features): New function.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(<anoymous>): Remove.
	(cpuid_registers): Remove.
	(cpuid_features): Remove.
	(cpu_features_kind): Remove.
	(cpu_features_basic): Remove.
	(cpu_features): Remove.
	(__x86_get_cpu_features): Remove.
	(CPU_FEATURE_CHECK_P): Remove.
	(CPU_FEATURE_CPU_P): Remove.
	(CPU_FEATURE_USABLE_P): Remove.
	(HAS_CPU_FEATURE): Modified.
	(CPU_FEATURE_USABLE): Modified.
	(bit_cpu_SSE3): Remove.
	(bit_cpu_PCLMULQDQ): Remove.
	(bit_cpu_DTES64): Remove.
	(bit_cpu_MONITOR): Remove.
	(bit_cpu_DS_CPL): Remove.
	(bit_cpu_VMX): Remove.
	(bit_cpu_SMX): Remove.
	(bit_cpu_EIST): Remove.
	(bit_cpu_TM2): Remove.
	(bit_cpu_SSSE3): Remove.
	(bit_cpu_CNXT_ID): Remove.
	(bit_cpu_SDBG): Remove.
	(bit_cpu_FMA): Remove.
	(bit_cpu_CMPXCHG16B): Remove.
	(bit_cpu_XTPRUPDCTRL): Remove.
	(bit_cpu_PDCM): Remove.
	(bit_cpu_INDEX_1_ECX_16): Remove.
	(bit_cpu_PCID): Remove.
	(bit_cpu_DCA): Remove.
	(bit_cpu_SSE4_1): Remove.
	(bit_cpu_SSE4_2): Remove.
	(bit_cpu_X2APIC): Remove.
	(bit_cpu_MOVBE): Remove.
	(bit_cpu_POPCNT): Remove.
	(bit_cpu_TSC_DEADLINE): Remove.
	(bit_cpu_AES): Remove.
	(bit_cpu_XSAVE): Remove.
	(bit_cpu_OSXSAVE): Remove.
	(bit_cpu_AVX): Remove.
	(bit_cpu_F16C): Remove.
	(bit_cpu_RDRAND): Remove.
	(bit_cpu_INDEX_1_ECX_31): Remove.
	(bit_cpu_FPU): Remove.
	(bit_cpu_VME): Remove.
	(bit_cpu_DE): Remove.
	(bit_cpu_PSE): Remove.
	(bit_cpu_TSC): Remove.
	(bit_cpu_MSR): Remove.
	(bit_cpu_PAE): Remove.
	(bit_cpu_MCE): Remove.
	(bit_cpu_CX8): Remove.
	(bit_cpu_APIC): Remove.
	(bit_cpu_INDEX_1_EDX_10): Remove.
	(bit_cpu_SEP): Remove.
	(bit_cpu_MTRR): Remove.
	(bit_cpu_PGE): Remove.
	(bit_cpu_MCA): Remove.
	(bit_cpu_CMOV): Remove.
	(bit_cpu_PAT): Remove.
	(bit_cpu_PSE_36): Remove.
	(bit_cpu_PSN): Remove.
	(bit_cpu_CLFSH): Remove.
	(bit_cpu_INDEX_1_EDX_20): Remove.
	(bit_cpu_DS): Remove.
	(bit_cpu_ACPI): Remove.
	(bit_cpu_MMX): Remove.
	(bit_cpu_FXSR): Remove.
	(bit_cpu_SSE): Remove.
	(bit_cpu_SSE2): Remove.
	(bit_cpu_SS): Remove.
	(bit_cpu_HTT): Remove.
	(bit_cpu_TM): Remove.
	(bit_cpu_INDEX_1_EDX_30): Remove.
	(bit_cpu_PBE): Remove.
	(bit_cpu_FSGSBASE): Remove.
	(bit_cpu_TSC_ADJUST): Remove.
	(bit_cpu_SGX): Remove.
	(bit_cpu_BMI1): Remove.
	(bit_cpu_HLE): Remove.
	(bit_cpu_AVX2): Remove.
	(bit_cpu_INDEX_7_EBX_6): Remove.
	(bit_cpu_SMEP): Remove.
	(bit_cpu_BMI2): Remove.
	(bit_cpu_ERMS): Remove.
	(bit_cpu_INVPCID): Remove.
	(bit_cpu_RTM): Remove.
	(bit_cpu_RDT_M): Remove.
	(bit_cpu_DEPR_FPU_CS_DS): Remove.
	(bit_cpu_MPX): Remove.
	(bit_cpu_RDT_A): Remove.
	(bit_cpu_AVX512F): Remove.
	(bit_cpu_AVX512DQ): Remove.
	(bit_cpu_RDSEED): Remove.
	(bit_cpu_ADX): Remove.
	(bit_cpu_SMAP): Remove.
	(bit_cpu_AVX512_IFMA): Remove.
	(bit_cpu_INDEX_7_EBX_22): Remove.
	(bit_cpu_CLFLUSHOPT): Remove.
	(bit_cpu_CLWB): Remove.
	(bit_cpu_TRACE): Remove.
	(bit_cpu_AVX512PF): Remove.
	(bit_cpu_AVX512ER): Remove.
	(bit_cpu_AVX512CD): Remove.
	(bit_cpu_SHA): Remove.
	(bit_cpu_AVX512BW): Remove.
	(bit_cpu_AVX512VL): Remove.
	(bit_cpu_PREFETCHWT1): Remove.
	(bit_cpu_AVX512_VBMI): Remove.
	(bit_cpu_UMIP): Remove.
	(bit_cpu_PKU): Remove.
	(bit_cpu_OSPKE): Remove.
	(bit_cpu_WAITPKG): Remove.
	(bit_cpu_AVX512_VBMI2): Remove.
	(bit_cpu_SHSTK): Remove.
	(bit_cpu_GFNI): Remove.
	(bit_cpu_VAES): Remove.
	(bit_cpu_VPCLMULQDQ): Remove.
	(bit_cpu_AVX512_VNNI): Remove.
	(bit_cpu_AVX512_BITALG): Remove.
	(bit_cpu_INDEX_7_ECX_13): Remove.
	(bit_cpu_AVX512_VPOPCNTDQ): Remove.
	(bit_cpu_INDEX_7_ECX_15): Remove.
	(bit_cpu_INDEX_7_ECX_16): Remove.
	(bit_cpu_RDPID): Remove.
	(bit_cpu_KL): Remove.
	(bit_cpu_INDEX_7_ECX_24): Remove.
	(bit_cpu_CLDEMOTE): Remove.
	(bit_cpu_INDEX_7_ECX_26): Remove.
	(bit_cpu_MOVDIRI): Remove.
	(bit_cpu_MOVDIR64B): Remove.
	(bit_cpu_ENQCMD): Remove.
	(bit_cpu_SGX_LC): Remove.
	(bit_cpu_PKS): Remove.
	(bit_cpu_INDEX_7_EDX_0): Remove.
	(bit_cpu_INDEX_7_EDX_1): Remove.
	(bit_cpu_AVX512_4VNNIW): Remove.
	(bit_cpu_AVX512_4FMAPS): Remove.
	(bit_cpu_FSRM): Remove.
	(bit_cpu_UINTR): Remove.
	(bit_cpu_INDEX_7_EDX_6): Remove.
	(bit_cpu_INDEX_7_EDX_7): Remove.
	(bit_cpu_AVX512_VP2INTERSECT): Remove.
	(bit_cpu_INDEX_7_EDX_9): Remove.
	(bit_cpu_MD_CLEAR): Remove.
	(bit_cpu_INDEX_7_EDX_11): Remove.
	(bit_cpu_INDEX_7_EDX_12): Remove.
	(bit_cpu_INDEX_7_EDX_13): Remove.
	(bit_cpu_SERIALIZE): Remove.
	(bit_cpu_HYBRID): Remove.
	(bit_cpu_TSXLDTRK): Remove.
	(bit_cpu_INDEX_7_EDX_17): Remove.
	(bit_cpu_PCONFIG): Remove.
	(bit_cpu_INDEX_7_EDX_19): Remove.
	(bit_cpu_IBT): Remove.
	(bit_cpu_INDEX_7_EDX_21): Remove.
	(bit_cpu_AMX_BF16): Remove.
	(bit_cpu_AVX512_FP16): Remove.
	(bit_cpu_AMX_TILE): Remove.
	(bit_cpu_AMX_INT8): Remove.
	(bit_cpu_IBRS_IBPB): Remove.
	(bit_cpu_STIBP): Remove.
	(bit_cpu_L1D_FLUSH): Remove.
	(bit_cpu_ARCH_CAPABILITIES): Remove.
	(bit_cpu_CORE_CAPABILITIES): Remove.
	(bit_cpu_SSBD): Remove.
	(bit_cpu_LAHF64_SAHF64): Remove.
	(bit_cpu_SVM): Remove.
	(bit_cpu_LZCNT): Remove.
	(bit_cpu_SSE4A): Remove.
	(bit_cpu_PREFETCHW): Remove.
	(bit_cpu_XOP): Remove.
	(bit_cpu_LWP): Remove.
	(bit_cpu_FMA4): Remove.
	(bit_cpu_TBM): Remove.
	(bit_cpu_SYSCALL_SYSRET): Remove.
	(bit_cpu_NX): Remove.
	(bit_cpu_PAGE1GB): Remove.
	(bit_cpu_RDTSCP): Remove.
	(bit_cpu_LM): Remove.
	(bit_cpu_XSAVEOPT): Remove.
	(bit_cpu_XSAVEC): Remove.
	(bit_cpu_XGETBV_ECX_1): Remove.
	(bit_cpu_XSAVES): Remove.
	(bit_cpu_XFD): Remove.
	(bit_cpu_INVARIANT_TSC): Remove.
	(bit_cpu_WBNOINVD): Remove.
	(bit_cpu_AVX_VNNI): Remove.
	(bit_cpu_AVX512_BF16): Remove.
	(bit_cpu_FZLRM): Remove.
	(bit_cpu_FSRS): Remove.
	(bit_cpu_FSRCS): Remove.
	(bit_cpu_HRESET): Remove.
	(bit_cpu_LAM): Remove.
	(bit_cpu_AESKLE): Remove.
	(bit_cpu_WIDE_KL): Remove.
	(index_cpu_SSE3): Remove.
	(index_cpu_PCLMULQDQ): Remove.
	(index_cpu_DTES64): Remove.
	(index_cpu_MONITOR): Remove.
	(index_cpu_DS_CPL): Remove.
	(index_cpu_VMX): Remove.
	(index_cpu_SMX): Remove.
	(index_cpu_EIST): Remove.
	(index_cpu_TM2): Remove.
	(index_cpu_SSSE3): Remove.
	(index_cpu_CNXT_ID): Remove.
	(index_cpu_SDBG): Remove.
	(index_cpu_FMA): Remove.
	(index_cpu_CMPXCHG16B): Remove.
	(index_cpu_XTPRUPDCTRL): Remove.
	(index_cpu_PDCM): Remove.
	(index_cpu_INDEX_1_ECX_16): Remove.
	(index_cpu_PCID): Remove.
	(index_cpu_DCA): Remove.
	(index_cpu_SSE4_1): Remove.
	(index_cpu_SSE4_2): Remove.
	(index_cpu_X2APIC): Remove.
	(index_cpu_MOVBE): Remove.
	(index_cpu_POPCNT): Remove.
	(index_cpu_TSC_DEADLINE): Remove.
	(index_cpu_AES): Remove.
	(index_cpu_XSAVE): Remove.
	(index_cpu_OSXSAVE): Remove.
	(index_cpu_AVX): Remove.
	(index_cpu_F16C): Remove.
	(index_cpu_RDRAND): Remove.
	(index_cpu_INDEX_1_ECX_31): Remove.
	(index_cpu_FPU): Remove.
	(index_cpu_VME): Remove.
	(index_cpu_DE): Remove.
	(index_cpu_PSE): Remove.
	(index_cpu_TSC): Remove.
	(index_cpu_MSR): Remove.
	(index_cpu_PAE): Remove.
	(index_cpu_MCE): Remove.
	(index_cpu_CX8): Remove.
	(index_cpu_APIC): Remove.
	(index_cpu_INDEX_1_EDX_10): Remove.
	(index_cpu_SEP): Remove.
	(index_cpu_MTRR): Remove.
	(index_cpu_PGE): Remove.
	(index_cpu_MCA): Remove.
	(index_cpu_CMOV): Remove.
	(index_cpu_PAT): Remove.
	(index_cpu_PSE_36): Remove.
	(index_cpu_PSN): Remove.
	(index_cpu_CLFSH): Remove.
	(index_cpu_INDEX_1_EDX_20): Remove.
	(index_cpu_DS): Remove.
	(index_cpu_ACPI): Remove.
	(index_cpu_MMX): Remove.
	(index_cpu_FXSR): Remove.
	(index_cpu_SSE): Remove.
	(index_cpu_SSE2): Remove.
	(index_cpu_SS): Remove.
	(index_cpu_HTT): Remove.
	(index_cpu_TM): Remove.
	(index_cpu_INDEX_1_EDX_30): Remove.
	(index_cpu_PBE): Remove.
	(index_cpu_FSGSBASE): Remove.
	(index_cpu_TSC_ADJUST): Remove.
	(index_cpu_SGX): Remove.
	(index_cpu_BMI1): Remove.
	(index_cpu_HLE): Remove.
	(index_cpu_AVX2): Remove.
	(index_cpu_INDEX_7_EBX_6): Remove.
	(index_cpu_SMEP): Remove.
	(index_cpu_BMI2): Remove.
	(index_cpu_ERMS): Remove.
	(index_cpu_INVPCID): Remove.
	(index_cpu_RTM): Remove.
	(index_cpu_RDT_M): Remove.
	(index_cpu_DEPR_FPU_CS_DS): Remove.
	(index_cpu_MPX): Remove.
	(index_cpu_RDT_A): Remove.
	(index_cpu_AVX512F): Remove.
	(index_cpu_AVX512DQ): Remove.
	(index_cpu_RDSEED): Remove.
	(index_cpu_ADX): Remove.
	(index_cpu_SMAP): Remove.
	(index_cpu_AVX512_IFMA): Remove.
	(index_cpu_INDEX_7_EBX_22): Remove.
	(index_cpu_CLFLUSHOPT): Remove.
	(index_cpu_CLWB): Remove.
	(index_cpu_TRACE): Remove.
	(index_cpu_AVX512PF): Remove.
	(index_cpu_AVX512ER): Remove.
	(index_cpu_AVX512CD): Remove.
	(index_cpu_SHA): Remove.
	(index_cpu_AVX512BW): Remove.
	(index_cpu_AVX512VL): Remove.
	(index_cpu_PREFETCHWT1): Remove.
	(index_cpu_AVX512_VBMI): Remove.
	(index_cpu_UMIP): Remove.
	(index_cpu_PKU): Remove.
	(index_cpu_OSPKE): Remove.
	(index_cpu_WAITPKG): Remove.
	(index_cpu_AVX512_VBMI2): Remove.
	(index_cpu_SHSTK): Remove.
	(index_cpu_GFNI): Remove.
	(index_cpu_VAES): Remove.
	(index_cpu_VPCLMULQDQ): Remove.
	(index_cpu_AVX512_VNNI): Remove.
	(index_cpu_AVX512_BITALG): Remove.
	(index_cpu_INDEX_7_ECX_13): Remove.
	(index_cpu_AVX512_VPOPCNTDQ): Remove.
	(index_cpu_INDEX_7_ECX_15): Remove.
	(index_cpu_INDEX_7_ECX_16): Remove.
	(index_cpu_RDPID): Remove.
	(index_cpu_KL): Remove.
	(index_cpu_INDEX_7_ECX_24): Remove.
	(index_cpu_CLDEMOTE): Remove.
	(index_cpu_INDEX_7_ECX_26): Remove.
	(index_cpu_MOVDIRI): Remove.
	(index_cpu_MOVDIR64B): Remove.
	(index_cpu_ENQCMD): Remove.
	(index_cpu_SGX_LC): Remove.
	(index_cpu_PKS): Remove.
	(index_cpu_INDEX_7_EDX_0): Remove.
	(index_cpu_INDEX_7_EDX_1): Remove.
	(index_cpu_AVX512_4VNNIW): Remove.
	(index_cpu_AVX512_4FMAPS): Remove.
	(index_cpu_FSRM): Remove.
	(index_cpu_UINTR): Remove.
	(index_cpu_INDEX_7_EDX_6): Remove.
	(index_cpu_INDEX_7_EDX_7): Remove.
	(index_cpu_AVX512_VP2INTERSECT): Remove.
	(index_cpu_INDEX_7_EDX_9): Remove.
	(index_cpu_MD_CLEAR): Remove.
	(index_cpu_INDEX_7_EDX_11): Remove.
	(index_cpu_INDEX_7_EDX_12): Remove.
	(index_cpu_INDEX_7_EDX_13): Remove.
	(index_cpu_SERIALIZE): Remove.
	(index_cpu_HYBRID): Remove.
	(index_cpu_TSXLDTRK): Remove.
	(index_cpu_INDEX_7_EDX_17): Remove.
	(index_cpu_PCONFIG): Remove.
	(index_cpu_INDEX_7_EDX_19): Remove.
	(index_cpu_IBT): Remove.
	(index_cpu_INDEX_7_EDX_21): Remove.
	(index_cpu_AMX_BF16): Remove.
	(index_cpu_AVX512_FP16): Remove.
	(index_cpu_AMX_TILE): Remove.
	(index_cpu_AMX_INT8): Remove.
	(index_cpu_IBRS_IBPB): Remove.
	(index_cpu_STIBP): Remove.
	(index_cpu_L1D_FLUSH): Remove.
	(index_cpu_ARCH_CAPABILITIES): Remove.
	(index_cpu_CORE_CAPABILITIES): Remove.
	(index_cpu_SSBD): Remove.
	(index_cpu_LAHF64_SAHF64): Remove.
	(index_cpu_SVM): Remove.
	(index_cpu_LZCNT): Remove.
	(index_cpu_SSE4A): Remove.
	(index_cpu_PREFETCHW): Remove.
	(index_cpu_XOP): Remove.
	(index_cpu_LWP): Remove.
	(index_cpu_FMA4): Remove.
	(index_cpu_TBM): Remove.
	(index_cpu_SYSCALL_SYSRET): Remove.
	(index_cpu_NX): Remove.
	(index_cpu_PAGE1GB): Remove.
	(index_cpu_RDTSCP): Remove.
	(index_cpu_LM): Remove.
	(index_cpu_XSAVEOPT): Remove.
	(index_cpu_XSAVEC): Remove.
	(index_cpu_XGETBV_ECX_1): Remove.
	(index_cpu_XSAVES): Remove.
	(index_cpu_XFD): Remove.
	(index_cpu_INVARIANT_TSC): Remove.
	(index_cpu_WBNOINVD): Remove.
	(index_cpu_AVX_VNNI): Remove.
	(index_cpu_AVX512_BF16): Remove.
	(index_cpu_FZLRM): Remove.
	(index_cpu_FSRS): Remove.
	(index_cpu_FSRCS): Remove.
	(index_cpu_HRESET): Remove.
	(index_cpu_LAM): Remove.
	(index_cpu_AESKLE): Remove.
	(index_cpu_WIDE_KL): Remove.
	(reg_SSE3): Remove.
	(reg_PCLMULQDQ): Remove.
	(reg_DTES64): Remove.
	(reg_MONITOR): Remove.
	(reg_DS_CPL): Remove.
	(reg_VMX): Remove.
	(reg_SMX): Remove.
	(reg_EIST): Remove.
	(reg_TM2): Remove.
	(reg_SSSE3): Remove.
	(reg_CNXT_ID): Remove.
	(reg_SDBG): Remove.
	(reg_FMA): Remove.
	(reg_CMPXCHG16B): Remove.
	(reg_XTPRUPDCTRL): Remove.
	(reg_PDCM): Remove.
	(reg_INDEX_1_ECX_16): Remove.
	(reg_PCID): Remove.
	(reg_DCA): Remove.
	(reg_SSE4_1): Remove.
	(reg_SSE4_2): Remove.
	(reg_X2APIC): Remove.
	(reg_MOVBE): Remove.
	(reg_POPCNT): Remove.
	(reg_TSC_DEADLINE): Remove.
	(reg_AES): Remove.
	(reg_XSAVE): Remove.
	(reg_OSXSAVE): Remove.
	(reg_AVX): Remove.
	(reg_F16C): Remove.
	(reg_RDRAND): Remove.
	(reg_INDEX_1_ECX_31): Remove.
	(reg_FPU): Remove.
	(reg_VME): Remove.
	(reg_DE): Remove.
	(reg_PSE): Remove.
	(reg_TSC): Remove.
	(reg_MSR): Remove.
	(reg_PAE): Remove.
	(reg_MCE): Remove.
	(reg_CX8): Remove.
	(reg_APIC): Remove.
	(reg_INDEX_1_EDX_10): Remove.
	(reg_SEP): Remove.
	(reg_MTRR): Remove.
	(reg_PGE): Remove.
	(reg_MCA): Remove.
	(reg_CMOV): Remove.
	(reg_PAT): Remove.
	(reg_PSE_36): Remove.
	(reg_PSN): Remove.
	(reg_CLFSH): Remove.
	(reg_INDEX_1_EDX_20): Remove.
	(reg_DS): Remove.
	(reg_ACPI): Remove.
	(reg_MMX): Remove.
	(reg_FXSR): Remove.
	(reg_SSE): Remove.
	(reg_SSE2): Remove.
	(reg_SS): Remove.
	(reg_HTT): Remove.
	(reg_TM): Remove.
	(reg_INDEX_1_EDX_30): Remove.
	(reg_PBE): Remove.
	(reg_FSGSBASE): Remove.
	(reg_TSC_ADJUST): Remove.
	(reg_SGX): Remove.
	(reg_BMI1): Remove.
	(reg_HLE): Remove.
	(reg_BMI2): Remove.
	(reg_AVX2): Remove.
	(reg_INDEX_7_EBX_6): Remove.
	(reg_SMEP): Remove.
	(reg_ERMS): Remove.
	(reg_INVPCID): Remove.
	(reg_RTM): Remove.
	(reg_RDT_M): Remove.
	(reg_DEPR_FPU_CS_DS): Remove.
	(reg_MPX): Remove.
	(reg_RDT_A): Remove.
	(reg_AVX512F): Remove.
	(reg_AVX512DQ): Remove.
	(reg_RDSEED): Remove.
	(reg_ADX): Remove.
	(reg_SMAP): Remove.
	(reg_AVX512_IFMA): Remove.
	(reg_INDEX_7_EBX_22): Remove.
	(reg_CLFLUSHOPT): Remove.
	(reg_CLWB): Remove.
	(reg_TRACE): Remove.
	(reg_AVX512PF): Remove.
	(reg_AVX512ER): Remove.
	(reg_AVX512CD): Remove.
	(reg_SHA): Remove.
	(reg_AVX512BW): Remove.
	(reg_AVX512VL): Remove.
	(reg_PREFETCHWT1): Remove.
	(reg_AVX512_VBMI): Remove.
	(reg_UMIP): Remove.
	(reg_PKU): Remove.
	(reg_OSPKE): Remove.
	(reg_WAITPKG): Remove.
	(reg_AVX512_VBMI2): Remove.
	(reg_SHSTK): Remove.
	(reg_GFNI): Remove.
	(reg_VAES): Remove.
	(reg_VPCLMULQDQ): Remove.
	(reg_AVX512_VNNI): Remove.
	(reg_AVX512_BITALG): Remove.
	(reg_INDEX_7_ECX_13): Remove.
	(reg_AVX512_VPOPCNTDQ): Remove.
	(reg_INDEX_7_ECX_15): Remove.
	(reg_INDEX_7_ECX_16): Remove.
	(reg_RDPID): Remove.
	(reg_KL): Remove.
	(reg_INDEX_7_ECX_24): Remove.
	(reg_CLDEMOTE): Remove.
	(reg_INDEX_7_ECX_26): Remove.
	(reg_MOVDIRI): Remove.
	(reg_MOVDIR64B): Remove.
	(reg_ENQCMD): Remove.
	(reg_SGX_LC): Remove.
	(reg_PKS): Remove.
	(reg_INDEX_7_EDX_0): Remove.
	(reg_INDEX_7_EDX_1): Remove.
	(reg_AVX512_4VNNIW): Remove.
	(reg_AVX512_4FMAPS): Remove.
	(reg_FSRM): Remove.
	(reg_UINTR): Remove.
	(reg_INDEX_7_EDX_6): Remove.
	(reg_INDEX_7_EDX_7): Remove.
	(reg_AVX512_VP2INTERSECT): Remove.
	(reg_INDEX_7_EDX_9): Remove.
	(reg_MD_CLEAR): Remove.
	(reg_INDEX_7_EDX_11): Remove.
	(reg_INDEX_7_EDX_12): Remove.
	(reg_INDEX_7_EDX_13): Remove.
	(reg_SERIALIZE): Remove.
	(reg_HYBRID): Remove.
	(reg_TSXLDTRK): Remove.
	(reg_INDEX_7_EDX_17): Remove.
	(reg_PCONFIG): Remove.
	(reg_INDEX_7_EDX_19): Remove.
	(reg_IBT): Remove.
	(reg_INDEX_7_EDX_21): Remove.
	(reg_AMX_BF16): Remove.
	(reg_AVX512_FP16): Remove.
	(reg_AMX_TILE): Remove.
	(reg_AMX_INT8): Remove.
	(reg_IBRS_IBPB): Remove.
	(reg_STIBP): Remove.
	(reg_L1D_FLUSH): Remove.
	(reg_ARCH_CAPABILITIES): Remove.
	(reg_CORE_CAPABILITIES): Remove.
	(reg_SSBD): Remove.
	(reg_LAHF64_SAHF64): Remove.
	(reg_SVM): Remove.
	(reg_LZCNT): Remove.
	(reg_SSE4A): Remove.
	(reg_PREFETCHW): Remove.
	(reg_XOP): Remove.
	(reg_LWP): Remove.
	(reg_FMA4): Remove.
	(reg_TBM): Remove.
	(reg_SYSCALL_SYSRET): Remove.
	(reg_NX): Remove.
	(reg_PAGE1GB): Remove.
	(reg_RDTSCP): Remove.
	(reg_LM): Remove.
	(reg_XSAVEOPT): Remove.
	(reg_XSAVEC): Remove.
	(reg_XGETBV_ECX_1): Remove.
	(reg_XSAVES): Remove.
	(reg_XFD): Remove.
	(reg_INVARIANT_TSC): Remove.
	(reg_WBNOINVD): Remove.
	(reg_AVX_VNNI): Remove.
	(reg_AVX512_BF16): Remove.
	(reg_FZLRM): Remove.
	(reg_FSRS): Remove.
	(reg_FSRCS): Remove.
	(reg_HRESET): Remove.
	(reg_LAM): Remove.
	(reg_AESKLE): Remove.
	(reg_WIDE_KL): Remove.
	(features.h): Include file.
	(stdbool.h): Include file.
	(bits/platform/x86.h): Include file.
	(__x86_get_cpuid_feature_leaf): New function.
	(x86_cpu_has_feature): New function.
	(x86_cpu_is_usable): New function.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(cpu_kinds): Remove.
	(do_test): Modified function.
	* sysdeps/x86/tst-isa-level-1.c: Modified.
	(do_test): Modified function.
	* sysdeps/x86_64/dl-hwcaps-subdirs.c: Modified.
	(_dl_hwcaps_subdirs_active): Modified function.
	* sysdeps/x86_64/tst-glibc-hwcaps.c: Modified.
	(compute_level): Modified function.

2021-01-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d7ee6bd8c217a4deb756739039fa9c165d26ec43
	posix: Fix fnmatch.c on bootstrap

	* posix/fnmatch.c: Modified.
	[_LIBC][!((__GNUC__ >= 7) || (__clang_major__ >= 10))](FALLTHROUGH): Remove.
	[_LIBC][(__GNUC__ >= 7) || (__clang_major__ >= 10)](FALLTHROUGH): Remove.
	[_LIBC][!(__GNUC__ >= 7)](FALLTHROUGH): New.
	[_LIBC][__GNUC__ >= 7](FALLTHROUGH): New.

2021-01-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 961d7cff51332b7b4ed98d4530a98f73355dda4b
	stdlib: Add testcase for BZ #26241

	* stdlib/Makefile: Modified.
	* stdlib/tst-canon-bz26341.c: New file.

2021-01-20  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 1006250ea2d683e684f65911d738bd84f55c06c1
	posix: Fix regex_internal.h on bootstrap

	* posix/regex_internal.h: Modified.
	[! FALLTHROUGH][!((__GNUC__ >= 7) || (__clang_major__ >= 10))](FALLTHROUGH): Remove.
	[! FALLTHROUGH][(__GNUC__ >= 7) || (__clang_major__ >= 10)](FALLTHROUGH): Remove.
	[! _LIBC](attribute.h): Include file.
	[_LIBC][!(__GNUC__ >= 7)](FALLTHROUGH): New.
	[_LIBC][__GNUC__ >= 7](FALLTHROUGH): New.

2021-01-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 22b79ed7f413cd980a7af0cf258da5bf82b6d5e5
	Use <startup.h> in __libc_init_secure

	* elf/enbl-secure.c: Modified.
	(unistd.h): Remove include.
	(__libc_init_secure): Modified function.
	(startup.h): Include file.
	* sysdeps/generic/startup.h: Modified.
	(unistd.h): Include file.
	(startup_getuid): New function.
	(startup_geteuid): New function.
	(startup_getgid): New function.
	(startup_getegid): New function.
	* sysdeps/unix/sysv/linux/i386/startup.h: Modified.
	[BUILD_PIE_DEFAULT](sysdep.h): Include file.
	[BUILD_PIE_DEFAULT](startup_getuid): New function.
	[BUILD_PIE_DEFAULT](startup_geteuid): New function.
	[BUILD_PIE_DEFAULT](startup_getgid): New function.
	[BUILD_PIE_DEFAULT](startup_getegid): New function.

2021-01-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: cabc8a291629011894ff5d1dc4ec7e25ecee6269
	elf: Avoid RELATIVE relocation for _dl_sysinfo

	* elf/dl-support.c: Modified.
	[HAVE_AUX_VECTOR](_dl_aux_init): Modified function.
	[NEED_DL_SYSINFO](_dl_sysinfo): Remove.
	[NEED_DL_SYSINFO](_dl_sysinfo): New.

2021-01-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0ec583d926f9d4744918bd191cc7b8c3a74515a1
	libmvec: Add extra-test-objs to test-extras

	* sysdeps/x86_64/fpu/Makefile: Modified.

2021-01-19  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 0887fff0b099f0a1a457effb3dc0e9b412c5ee33
	Hurd: Add rtld-strncpy-c.c

	* sysdeps/mach/hurd/i386/i686/multiarch/rtld-strncpy-c.c: New file.

2021-01-18  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 202586f73ee6bd0b21ebaff9edad61343daa30df
	Update MIPS libm-test-ulps.

	* sysdeps/mips/mips32/libm-test-ulps: Modified.
	* sysdeps/mips/mips64/libm-test-ulps: Modified.

2021-01-18  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 07169fcac7d92a9bb07656d9bf5d054006c137c0
	Update arm libm-test-ulps.

	* sysdeps/arm/libm-test-ulps: Modified.

2021-01-18  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: a031b3abad8653d0c3b977505da381c3f04a4943
	Update powerpc-nofpu libm-test-ulps.

	* sysdeps/powerpc/nofpu/libm-test-ulps: Modified.

2021-01-18  John David Anglin  <danglin@gcc.gnu.org>

	COMMIT: f678099de975e80bfdd8d771b57ad6f908119cea
	Update hppa libm-test-ulps

	* sysdeps/hppa/fpu/libm-test-ulps: Modified.

2021-01-17  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 96f17e6e63bd485a111234e42d5e2ecb08555e0e
	ARC: nofpu: Regenerate ulps

	* sysdeps/arc/nofpu/libm-test-ulps: Modified.

2021-01-15  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 86f65dffc2396d408beb628f1cad2b8f63e197bd
	ld.so: Add --list-tunables to print tunable values

	* NEWS: Modified.
	* elf/Makefile: Modified.
	* elf/dl-main.h: Modified.
	(rtld_mode): Modified.
	* elf/dl-tunables.c: Modified.
	(array_length.h): Include file.
	(__tunables_print): New function.
	* elf/dl-tunables.h: Modified.
	[HAVE_TUNABLES](rtld_hidden_proto): Modified.
	[HAVE_TUNABLES](rtld_hidden_proto): Modified.
	[HAVE_TUNABLES](__tunables_print): New function.
	[HAVE_TUNABLES](rtld_hidden_proto): New.
	* elf/dl-usage.c: Modified.
	(_dl_help): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(dl-tunables.h): Include file.
	* elf/tst-rtld-list-tunables.exp: New file.
	* elf/tst-rtld-list-tunables.sh: New file.
	* manual/tunables.texi: Modified.

2021-01-15  Stafford Horne  <shorne@gmail.com>

	COMMIT: cc528f9a7e51f769ea79a9c413af417671bcc695
	math/test-tgmath2: Fix fabs failure when no long double

	* math/test-tgmath2.c: Modified.
	[! HAVE_MAIN](TEST2): Modified.
	[! HAVE_MAIN](test_fabs): Modified function.

2021-01-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2d651eb9265d1366d7b9e881bfddd46db9c1ecc4
	x86: Move x86 processor cache info to cpu_features

	* sysdeps/x86/cacheinfo.c: Modified.
	(assert.h): Remove include.
	(cpuid.h): Remove include.
	(dl-cacheinfo.h): Remove include.
	(__cache_sysconf): Modified function.
	* sysdeps/x86/cacheinfo.h: Modified.
	(__x86_data_cache_size_half): Remove.
	(__x86_data_cache_size): Remove.
	(__x86_raw_data_cache_size_half): Remove.
	(__x86_raw_data_cache_size): Remove.
	(__x86_shared_cache_size_half): Remove.
	(__x86_shared_cache_size): Remove.
	(__x86_raw_shared_cache_size_half): Remove.
	(__x86_raw_shared_cache_size): Remove.
	(__x86_shared_non_temporal_threshold): Remove.
	(__x86_rep_movsb_threshold): Remove.
	(__x86_rep_stosb_threshold): Remove.
	(get_common_cache_info): Remove function.
	(init_cacheinfo): Remove function.
	[HAVE_TUNABLES](TUNABLE_NAMESPACE): New.
	[HAVE_TUNABLES](unistd.h): New.
	[HAVE_TUNABLES](elf/dl-tunables.h): New.
	[IS_IN (libc)](__x86_data_cache_size_half): New.
	[IS_IN (libc)](__x86_data_cache_size): New.
	[IS_IN (libc)](__x86_raw_data_cache_size_half): New.
	[IS_IN (libc)](__x86_raw_data_cache_size): New.
	[IS_IN (libc)](__x86_shared_cache_size_half): New.
	[IS_IN (libc)](__x86_shared_cache_size): New.
	[IS_IN (libc)](__x86_raw_shared_cache_size_half): New.
	[IS_IN (libc)](__x86_raw_shared_cache_size): New.
	[IS_IN (libc)](__x86_shared_non_temporal_threshold): New.
	[IS_IN (libc)](__x86_rep_movsb_threshold): New.
	[IS_IN (libc)](__x86_rep_stosb_threshold): New.
	[IS_IN (libc)](init_cacheinfo): New.
	(cpuid.h): Include file.
	(cpu-features.h): Include file.
	* sysdeps/x86/cpu-features.c: Modified.
	[HAVE_TUNABLES](TUNABLE_NAMESPACE): Remove.
	[HAVE_TUNABLES](unistd.h): Remove include.
	[HAVE_TUNABLES](elf/dl-tunables.h): Remove include.
	[IS_IN (libc) && ! SHARED](assert.h): Remove.
	[IS_IN (libc) && ! SHARED](unistd.h): Remove.
	[IS_IN (libc) && ! SHARED](dl-cacheinfo.h): Remove.
	[IS_IN (libc) && ! SHARED](cacheinfo.h): Remove.
	(cpuid.h): Remove include.
	(init_cpu_features): Modified function.
	(cacheinfo.h): Include file.
	(dl-cacheinfo.h): Include file.
	* sysdeps/x86/dl-cacheinfo.h: Modified.
	(get_common_cache_info): New function.
	(dl_init_cacheinfo): New function.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(cpu_features): Modified.

2021-01-14  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: d18f59bf9223e9342be16baa2411ef3acc3f7ea4
	Fix x86 build with --enable-tunable=no

	* sysdeps/x86/get-isa-level.h: Modified.
	(elf.h): Include file.
	* sysdeps/x86_64/dl-hwcaps-subdirs.c: Modified.
	(ldsodefs.h): Include file.

2021-01-13  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 7137d682ebfcb6db5dfc5f39724718699922f06c
	ifuncmain6pie: Remove the circular IFUNC dependency [BZ #20019]

	* elf/Makefile: Modified.
	* elf/ifuncmain6pie.c: Modified.
	(foo_ptr): Remove.
	(get_foo): Remove.
	(my_foo_ptr): Remove.
	(main): Modified function.
	(call_foo): New function.
	(foo_ptr): New.
	* elf/ifuncmod6.c: Modified.
	(foo_ptr): Remove.
	(get_foo): Remove function.
	(foo_ptr): New.
	(call_foo): New function.

2021-01-13  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: cf1290064598def8dfeddec3d86d98495aee1fba
	Use the right argument code in unnormal tests

	* math/libm-test-driver.c: Modified.
	[TEST_COND_intel96](test_f_i_data_u): Remove.
	[TEST_COND_intel96](test_j_i_data_u): New.
	(RUN_TEST_LOOP_f_b_tg_u): Remove.
	(RUN_TEST_LOOP_f_i_tg_u): Remove.
	(RUN_TEST_LOOP_j_b_tg_u): New.
	(RUN_TEST_LOOP_j_i_tg_u): New.
	* math/libm-test-fpclassify.inc: Modified.
	* math/libm-test-isinf.inc: Modified.
	* math/libm-test-isnan.inc: Modified.
	* math/libm-test-issignaling.inc: Modified.

2021-01-13  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: efbbd9c33adfa843d65860b1b02adebb8ecb57ce
	ldconfig/x86: Store ISA level in cache and aux cache

	* elf/cache.c: Modified.
	(cache_entry): Modified.
	(save_cache): Modified function.
	(add_to_cache): Modified function.
	(aux_cache_entry): Modified.
	(aux_cache_file_entry): Modified.
	(search_aux_cache): Modified function.
	(insert_to_aux_cache): Modified function.
	(add_to_aux_cache): Modified function.
	(load_aux_cache): Modified function.
	(save_aux_cache): Modified function.
	(compute_hwcap_value): New function.
	* elf/dl-cache.c: Modified.
	(search_cache): Modified function.
	(dl-isa-level.h): Include file.
	* elf/ldconfig.c: Modified.
	(manual_link): Modified function.
	(dlib_entry): Modified.
	(search_dir): Modified function.
	* elf/readelflib.c: Modified.
	(process_elf_file): Modified function.
	(elf-read-prop.h): Include file.
	* elf/readlib.c: Modified.
	(process_file): Modified function.
	* elf/tst-glibc-hwcaps-2-cache.c: New file.
	* elf/tst-glibc-hwcaps-2-cache.root/etc/ld.so.conf: New file.
	* elf/tst-glibc-hwcaps-2-cache.root/postclean.req: New file.
	* elf/tst-glibc-hwcaps-2-cache.script: New file.
	* sysdeps/generic/dl-cache.h: Modified.
	(dl_cache_hwcap_extension): Modified function.
	(DL_CACHE_HWCAP_ISA_LEVEL_COUNT): New.
	(DL_CACHE_HWCAP_ISA_LEVEL_MASK): New.
	* sysdeps/generic/dl-isa-level.h: New file.
	* sysdeps/generic/elf-read-prop.h: New file.
	* sysdeps/generic/ldconfig.h: Modified.
	(add_to_cache): Modified.
	(search_aux_cache): Modified.
	(add_to_aux_cache): Modified.
	(process_file): Modified.
	(process_elf_file): Modified.
	* sysdeps/unix/sysv/linux/arm/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/ia64/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/mips/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/powerpc/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/riscv/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/s390/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/sparc/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/x86/elf-read-prop.h: New file.
	* sysdeps/unix/sysv/linux/x86/readelflib.c: Modified.
	(process_elf32_file): Modified.
	(process_elf64_file): Modified.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/Makefile: Modified.
	* sysdeps/unix/sysv/linux/x86_64/tst-glibc-hwcaps-2.c: New file.
	* sysdeps/unix/sysv/linux/x86_64/x86-64-isa-level-VALUE.c: New file.
	* sysdeps/x86/dl-isa-level.h: New file.

2021-01-13  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 86a4d3fa7d1bda3c02cf713cf289d6f893970117
	elf: work around a gcc bug in elf_get_dynamic_info

	* elf/get-dynamic-info.h: Modified.
	[! RESOLVE_MAP](elf_get_dynamic_info): Modified function.
	[RESOLVE_MAP](elf_get_dynamic_info): Modified function.

2021-01-13  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2ef23b520597f4ea1790a669b83e608f24f4cf12
	x86: Set header.feature_1 in TCB for always-on CET [BZ #27177]

	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/dl-cet.c: Modified.
	(dl_cet_check): Modified function.
	* sysdeps/x86/tst-setjmp-cet.c: New file.

2021-01-12  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f430293d842031f2afc3013f156e1018065e480e
	posix: consume less entropy on tempname

	* sysdeps/posix/tempname.c: Modified.
	[_LIBC](try_tempname_len): Modified function.
	(random_bits): Modified function.
	(stdbool.h): Include file.

2021-01-12  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0400f928335a5e04c788e1c831d8825d42612c49
	Makerules: Do not require startup files for format.lds probe object

	* Makerules: Modified.

2021-01-11  Fangrui Song  <maskray@google.com>

	COMMIT: 87d583c6e8cd0e49f64da76636ebeec033298b4d
	install: Replace scripts/output-format.sed with objdump -f [BZ #26559]

	* Makerules: Modified.
	* benchtests/strcoll-inputs/filelist#en_US.UTF-8: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* scripts/output-format.sed: Delete file.

2021-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: bf7db6d369d7366ffe3ebcf3c2810139b0195517
	math: Add BZ#18980 fix back on dbl-64 cosh

	* sysdeps/ieee754/dbl-64/e_cosh.c: Modified.
	(__ieee754_cosh): Modified function.
	(math-narrow-eval.h): Include file.

2021-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4dddd7e9cbecad4aa03ee5a9b9edb596e3d4e909
	posix: Sync tempname with gnulib [BZ #26648]

	* sysdeps/posix/tempname.c: Modified.
	[! UINT64_MAX && ! uint64_t](uint64_t): Remove.
	[! _LIBC](__getpid): Remove.
	[! _LIBC](__secure_getenv): Remove.
	[! _LIBC](RANDOM_BITS): Remove.
	[! _LIBC](__lstat64): New.
	[! _LIBC](__stat64): New.
	[! _LIBC](__getrandom): New.
	[! _LIBC](__clock_gettime64): New.
	[! _LIBC](__timespec64): New.
	[! __GT_FILE](__GT_FILE): Modified.
	[! __GT_FILE](__GT_DIR): Modified.
	[! __GT_FILE](__GT_NOCREATE): Modified.
	[! __set_errno](__set_errno): Remove.
	[!_LIBC](config.h): Remove include.
	[!_LIBC](libc-config.h): Include file.
	[!_LIBC](try_tempname): New function.
	[!_LIBC && (GT_FILE != __GT_FILE || GT_DIR != __GT_DIR	 || GT_NOCREATE != __GT_NOCREATE)](report this to bug-gnulib@gnu.org): Remove.
	[_LIBC](random-bits.h): Remove include.
	[_LIBC](RANDOM_BITS): Remove.
	[_LIBC](__path_search): Modified function.
	[_LIBC](try_tempname_len): New function.
	[_LIBC](gen_tempname_len): New function.
	[_LIBC](try_tempname_len): New function.
	(unistd.h): Remove include.
	(__gen_tempname): Modified function.
	[!_LIBC && (GT_FILE != __GT_FILE || GT_DIR != __GT_DIR  || GT_NOCREATE != __GT_NOCREATE)](report this to bug-gnulib@gnu.org): New.
	(stdalign.h): Include file.
	(sys/random.h): Include file.
	(random_value): New.
	(RANDOM_VALUE_MAX): New.
	(BASE_62_DIGITS): New.
	(BASE_62_POWER): New.
	(random_bits): New function.
	(try_file): New function.
	(try_dir): New function.
	(try_nocreate): New function.

2021-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 42dda89dcb0407f6799dbfd0b9dab1529666ad51
	posix: Fix return value of system if shell can not be executed [BZ #27053]

	* stdlib/tst-system.c: Modified.
	(do_test): Modified function.
	(support/xunistd.h): Include file.
	* support/Makefile: Modified.
	* sysdeps/posix/system.c: Modified.
	(do_system): Modified function.

2021-01-11  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 7b9c3260bcca73781dda6bc2ddee84869bedfb8c
	support: Add xchmod wrapper

	* support/xchmod.c: New file.
	* support/xunistd.h: Modified.
	(xchmod): New function.

2021-01-11  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 1c426b1d59cc7a5f9133f4799f2640234a3077e3
	Update STATX_ATTR_DAX value from Linux 5.10.

	* io/bits/statx-generic.h: Modified.
	[! STATX_TYPE](STATX_ATTR_DAX): Modified.

2021-01-10  Vincent Chen  <vincent.chen@sifive.com>

	COMMIT: 313bfd505e7c6a70c508ba9b2e2c0ff6e901c2a0
	riscv: Initialize $gp before resolving the IRELATIVE relocation

	* sysdeps/riscv/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_runtime_setup): Modified function.

2021-01-10  Vincent Chen  <vincent.chen@sifive.com>

	COMMIT: c31b1f52311e10a37b85604b43de81dff205637e
	riscv: support GNU indirect function

	* libc-abis: Modified.
	* sysdeps/riscv/dl-irel.h: New file.
	* sysdeps/riscv/dl-machine.h: Modified.
	[! dl_machine_h](dl-irel.h): Include file.
	[RESOLVE_MAP](elf_machine_rela): Modified function.
	[RESOLVE_MAP](elf_machine_lazy_rel): Modified function.

2021-01-10  Martin Sebor  <msebor@redhat.com>

	COMMIT: 2cd361b5114ff3f2f55684458d8bf9836c624b90
	posix: Correct attribute access mode on readlinkat [BZ #27024].

	* posix/unistd.h: Modified.
	[__USE_ATFILE](readlinkat): Modified.

2021-01-10  Alexandra Hájková  <ahajkova@redhat.com>

	COMMIT: 7a7226543611897103c7483bec160547294dcf0d
	Add xfchmod to libsupport

	* support/Makefile: Modified.
	* support/xfchmod.c: New file.
	* support/xunistd.h: Modified.
	(xfchmod): New function.

2021-01-09  Alexandra Hájková  <ahajkova@redhat.com>

	COMMIT: a7e9dbb7742954814643a8562dcad09abb0b0e5d
	Add xchdir to libsupport.

	* support/Makefile: Modified.
	* support/xchdir.c: New file.
	* support/xunistd.h: Modified.
	(xchdir): New function.

2021-01-09  Marc Aurèle La France  <tsi@tuyoix.net>

	COMMIT: c6e2ca2c3fe33929152b2794a90d81c3d008115f
	POSIX locale: Fix typo in comment

	* localedata/locales/POSIX: Modified.

2021-01-08  Vineet Gupta  <vgupta@synopsys.com>

	COMMIT: 1b5c9dfeb2765768bf52542c46d76346b61212c3
	ARC: Regenerate ulps

	* sysdeps/arc/fpu/libm-test-ulps: Modified.

2021-01-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: eeaa19f75e52d2d48074ae0c423f2311d67c42c6
	mntent: Use __putc_unlocked instead of fputc_unlocked

	* misc/mntent_r.c: Modified.
	(write_string): Modified function.

2021-01-08  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 2f056e8a5dd4dc0f075413f931e82cede37d1057
	aarch64: define PI_STATIC_AND_HIDDEN

	* sysdeps/aarch64/configure: Modified.
	* sysdeps/aarch64/configure.ac: Modified.

2021-01-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 18b640c57094236e6c991ba16f87467085a1d55a
	Update NEWS for CVE-2019-25013.

	* NEWS: Modified.

2021-01-07  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: ecce11aa0752735c4fd730da6e7c9e0b98e12fb8
	x86: Support GNU_PROPERTY_X86_ISA_1_V[234] marker [BZ #26717]

	* config.h.in: Modified.
	* elf/elf.h: Modified.
	(GNU_PROPERTY_X86_ISA_1_USED): Modified.
	(GNU_PROPERTY_X86_ISA_1_NEEDED): Modified.
	(GNU_PROPERTY_X86_ISA_1_486): Remove.
	(GNU_PROPERTY_X86_ISA_1_586): Remove.
	(GNU_PROPERTY_X86_ISA_1_686): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSE): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSE2): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSE3): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSSE3): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSE4_1): Remove.
	(GNU_PROPERTY_X86_ISA_1_SSE4_2): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX2): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512F): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512CD): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512ER): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512PF): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512VL): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512DQ): Remove.
	(GNU_PROPERTY_X86_ISA_1_AVX512BW): Remove.
	(GNU_PROPERTY_X86_ISA_1_BASELINE): New.
	(GNU_PROPERTY_X86_ISA_1_V2): New.
	(GNU_PROPERTY_X86_ISA_1_V3): New.
	(GNU_PROPERTY_X86_ISA_1_V4): New.
	* sysdeps/x86/Makefile: Modified.
	* sysdeps/x86/abi-note.c: New file.
	* sysdeps/x86/configure: Modified.
	* sysdeps/x86/configure.ac: Modified.
	* sysdeps/x86/cpu-features.c: Modified.
	(update_usable): Modified function.
	(get-isa-level.h): Include file.
	* sysdeps/x86/dl-cet.c: Modified.
	(dl_cet_check): Modified function.
	* sysdeps/x86/dl-prop.h: Modified.
	(_rtld_main_check): Modified function.
	(_dl_open_check): Modified function.
	(_dl_process_cet_property_note): Remove function.
	(_dl_process_pt_note): Modified function.
	(libintl.h): Include file.
	(dl_isa_level_check): New function.
	(_dl_process_property_note): New function.
	* sysdeps/x86/get-isa-level.h: New file.
	* sysdeps/x86/include/cpu-features.h: Modified.
	(cpu_features): Modified.
	* sysdeps/x86/isa-level.c: New file.
	* sysdeps/x86/link_map.h: Modified.
	(<anoymous>): Modified.
	(l_x86_feature_1_and): New.
	(l_x86_isa_1_needed): New.
	* sysdeps/x86/tst-isa-level-1.c: New file.
	* sysdeps/x86/tst-isa-level-mod-1-baseline.c: New file.
	* sysdeps/x86/tst-isa-level-mod-1-v2.c: New file.
	* sysdeps/x86/tst-isa-level-mod-1-v3.c: New file.
	* sysdeps/x86/tst-isa-level-mod-1-v4.c: New file.
	* sysdeps/x86/tst-isa-level-mod-1.c: New file.
	* sysdeps/x86_64/dl-hwcaps-subdirs.c: Modified.
	(_dl_hwcaps_subdirs_active): Modified function.
	(get-isa-level.h): Include file.
	* sysdeps/x86_64/tst-glibc-hwcaps.c: Modified.
	(sys/platform/x86.h): Remove include.
	(compute_level): Modified function.
	(elf.h): Include file.
	(get-isa-level.h): Include file.

2021-01-07  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: 9e97f239eae1f2b1d2e694d844c0f6fd7c4dd271
	Remove dbl-64/wordsize-64 (part 2)

	* sysdeps/aarch64/Implies: Modified.
	* sysdeps/alpha/Implies: Modified.
	* sysdeps/ieee754/dbl-64/e_acosh.c: Modified.
	(one): Modified.
	(__ieee754_acosh): Modified function.
	* sysdeps/ieee754/dbl-64/e_cosh.c: Modified.
	(math-narrow-eval.h): Remove include.
	(one): Modified.
	(__ieee754_cosh): Modified function.
	* sysdeps/ieee754/dbl-64/e_fmod.c: Modified.
	(one): Modified.
	(__ieee754_fmod): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/e_log10.c: Modified.
	(__ieee754_log10): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/s_frexp.c: Modified.
	[(LIBM_SCCS) && ! lint](rcsid): Remove.
	(two54): Remove.
	(__frexp): Modified function.
	(inttypes.h): Include file.
	* sysdeps/ieee754/dbl-64/s_getpayload.c: Modified.
	(__getpayload): Modified function.
	* sysdeps/ieee754/dbl-64/s_issignaling.c: Modified.
	(__issignaling): Modified function.
	* sysdeps/ieee754/dbl-64/s_llround.c: Modified.
	(__llround): Modified function.
	(lround): New.
	(__lround): New.
	(sysdep.h): Include file.
	(lround): New.
	(__lround): New.
	* sysdeps/ieee754/dbl-64/s_lround.c: Modified.
	(__lround): Remove function.
	[! _LP64](__lround): New.
	* sysdeps/ieee754/dbl-64/s_modf.c: Modified.
	(__modf): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/s_remquo.c: Modified.
	(__remquo): Modified function.
	(stdint.h): Include file.
	* sysdeps/ieee754/dbl-64/s_roundeven.c: Modified.
	(__roundeven): Modified function.
	* sysdeps/ieee754/dbl-64/s_scalbln.c: Modified.
	(__scalbln): Modified function.
	* sysdeps/ieee754/dbl-64/s_scalbn.c: Modified.
	(__scalbn): Modified function.
	* sysdeps/ieee754/dbl-64/s_setpayload_main.c: Modified.
	(FUNC): Modified function.
	* sysdeps/ieee754/dbl-64/s_totalorder.c: Modified.
	(__totalorder): Modified function.
	* sysdeps/ieee754/dbl-64/s_totalordermag.c: Modified.
	(__totalordermag): Modified function.
	* sysdeps/ieee754/dbl-64/wordsize-64/e_acosh.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/e_cosh.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/e_fmod.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/e_log10.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_frexp.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_getpayload.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_issignaling.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_llround.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_lround.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_modf.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_remquo.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_roundeven.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_scalbln.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_scalbn.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_setpayload_main.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_totalorder.c: Delete file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_totalordermag.c: Delete file.
	* sysdeps/mips/mips64/Implies: Modified.
	* sysdeps/s390/s390-64/Implies: Modified.
	* sysdeps/sparc/sparc64/Implies: Modified.
	* sysdeps/x86_64/Implies: Modified.

2021-01-07  Wilco Dijkstra  <wdijkstr@arm.com>

	COMMIT: caa884dda78ff226243f8cb344915152052a5118
	Remove dbl-64/wordsize-64

	* sysdeps/ieee754/dbl-64/wordsize-64/e_log10.c: Modified.
	(__ieee754_log10): Modified function.
	(fix-int-fp-convert-zero.h): Include file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_getpayload.c: Modified.
	(__getpayload): Modified function.
	(fix-int-fp-convert-zero.h): Include file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_llround.c: Modified.
	(__llround): Modified function.
	(fenv.h): Include file.
	(limits.h): Include file.
	(fix-fp-int-convert-overflow.h): Include file.
	* sysdeps/ieee754/dbl-64/wordsize-64/s_lround.c: Modified.
	[! _LP64](__lround): Modified function.
	(fix-fp-int-convert-overflow.h): Include file.

2021-01-06  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 3016596a819aeedfdc7d658435016be413a1fca7
	Add SEGV_MTEAERR and SEGV_MTESERR from Linux 5.10.

	* sysdeps/unix/sysv/linux/bits/siginfo-consts.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](<anoymous>): Modified.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ecdb06cdf22c7d37699f5420265245ff31c53b3c
	support: Add support_small_thread_stack_size

	* support/support_set_small_thread_stack_size.c: Modified.
	(support_set_small_thread_stack_size): Modified function.
	(support_small_thread_stack_size): New function.
	* support/xthread.h: Modified.
	(support_small_thread_stack_size): New function.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c6e0b0b5b0b7922cdf0dce2af671e0c7e500df95
	stdlib: Sync canonicalize with gnulib [BZ #10635] [BZ #26592] [BZ #26341] [BZ #24970]

	* stdlib/canonicalize.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](__old_realpath): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](compat_symbol): Remove.
	(assert.h): Remove include.
	(stddef.h): Remove include.
	(shlib-compat.h): Remove include.
	(__realpath): Remove function.
	(libc_hidden_def): Remove.
	(versioned_symbol): Remove.
	(__canonicalize_file_name): Remove function.
	(weak_alias): Remove.
	[! DOUBLE_SLASH_IS_DISTINCT_ROOT](DOUBLE_SLASH_IS_DISTINCT_ROOT): New.
	[! _LIBC][! HAVE_GETCWD](__getcwd): New.
	[! _LIBC][HAVE_GETCWD][!(VMS && ! getcwd)](__getcwd): New.
	[! _LIBC][HAVE_GETCWD][IN_RELOCWRAPPER](getcwd): New.
	[! _LIBC][HAVE_GETCWD][VMS && ! getcwd](__getcwd): New.
	[! _LIBC][_WIN32 && ! __CYGWIN__](__getcwd): New.
	[! _LIBC](_GL_ARG_NONNULL): New.
	[! _LIBC](_GL_USE_STDLIB_ALLOC): New.
	[! _LIBC](libc-config.h): New.
	[! _LIBC](__canonicalize_file_name): New.
	[! _LIBC](__realpath): New.
	[! _LIBC](pathmax.h): New.
	[! _LIBC](__faccessat): New.
	[! _LIBC](__mempcpy): New.
	[! _LIBC](__pathconf): New.
	[! _LIBC](__rawmemchr): New.
	[! _LIBC](__readlink): New.
	[! _LIBC](__stat): New.
	[!(GCC_LINT ||  lint)](IF_LINT): New.
	[GCC_LINT ||  lint](IF_LINT): New.
	[_LIBC](shlib-compat.h): New.
	[_LIBC](GCC_LINT): New.
	[_LIBC](_GL_ATTRIBUTE_PURE): New.
	[_LIBC || !FUNC_REALPATH_WORKS][!(_LIBC ||  LSTAT_FOLLOWS_SLASHED_SYMLINK)](dir_suffix): New.
	[_LIBC || !FUNC_REALPATH_WORKS][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](__old_realpath): New.
	[_LIBC || !FUNC_REALPATH_WORKS][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_3)](compat_symbol): New.
	[_LIBC || !FUNC_REALPATH_WORKS][_LIBC ||  LSTAT_FOLLOWS_SLASHED_SYMLINK](dir_suffix): New.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][GCC_LINT ||  lint](realpath_stk): New.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)][__OPTIMIZE__ && !__NO_INLINE__](GCC_BOGUS_WRETURN_LOCAL_ADDR): New.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](__realpath): New.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](libc_hidden_def): New.
	[_LIBC || !FUNC_REALPATH_WORKS][__GNUC_PREREQ (10, 1)](versioned_symbol): New.
	[_LIBC || !FUNC_REALPATH_WORKS](file_accessible): New.
	[_LIBC || !FUNC_REALPATH_WORKS](suffix_requires_dir_check): New.
	[_LIBC || !FUNC_REALPATH_WORKS](dir_check): New.
	[_LIBC || !FUNC_REALPATH_WORKS](get_path_max): New.
	[_LIBC || !FUNC_REALPATH_WORKS](__canonicalize_file_name): New.
	[_LIBC || !FUNC_REALPATH_WORKS](weak_alias): New.
	(fcntl.h): Include file.
	(stdbool.h): Include file.
	(filename.h): Include file.
	(idx.h): Include file.
	(intprops.h): Include file.
	(scratch_buffer.h): Include file.
	* stdlib/test-bz22786.c: Modified.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	* sysdeps/unix/sysv/linux/faccessat.c: Modified.
	(faccessat): Remove function.
	(__faccessat): New function.
	(weak_alias): New.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 448a256359e951fd2e81ccb2926e3f2b1d7a09de
	malloc: Add scratch_buffer_dupfree

	* include/scratch_buffer.h: Modified.
	(__libc_scratch_buffer_dupfree): New function.
	(libc_hidden_proto): New.
	(scratch_buffer_dupfree): New function.
	* malloc/Makefile: Modified.
	* malloc/Versions: Modified.
	* malloc/scratch_buffer_dupfree.c: New file.
	* malloc/tst-scratch_buffer.c: Modified.
	(do_test): Modified function.
	(TEST_FUNCTION): Remove.
	(../test-skeleton.c): Remove include.
	(array_length.h): Include file.
	(support/check.h): Include file.
	(support/support.h): Include file.
	(support/test-driver.c): Include file.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 47f43160953677faf33853359ee7b973dc487139
	Import filename.h from gnulib

	* include/filename.h: New file.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: ef8c78a6c6d479b681ba2fcb0c034d46dc77e84d
	Import idx.h from gnulib

	* include/idx.h: New file.

2021-01-05  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 6cc992412cd8c8555ca5d67fa2b994e38ccb6c1f
	alpha: Provide wait4 for static library [BZ #27150]

	* sysdeps/unix/sysv/linux/alpha/wait4.c: Modified.
	(weak_alias): New.

2021-01-05  Shuo Wang  <wangshuo47@huawei.com>
            liqingqing  <liqingqing3@huawei.com>

	COMMIT: f5082c70101d5b6c10c312f86c9de7fecf0075b6
	aarch64: push the set of rules before falling into slow path

	* sysdeps/aarch64/dl-tlsdesc.S: Modified.

2021-01-04  Jangwoong Kim  <6812skiii@gmail.com>

	COMMIT: c50c65a8bf81753c09d60ee07e02016607d1abf2
	nptl: Fix comment typo in pthread_cond_wait.c

	* nptl/pthread_cond_wait.c: Modified.

2021-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 6ea5b57afa5cdc9ce367d2b69a2cebfb273e4617
	x86: Check IFUNC definition in unrelocated executable [BZ #20019]

	* sysdeps/i386/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rel): Modified function.
	* sysdeps/x86_64/dl-machine.h: Modified.
	[RESOLVE_MAP](elf_machine_rela): Modified function.

2021-01-04  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b47b07c92d82df497ad4e3abebfdab51be5d0546
	hurd: Fix mmap(!MAP_FIXED) on bogus address

	* sysdeps/mach/hurd/mmap.c: Modified.
	(__mmap): Modified function.

2021-01-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3ec5d83d2a237d39e7fd6ef7a0bc8ac4c171a4a5
	x86-64: Avoid rep movsb with short distance [BZ #27130]

	* sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S: Modified.

2021-01-04  Shuo Wang  <wangshuo47@huawei.com>

	COMMIT: cd6274089f7a7603cdaf2a24cef575fa61d3772e
	aarch64: fix stack missing after sp is updated

	* sysdeps/aarch64/dl-tlsdesc.S: Modified.

2021-01-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f5a6f846b08c2f469442d339fadf1a1457cd7ad2
	nptl: Remove set*id, set*gid files which are not built

	* nptl/Makefile: Modified.
	* nptl/pthread_setegid.c: Delete file.
	* nptl/pthread_seteuid.c: Delete file.
	* nptl/pthread_setgid.c: Delete file.
	* nptl/pthread_setregid.c: Delete file.
	* nptl/pthread_setresgid.c: Delete file.
	* nptl/pthread_setresuid.c: Delete file.
	* nptl/pthread_setreuid.c: Delete file.
	* nptl/pthread_setuid.c: Delete file.

2021-01-04  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 8cc1e39a3691a8cba7c6033138531f11d3032385
	Drop nan-pseudo-number.h usage from tests

	* math/libm-test-driver.c: Modified.
	[HANDLE_PSEUDO_NUMBERS](math_ldbl.h): Remove.
	[HANDLE_PSEUDO_NUMBERS](pseudo_inf): Remove.
	[HANDLE_PSEUDO_NUMBERS](pseudo_zero): Remove.
	[HANDLE_PSEUDO_NUMBERS](pseudo_qnan): Remove.
	[HANDLE_PSEUDO_NUMBERS](pseudo_snan): Remove.
	[HANDLE_PSEUDO_NUMBERS](pseudo_unnormal): Remove.
	[HANDLE_PSEUDO_NUMBERS](test_f_i_data_u): Remove.
	(nan-pseudo-number.h): Remove include.
	[TEST_COND_intel96](math_ldbl.h): New.
	[TEST_COND_intel96](pseudo_inf): New.
	[TEST_COND_intel96](pseudo_zero): New.
	[TEST_COND_intel96](pseudo_qnan): New.
	[TEST_COND_intel96](pseudo_snan): New.
	[TEST_COND_intel96](pseudo_unnormal): New.
	[TEST_COND_intel96](test_f_i_data_u): New.
	* math/libm-test-fpclassify.inc: Modified.
	* math/libm-test-isinf.inc: Modified.
	* math/libm-test-isnan.inc: Modified.
	* math/libm-test-issignaling.inc: Modified.
	* sysdeps/ieee754/ldbl-96/nan-pseudo-number.h: Modified.
	(HANDLE_PSEUDO_NUMBERS): Remove.
	* sysdeps/x86/fpu/nan-pseudo-number.h: Modified.
	(HANDLE_PSEUDO_NUMBERS): Remove.

2021-01-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 252864544afa45feb28f8ef505056f17eccd3073
	posix: Sync fnmatch with gnulib

	* posix/fnmatch.c: Modified.
	[! _GNU_SOURCE](_GNU_SOURCE): Modified.
	[! _LIBC](alloca_account): Modified.
	[! _LIBC][! HAVE_ALLOCA](__libc_use_alloca): New.
	[! _LIBC][! HAVE_ALLOCA](alloca): New.
	[! _LIBC][HAVE_ALLOCA](__libc_use_alloca): New.
	[! _LIBC](libc-config.h): Include file.
	[! _LIBC](attribute.h): Include file.
	[! _LIBC](idx.h): Include file.
	[HAVE_CONFIG_H](config.h): Remove.
	[STDC_HEADERS ||  _LIBC](stdlib.h): Remove.
	[_LIBC](alloca.h): Remove include.
	[_LIBC][!((__GNUC__ >= 7) || (__clang_major__ >= 10))](FALLTHROUGH): New.
	[_LIBC][(__GNUC__ >= 7) || (__clang_major__ >= 10)](FALLTHROUGH): New.
	[_LIBC](btowc): New.
	[_LIBC](iswctype): New.
	[_LIBC](mempcpy): New.
	[_LIBC](strnlen): New.
	[_LIBC](towlower): New.
	[_LIBC](wcscat): New.
	[_LIBC](wcslen): New.
	[_LIBC](wctype): New.
	[_LIBC](wmemchr): New.
	[_LIBC](wmempcpy): New.
	[_LIBC](idx_t): New.
	[_LIBC](locale/weight.h): Include file.
	[_LIBC](FINDIDX): New.
	[_LIBC](findidx): New.
	[_LIBC](locale/weightwc.h): Include file.
	[_LIBC](findidx): New.
	[_LIBC](FINDIDX): New.
	[_LIBC || ! __GNU_LIBRARY__][! HAVE___STRCHRNUL && ! _LIBC](__strchrnul): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! _LIBC](FOLD): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! _LIBC](BTOWC): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! _LIBC && ! getenv](getenv): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! errno](errno): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! isblank](ISBLANK): Remove.
	[_LIBC || ! __GNU_LIBRARY__][! isgraph](ISGRAPH): Remove.
	[_LIBC || ! __GNU_LIBRARY__][!(STDC_HEADERS || ! isascii)](ISASCII): Remove.
	[_LIBC || ! __GNU_LIBRARY__][!(_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H))](CHAR_CLASS_MAX_LENGTH): Remove.
	[_LIBC || ! __GNU_LIBRARY__][!(_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H))](IS_CHAR_CLASS): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE][! _LIBC](FOLD): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE][! _LIBC](WMEMCMP): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE][_LIBC](FOLD): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE][_LIBC](WMEMCMP): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](CHAR): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](UCHAR): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](INT): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](FCT): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](EXT): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](END): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](STRUCT): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](L): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](BTOWC): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](STRLEN): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](STRCAT): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](MEMPCPY): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](MEMCHR): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](STRCOLL): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](WIDE_CHAR_VERSION): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](findidx): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](locale/weightwc.h): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](findidx): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](FINDIDX): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](IS_CHAR_CLASS): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](is_char_class): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE](fnmatch_loop.c): Remove.
	[_LIBC || ! __GNU_LIBRARY__][HANDLE_MULTIBYTE && ! HAVE___STRCHRNUL && ! _LIBC](__wcschrnul): Remove.
	[_LIBC || ! __GNU_LIBRARY__][STDC_HEADERS || ! isascii](ISASCII): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_2_3)](strong_alias): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_2_3)](compat_symbol): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC](FOLD): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC](BTOWC): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC](fnmatch): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC](versioned_symbol): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC](libc_hidden_ver): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][! CHARCLASS_NAME_MAX](CHAR_CLASS_MAX_LENGTH): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][! _LIBC](IS_CHAR_CLASS): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][! _LIBC](ISWCTYPE): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][(HAVE_MBSTATE_T && HAVE_MBSRTOWCS) || _LIBC](HANDLE_MULTIBYTE): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][CHARCLASS_NAME_MAX](CHAR_CLASS_MAX_LENGTH): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][_LIBC](IS_CHAR_CLASS): Remove.
	[_LIBC || ! __GNU_LIBRARY__][_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)][_LIBC](ISWCTYPE): Remove.
	[_LIBC || ! __GNU_LIBRARY__][isblank](ISBLANK): Remove.
	[_LIBC || ! __GNU_LIBRARY__][isgraph](ISGRAPH): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISPRINT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISDIGIT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISALNUM): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISALPHA): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISCNTRL): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISLOWER): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISPUNCT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISSPACE): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISUPPER): Remove.
	[_LIBC || ! __GNU_LIBRARY__](ISXDIGIT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](STREQ): Remove.
	[_LIBC || ! __GNU_LIBRARY__](posixly_correct): Remove.
	[_LIBC || ! __GNU_LIBRARY__](CHAR): Remove.
	[_LIBC || ! __GNU_LIBRARY__](UCHAR): Remove.
	[_LIBC || ! __GNU_LIBRARY__](INT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](FCT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](EXT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](END): Remove.
	[_LIBC || ! __GNU_LIBRARY__](STRUCT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](L): Remove.
	[_LIBC || ! __GNU_LIBRARY__](STRLEN): Remove.
	[_LIBC || ! __GNU_LIBRARY__](STRCAT): Remove.
	[_LIBC || ! __GNU_LIBRARY__](MEMPCPY): Remove.
	[_LIBC || ! __GNU_LIBRARY__](MEMCHR): Remove.
	[_LIBC || ! __GNU_LIBRARY__](STRCOLL): Remove.
	[_LIBC || ! __GNU_LIBRARY__](WIDE_CHAR_VERSION): Remove.
	[_LIBC || ! __GNU_LIBRARY__](locale/weight.h): Remove.
	[_LIBC || ! __GNU_LIBRARY__](FINDIDX): Remove.
	[_LIBC || ! __GNU_LIBRARY__](fnmatch_loop.c): Remove.
	[_LIBC || ! __GNU_LIBRARY__](fnmatch): Remove.
	[_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)](wchar.h): Remove.
	[_LIBC || ( HAVE_WCTYPE_H &&  HAVE_WCHAR_H)](wctype.h): Remove.
	[! CHARCLASS_NAME_MAX](CHAR_CLASS_MAX_LENGTH): New.
	[CHARCLASS_NAME_MAX](CHAR_CLASS_MAX_LENGTH): New.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_2_3)](strong_alias): New.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_2_3)](compat_symbol): New.
	[_LIBC || HAVE_ALLOCA](alloca.h): New.
	(stdlib.h): Include file.
	(wchar.h): Include file.
	(wctype.h): Include file.
	(stddef.h): Include file.
	(stdbool.h): Include file.
	(intprops.h): Include file.
	(flexmember.h): Include file.
	(IS_CHAR_CLASS): New.
	(posixly_correct): New.
	(FOLD): New.
	(CHAR): New.
	(UCHAR): New.
	(INT): New.
	(FCT): New.
	(EXT): New.
	(END): New.
	(STRUCT): New.
	(L_): New.
	(BTOWC): New.
	(STRLEN): New.
	(STRCAT): New.
	(MEMPCPY): New.
	(MEMCHR): New.
	(WIDE_CHAR_VERSION): New.
	(fnmatch_loop.c): Include file.
	(IS_CHAR_CLASS): New.
	(is_char_class): New function.
	(fnmatch_loop.c): Include file.
	(fnmatch): New function.
	(fnmatch): New.
	(versioned_symbol): New function.
	(libc_hidden_ver): New.
	* posix/fnmatch_loop.c: Modified.
	(stdint.h): Remove include.
	(STRUCT): Modified.
	(FCT): Modified.
	(EXT): Modified.
	(FCT): Modified function.
	(END): Modified function.
	(EXT): Modified function.
	(STRCOLL): Remove.
	(L): Remove.
	[_LIBC](stdint.h): New.
	(L_): New.

2021-01-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9c774ad76497f4ec82d78508305965f01fda7327
	Sync flexmember.h with gnulib

	* posix/flexmember.h: Modified.

2021-01-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 11b2858bd153f6d68935bef74e48eaf6f2dda25e
	Sync intprops.h with gnulib

	* include/intprops.h: Modified.
	[! __GNUC__](_GL__GENERIC_BOGUS): Remove.
	[! __has_builtin](_GL_HAS_BUILTIN_OVERFLOW_P): New.
	[!((2 <= __GNUC__  || (1210 <= __IBMC__ &&  __IBM__TYPEOF__)  || (0x5110 <= __SUNPRO_C && !__STDC__)))](_GL_HAVE___TYPEOF__): Remove.
	[(2 <= __GNUC__  || (1210 <= __IBMC__ &&  __IBM__TYPEOF__)  || (0x5110 <= __SUNPRO_C && !__STDC__))](_GL_HAVE___TYPEOF__): Remove.
	[5 <= __GNUC__ && ! __ICC](_GL_HAS_BUILTIN_ADD_OVERFLOW): Remove.
	[_GL_HAS_BUILTIN_MUL_OVERFLOW][!((9 < __GNUC__ + (3 <= __GNUC_MINOR__)  || (__GNUC__ == 8 && 4 <= __GNUC_MINOR__)))](INT_MULTIPLY_WRAPV): Remove.
	[_GL_HAS_BUILTIN_MUL_OVERFLOW][(9 < __GNUC__ + (3 <= __GNUC_MINOR__)  || (__GNUC__ == 8 && 4 <= __GNUC_MINOR__))](INT_MULTIPLY_WRAPV): Remove.
	[_GL_HAS_BUILTIN_MUL_OVERFLOW][!(((9 < __GNUC__ + (3 <= __GNUC_MINOR__)  || (__GNUC__ == 8 && 4 <= __GNUC_MINOR__))  && ! __ICC))](INT_MULTIPLY_WRAPV): New.
	[_GL_HAS_BUILTIN_MUL_OVERFLOW][((9 < __GNUC__ + (3 <= __GNUC_MINOR__)  || (__GNUC__ == 8 && 4 <= __GNUC_MINOR__))  && ! __ICC)](INT_MULTIPLY_WRAPV): New.
	[__GNUC__](_GL__GENERIC_BOGUS): Remove.
	[__has_builtin](_GL_HAS_BUILTIN_OVERFLOW_P): New.
	(_GL_SIGNED_INT_MAXIMUM): Modified.
	(_GL_HAS_BUILTIN_OVERFLOW_P): Remove.
	(_GL_INT_MULTIPLY_RANGE_OVERFLOW): Modified.
	[!((2 <= __GNUC__  || (4 <= __clang_major__)  || (1210 <= __IBMC__ &&  __IBM__TYPEOF__)  || (0x5110 <= __SUNPRO_C && !__STDC__)))](_GL_HAVE___TYPEOF__): New.
	[!(__GNUC__ ||  __clang__)](_GL__GENERIC_BOGUS): New.
	[(2 <= __GNUC__  || (4 <= __clang_major__)  || (1210 <= __IBMC__ &&  __IBM__TYPEOF__)  || (0x5110 <= __SUNPRO_C && !__STDC__))](_GL_HAVE___TYPEOF__): New.
	[7 <= __GNUC__ && ! __ICC](_GL_HAS_BUILTIN_ADD_OVERFLOW): New.
	[__GNUC__ ||  __clang__](_GL__GENERIC_BOGUS): New.
	[__clang__ ||  __ICC](_GL_HAS_BUILTIN_OVERFLOW_P): New.
	(INT_ADD_OK): New.
	(INT_SUBTRACT_OK): New.
	(INT_MULTIPLY_OK): New.

2021-01-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4883360415f1ed772ba44decc501d59deb17bdf0
	posix: Sync glob code with gnulib

	* posix/glob.c: Modified.
	[! _LIBC][_WIN32 && ! __CYGWIN__](__stat64): New.
	[! _LIBC](_GL_ARG_NONNULL): New.
	[! _LIBC](config.h): Include file.
	[! _LIBC](__fxstatat64): New.
	[( _WIN32 ||  __WIN32__) && !  __CYGWIN__](WINDOWS32): Remove.
	[_LIBC](struct_stat64): Modified.
	(dirent_type): Modified.
	(READDIR_RESULT_INITIALIZER): Modified.
	(size_add_wrapv): Modified function.
	(__glob): Modified function.
	[_WIN32 && !  __CYGWIN__](WINDOWS32): New.
	* posix/glob_pattern_p.c: Modified.
	[! _LIBC](config.h): Remove include.
	[! _LIBC](libc-config.h): Include file.
	* posix/globfree.c: Modified.
	[! _LIBC](config.h): Remove include.
	[! _LIBC](libc-config.h): Include file.

2021-01-04  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: c2a150d089fa096cb5f9e342da80fb30dc0d1953
	posix: Sync regex code with gnulib

	* posix/regcomp.c: Modified.
	* posix/regex.h: Modified.
	[! _Restrict_][__restrict || 2 < __GNUC__ + (95 <= __GNUC_MINOR__)](_Restrict_): Remove.
	[! _Restrict_][__restrict  || 2 < __GNUC__ + (95 <= __GNUC_MINOR__)  || __clang_major__ >= 3](_Restrict_): New.
	[! _Restrict_arr_][!(((199901L <= __STDC_VERSION__ || 3 < __GNUC__ + (1 <= __GNUC_MINOR__))  && ! __GNUG__))](_Restrict_arr_): Remove.
	[! _Restrict_arr_][((199901L <= __STDC_VERSION__ || 3 < __GNUC__ + (1 <= __GNUC_MINOR__))  && ! __GNUG__)](_Restrict_arr_): Remove.
	[! _Restrict_arr_][!(((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus))](_Restrict_arr_): New.
	[! _Restrict_arr_][((199901L <= __STDC_VERSION__  || 3 < __GNUC__ + (1 <= __GNUC_MINOR__)  || __clang_major__ >= 3)  && ! __cplusplus)](_Restrict_arr_): New.
	* posix/regex_internal.c: Modified.
	[RE_ENABLE_I18N](build_wcs_upper_buffer): Modified function.
	* posix/regex_internal.h: Modified.
	[! FALLTHROUGH][!(__GNUC__ < 7)](FALLTHROUGH): Remove.
	[! FALLTHROUGH][__GNUC__ < 7](FALLTHROUGH): Remove.
	[! FALLTHROUGH][!((__GNUC__ >= 7) || (__clang_major__ >= 10))](FALLTHROUGH): New.
	[! FALLTHROUGH][(__GNUC__ >= 7) || (__clang_major__ >= 10)](FALLTHROUGH): New.
	[! _LIBC](isascii): New.
	(re_token_t): Modified.

2021-01-04  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: fee3b889d88193eb3cebaab2bcf60e39ce84d369
	Move generic nan-pseudo-number.h to ldbl-96

	* sysdeps/generic/nan-pseudo-number.h: Move to...
	* sysdeps/ieee754/ldbl-96/nan-pseudo-number.h: ... here.

2021-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 21c3f4b5368686ade28d90d8c7d79c4c95c72c1b
	Sync FDL from https://www.gnu.org/licenses/fdl-1.3.texi

	* manual/fdl-1.3.texi: Modified.

2021-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: ba741225381d7b3206331a7a9271d370108b727c
	Sync move-if-change from Gnulib

	* scripts/move-if-change: Modified.

2021-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 82cfac84c7e24be587bb0b56c4ef2c80f7677aae
	Update automatically-generated copyright dates

	* locale/programs/charmap-kw.h: Modified.
	* locale/programs/locfile-kw.h: Modified.

2021-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 9fcdec73862b887dbd7991ffe5f161528fc79395
	Update copyright dates not handled by scripts/update-copyrights.

	* NEWS: Modified.
	* catgets/gencat.c: Modified.
	(print_version): Modified function.
	* debug/catchsegv.sh: Modified.
	* debug/pcprofiledump.c: Modified.
	(print_version): Modified function.
	* debug/xtrace.sh: Modified.
	* elf/ldconfig.c: Modified.
	(print_version): Modified function.
	* elf/ldd.bash.in: Modified.
	* elf/pldd.c: Modified.
	(print_version): Modified function.
	* elf/sotruss.sh: Modified.
	* elf/sprof.c: Modified.
	(print_version): Modified function.
	* iconv/iconv_prog.c: Modified.
	(print_version): Modified function.
	* iconv/iconvconfig.c: Modified.
	(print_version): Modified function.
	* locale/programs/locale.c: Modified.
	(print_version): Modified function.
	* locale/programs/localedef.c: Modified.
	(print_version): Modified function.
	* login/programs/pt_chown.c: Modified.
	(print_version): Modified function.
	* malloc/memusage.sh: Modified.
	* malloc/memusagestat.c: Modified.
	(print_version): Modified function.
	* malloc/mtrace.pl: Modified.
	* nptl/version.c: Modified.
	(banner): Modified.
	* nscd/nscd.c: Modified.
	(print_version): Modified function.
	* nss/getent.c: Modified.
	(print_version): Modified function.
	* nss/makedb.c: Modified.
	(print_version): Modified function.
	* posix/getconf.c: Modified.
	(main): Modified function.
	* scripts/test-installation.pl: Modified.
	* sysdeps/unix/sysv/linux/lddlibc4.c: Modified.
	(main): Modified function.

2021-01-02  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 2b778ceb4010c28d70de9b8eab20e8d88eed586b
	Update copyright dates with scripts/update-copyrights

	* Suppressing diff as too many files differ.

2020-12-31  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 45b1e17e9150dbd9ac2d578579063fbfa8e1b327
	aarch64: use PTR_ARG and SIZE_ARG instead of DELOUSE

	* sysdeps/aarch64/__longjmp.S: Modified.
	* sysdeps/aarch64/dl-tlsdesc.S: Modified.
	* sysdeps/aarch64/memchr.S: Modified.
	* sysdeps/aarch64/memcmp.S: Modified.
	* sysdeps/aarch64/memcpy.S: Modified.
	* sysdeps/aarch64/memrchr.S: Modified.
	* sysdeps/aarch64/memset.S: Modified.
	* sysdeps/aarch64/multiarch/memchr_nosimd.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_advsimd.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_falkor.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_thunderx.S: Modified.
	* sysdeps/aarch64/multiarch/memcpy_thunderx2.S: Modified.
	* sysdeps/aarch64/multiarch/memset_base64.S: Modified.
	* sysdeps/aarch64/multiarch/memset_kunpeng.S: Modified.
	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.
	* sysdeps/aarch64/setjmp.S: Modified.
	* sysdeps/aarch64/strchr.S: Modified.
	* sysdeps/aarch64/strchrnul.S: Modified.
	* sysdeps/aarch64/strcmp.S: Modified.
	* sysdeps/aarch64/strcpy.S: Modified.
	* sysdeps/aarch64/strlen.S: Modified.
	* sysdeps/aarch64/strnlen.S: Modified.
	* sysdeps/aarch64/strrchr.S: Modified.
	* sysdeps/aarch64/sysdep.h: Modified.
	[! __LP64__](DELOUSE): Remove.
	[! __LP64__](PTR_ARG): New.
	[! __LP64__](SIZE_ARG): New.
	[__LP64__](DELOUSE): Remove.
	[__LP64__](PTR_ARG): New.
	[__LP64__](SIZE_ARG): New.
	* sysdeps/unix/sysv/linux/aarch64/clone.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/getcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/setcontext.S: Modified.
	* sysdeps/unix/sysv/linux/aarch64/swapcontext.S: Modified.

2020-12-31  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: f9de8bfe1a731c309b91d175b4f6f4aeb786effa
	nonstring: Enable __FORTIFY_LEVEL=3

	* io/bits/poll2.h: Modified.
	[__USE_GNU](ppoll): Modified function.
	(poll): Modified function.
	* libio/bits/stdio.h: Modified.
	* libio/bits/stdio2.h: Modified.
	[! __cplusplus](sprintf): Modified.
	[__GLIBC_USE (DEPRECATED_GETS)](gets): Modified function.
	[__USE_GNU](fgets_unlocked): Modified function.
	[__USE_ISOC99 ||  __USE_UNIX98][! __cplusplus](snprintf): Modified.
	[__USE_ISOC99 ||  __USE_UNIX98][__va_arg_pack](__NTH): Modified function.
	[__USE_ISOC99 ||  __USE_UNIX98](__NTH): Modified function.
	[__USE_MISC](fread_unlocked): Modified function.
	[__va_arg_pack](__NTH): Modified function.
	(__NTH): Modified function.
	(fgets): Modified function.
	(fread): Modified function.
	* posix/bits/unistd.h: Modified.
	[__USE_ATFILE](__NTH): Modified function.
	[__USE_MISC ||  __USE_UNIX98](__NTH): Modified function.
	[__USE_MISC ||  __USE_XOPEN_EXTENDED](__NTH): Modified function.
	[__USE_MISC || ( __USE_XOPEN && ! __USE_UNIX98)](__NTH): Modified function.
	[__USE_POSIX199506](getlogin_r): Modified function.
	[__USE_UNIX98][! __USE_FILE_OFFSET64](pread): Modified function.
	[__USE_UNIX98][__USE_FILE_OFFSET64](pread): Modified function.
	[__USE_UNIX98][__USE_LARGEFILE64](pread64): Modified function.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K](__NTH): Modified function.
	(read): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	* socket/bits/socket2.h: Modified.
	(recv): Modified function.
	(recvfrom): Modified function.
	* stdlib/bits/stdlib.h: Modified.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	* wcsmbs/bits/wchar2.h: Modified.
	[! __cplusplus](swprintf): Modified.
	[__USE_GNU](__NTH): Modified function.
	[__USE_GNU](fgetws_unlocked): Modified function.
	[__USE_GNU](__NTH): Modified function.
	[__USE_GNU](__NTH): Modified function.
	[__va_arg_pack](__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(fgetws): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.

2020-12-31  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 2a3224c53653214cbba2ec23424702193c80ea3b
	string: Enable __FORTIFY_LEVEL=3

	* include/string.h: Modified.
	[! _ISOMAC][!IS_IN (nonlib)](explicit_bzero): Modified.
	[! _ISOMAC][IS_IN (libc)](explicit_bzero): Modified.
	* string/bits/string_fortified.h: Modified.
	[__GNUC_PREREQ (4, 7) || __glibc_clang_prereq (2, 6)](__NTH): Modified function.
	[__USE_GNU](__NTH): Modified function.
	[__USE_GNU](__NTH): Modified function.
	[__USE_MISC](__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	(__NTH): Modified function.
	* string/bits/strings_fortified.h: Modified.
	(__NTH): Modified function.
	(__NTH): Modified function.

2020-12-31  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: c43c5796121bc5bcc0867f02e5536874aa8196c1
	Introduce _FORTIFY_SOURCE=3

	* NEWS: Modified.
	* include/features.h: Modified.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && __glibc_clang_prereq (9, 0)][_FORTIFY_SOURCE > 3](_FORTIFY_SOURCE > 3 is treated like 3 on this platform): New.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 2 && __glibc_clang_prereq (9, 0)](__USE_FORTIFY_LEVEL): New.
	* manual/creature.texi: Modified.
	* misc/sys/cdefs.h: Modified.
	[!(__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0))](__glibc_objsize0): New.
	[!(__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0))](__glibc_objsize): New.
	[__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0)](__glibc_objsize0): New.
	[__USE_FORTIFY_LEVEL == 3 && __glibc_clang_prereq (9, 0)](__glibc_objsize): New.

2020-12-31  Siddhesh Poyarekar  <siddhesh@sourceware.org>
            Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 2a08b6e8331a611dc29325bfa6e29fecc9a3a46e
	Warn on unsupported fortification levels

	* include/features.h: Modified.
	[_FORTIFY_SOURCE && _FORTIFY_SOURCE > 0][_FORTIFY_SOURCE > 1][_FORTIFY_SOURCE > 2](_FORTIFY_SOURCE > 2 is treated like 2 on this platform): New.

2020-12-30  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 41f013cef24884604c303435dd1915be2ea5c0e0
	powerpc: Use scv instruction on clone when available

	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S: Modified.

2020-12-30  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 68ab82f56690ada86ac1e0c46bad06ba189a10ef
	powerpc: Runtime selection between sc and scv for syscalls

	* sysdeps/powerpc/powerpc32/sysdep.h: Modified.
	[__ASSEMBLER__](DO_CALL): Modified.
	[__ASSEMBLER__](PSEUDO_RET): Modified.
	[__ASSEMBLER__](DO_CALL_SC): New.
	[__ASSEMBLER__](TAIL_CALL_SYSCALL_ERROR): New.
	[__ASSEMBLER__](RET_SC): New.
	* sysdeps/powerpc/powerpc64/sysdep.h: Modified.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))](__GLRO_DEF): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][!(IS_IN (rtld))](__GLRO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][! USE_PPC64_NOTOC](NOTOC): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC](NOTOC): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO_DEF): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO_DEF): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED][SHARED][IS_IN (rtld)](__GLRO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](TAIL_CALL_SYSCALL_ERROR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_RET): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](ret): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_END): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_NOERRNO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_RET_NOERRNO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](ret_NOERRNO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_END_NOERRNO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_ERRVAL): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_RET_ERRVAL): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](ret_ERRVAL): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][! SHARED](PSEUDO_END_ERRVAL): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED](TAIL_CALL_SYSCALL_ERROR): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][!(IS_IN (rtld))](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][!(IS_IN (rtld))](__GLRO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][! USE_PPC64_NOTOC](NOTOC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_1): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][! USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](OPD_ENT): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](DOT_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](BODY_PREFIX): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](ENTRY_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](END_2): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2][USE_PPC64_OVERLAPPING_OPD](LOCALENTRY): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC][_CALL_ELF != 2](PPC64_LOAD_FUNCPTR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)][USE_PPC64_NOTOC](NOTOC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)](__GLRO_DEF): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))][SHARED][IS_IN (rtld)](__GLRO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))](PSEUDO_RET_ERRVAL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))](ret_ERRVAL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][!(IS_IN(rtld))](PSEUDO_END_ERRVAL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))][IS_IN(rtld)](PSEUDO_RET_ERRVAL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))](PSEUDO_RET_NOERRNO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))](ret_NOERRNO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))](PSEUDO_END_NOERRNO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][!(IS_IN(rtld))](PSEUDO_ERRVAL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))][IS_IN(rtld)](PSEUDO_RET_NOERRNO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](PSEUDO_RET): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](RET_SCV): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](RET_SC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](ret): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](PSEUDO_END): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][!(IS_IN(rtld))](PSEUDO_NOERRNO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED][IS_IN(rtld)](PSEUDO_RET): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][! SHARED](TAIL_CALL_SYSCALL_ERROR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))][SHARED](TAIL_CALL_SYSCALL_ERROR): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](DO_CALL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](DO_CALL_SC): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](DO_CALL_SCV): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](JUMPTARGET): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][!(IS_IN(rtld))](PSEUDO): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2][SHARED][IS_IN(rtld)](DO_CALL): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](DO_CALL): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](JUMPTARGET): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](PSEUDO): Remove.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](SCV_FRAME_SIZE): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](SCV_FRAME_NVOLREG_SAVE): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](NVOLREG_SAVE): New.
	[__ASSEMBLER__][! PROF][_CALL_ELF == 2](NVOLREG_RESTORE): New.
	(tls.h): Include file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/clone.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/vfork.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/syscall.S: Modified.
	* sysdeps/unix/sysv/linux/powerpc/sysdep.h: Modified.
	[(__PPC64__) || (__powerpc64__)][! SHARED](CHECK_THREAD_POINTER): New.
	[(__PPC64__) || (__powerpc64__)][!IS_IN(rtld)](TRY_SYSCALL_SCV): New.
	[(__PPC64__) || (__powerpc64__)][SHARED](CHECK_THREAD_POINTER): New.
	(INTERNAL_SYSCALL_NCS): Modified.
	(DECLARE_REGS): New.
	(SYSCALL_SCV): New.
	(SYSCALL_SC): New.
	(TRY_SYSCALL_SCV): New.

2020-12-30  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9835632cf43fd6d1f8b8f40a88892a45b6bfad6e
	malloc: preserve errno on mcheck hooks [BZ #17924]

	* malloc/hooks.c: Modified.
	(free_check): Modified function.

2020-12-30  Siddhesh Poyarekar  <siddhesh@sourceware.org>
            Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 38a033ac85d62c64a2fc81b06c0acffcd4a113f5
	x86 long double: Add tests for pseudo normal numbers

	* math/libm-test-driver.c: Modified.
	[HANDLE_PSEUDO_NUMBERS](math_ldbl.h): New.
	[HANDLE_PSEUDO_NUMBERS](pseudo_inf): New.
	[HANDLE_PSEUDO_NUMBERS](pseudo_zero): New.
	[HANDLE_PSEUDO_NUMBERS](pseudo_qnan): New.
	[HANDLE_PSEUDO_NUMBERS](pseudo_snan): New.
	[HANDLE_PSEUDO_NUMBERS](pseudo_unnormal): New.
	[HANDLE_PSEUDO_NUMBERS](test_f_i_data_u): New.
	(nan-pseudo-number.h): Include file.
	(RUN_TEST_LOOP_f_b_tg_u): New.
	(RUN_TEST_LOOP_f_i_tg_u): New.
	* math/libm-test-fpclassify.inc: Modified.
	* math/libm-test-isinf.inc: Modified.
	* math/libm-test-isnan.inc: Modified.
	* math/libm-test-issignaling.inc: Modified.

2020-12-30  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 7525c1c71d38c068a33ca964fe8baf67eed7e56f
	x86 long double: Consider pseudo numbers as signaling

	* sysdeps/generic/nan-pseudo-number.h: New file.
	* sysdeps/ieee754/ldbl-96/s_issignalingl.c: Modified.
	(__issignalingl): Modified function.
	(nan-pseudo-number.h): Include file.
	* sysdeps/x86/fpu/nan-pseudo-number.h: New file.

2020-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 99468ed45f5a58f584bab60364af937eb6f8afda
	io: Remove xmknod{at} implementations

	* io/Makefile: Modified.
	* io/mknod.c: Modified.
	(sys/types.h): Remove include.
	(__mknod): Modified function.
	(fcntl.h): Include file.
	* io/mknodat.c: Modified.
	(__mknodat): Modified function.
	* io/xmknod.c: Delete file.
	* io/xmknodat.c: Delete file.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/mach/hurd/mknod.c: Delete file.
	* sysdeps/unix/sysv/linux/Makefile: Modified.
	* sysdeps/unix/sysv/linux/mknod.c: Delete file.

2020-12-29  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 4d97cc8cf3da925fd06fc37d4daebafce3247719
	io: Remove xstat implementations

	* io/Makefile: Modified.
	* io/fstat.c: Modified.
	(__fstat): Remove.
	(__fstat): Modified function.
	* io/fstat64.c: Modified.
	(__fstat64): Remove.
	(__fstat64): Modified function.
	* io/fstatat.c: Modified.
	(__fstatat): Remove.
	(__fstatat): Modified function.
	(errno.h): Include file.
	* io/fstatat64.c: Modified.
	(__fstatat64): Remove.
	(__fstatat64): Modified function.
	(errno.h): Include file.
	* io/fxstat.c: Delete file.
	* io/fxstat64.c: Delete file.
	* io/fxstatat.c: Delete file.
	* io/fxstatat64.c: Delete file.
	* io/lstat.c: Modified.
	(__lstat): Remove.
	(__lstat): Modified function.
	* io/lstat64.c: Modified.
	(__lstat64): Remove.
	(__lstat64): Modified function.
	* io/lxstat.c: Delete file.
	* io/lxstat64.c: Delete file.
	* io/stat.c: Modified.
	(__stat): Remove.
	(__stat): Modified function.
	* io/stat64.c: Modified.
	(__stat64): Remove.
	(__stat64): Modified function.
	* io/xstat.c: Delete file.
	* io/xstat64.c: Delete file.
	* sysdeps/mach/hurd/Makefile: Modified.
	* sysdeps/unix/sysv/linux/Makefile: Modified.

2020-12-29  Paul Eggert  <eggert@cs.ucla.edu>

	COMMIT: 69fda43b8dd795c3658869633ca0708ed3134006
	free: preserve errno [BZ#17924]

	* malloc/Makefile: Modified.
	* malloc/malloc.c: Modified.
	(__libc_free): Modified function.
	* malloc/tst-free-errno.c: New file.
	* manual/memory.texi: Modified.

2020-12-29  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 016c64236dee6e28f09c10ba38f274aad7205f95
	hurd: Accept including hurd/version.h

	* scripts/check-local-headers.sh: Modified.

2020-12-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f6abd970284a06380cd9d905f43da104bd49fc95
	hurd: Add WSTOPPED/WCONTINUED/WEXITED/WNOWAIT support [BZ #23091]

	* bits/waitflags.h: Modified.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](WSTOPPED): New.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](WCONTINUED): New.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](WNOWAIT): New.
	[__USE_XOPEN_EXTENDED ||  __USE_XOPEN2K8](WEXITED): New.
	* conform/data/sys/wait.h-data: Modified.
	* sysdeps/mach/hurd/waitid.c: Modified.
	(__waitid): Modified function.
	(sys/types.h): Include file.
	(hurd.h): Include file.
	(hurd/port.h): Include file.
	(hurd/version.h): Include file.
	(sysdep-cancel.h): Include file.

2020-12-28  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f9c3cf286479da5d8a6ea2288f9f2c731896cd6f
	support: Make support_process_state_wait wait less

	* support/support_process_state.c: Modified.
	(support_process_state_wait): Modified function.

2020-12-26  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e42efa01c9305eb27616bae2bc314d8e44d129e0
	hurd: set sigaction for signal preemptors in arch-independent file

	* hurd/hurd/signal.h: Modified.
	(_hurd_setup_sighandler): Modified.
	* hurd/hurdsig.c: Modified.
	(post_signal): Modified function.
	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.

2020-12-26  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a39b95b975929f12359d4bc55f25bd88c3ec02c5
	hurd: Fix spawni SPAWN_XFLAGS_TRY_SHELL with empty argv

	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2020-12-26  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 13adfa34aff03fd9f1c1612b537a0d736ddb6c2b
	hurd: Try shell in posix_spawn* only in compat mode

	* sysdeps/mach/hurd/spawni.c: Modified.
	(__spawni): Modified function.

2020-12-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: f380868f6dcfdeae8d449d556298d9c41012ed8d
	Remove _ISOMAC check from <cpu-features.h>

	* sysdeps/x86/include/cpu-features.h: Modified.
	[! _ISOMAC][! __i486__](HAS_CPUID): Remove.
	[! _ISOMAC][! __i486__](HAS_I586): Remove.
	[! _ISOMAC][! __i486__](HAS_I686): Remove.
	[! _ISOMAC][( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_CPUID): Remove.
	[! _ISOMAC][( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_I586): Remove.
	[! _ISOMAC][( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_I686): Remove.
	[! _ISOMAC][(_LIBC) && !IS_IN (nonlib)](INIT_ARCH): Remove.
	[! _ISOMAC][(_LIBC) && !IS_IN (nonlib)](__x86_get_cpu_features): Remove.
	[! _ISOMAC][(_LIBC) && !IS_IN (nonlib)](_dl_x86_init_cpu_features): Remove.
	[! _ISOMAC][__i486__](HAS_CPUID): Remove.
	[! _ISOMAC][__i486__](HAS_I586): Remove.
	[! _ISOMAC][__i486__](HAS_I686): Remove.
	[! _ISOMAC][__x86_64__](HAS_CPUID): Remove.
	[! _ISOMAC](cpu_features): Remove.
	[! _ISOMAC](__x86_get_cpu_features): Remove.
	[! _ISOMAC](cpu_features): Remove.
	[! _ISOMAC](__x86_get_cpu_features): Remove.
	[! _ISOMAC](__get_cpu_features): Remove.
	[! _ISOMAC](<anoymous>): Remove.
	[! _ISOMAC](CPU_FEATURE_SET): Remove.
	[! _ISOMAC](CPU_FEATURE_UNSET): Remove.
	[! _ISOMAC](CPU_FEATURE_SET_USABLE): Remove.
	[! _ISOMAC](CPU_FEATURE_PREFERRED_P): Remove.
	[! _ISOMAC](HAS_CPU_FEATURE): Remove.
	[! _ISOMAC](CPU_FEATURE_USABLE): Remove.
	[! _ISOMAC](CPU_FEATURE_PREFERRED): Remove.
	[! _ISOMAC](CPU_FEATURES_CPU_P): Remove.
	[! _ISOMAC](CPU_FEATURES_ARCH_P): Remove.
	[! _ISOMAC](HAS_ARCH_FEATURE): Remove.
	[! _ISOMAC](bit_arch_I586): Remove.
	[! _ISOMAC](bit_arch_I686): Remove.
	[! _ISOMAC](bit_arch_Fast_Rep_String): Remove.
	[! _ISOMAC](bit_arch_Fast_Copy_Backward): Remove.
	[! _ISOMAC](bit_arch_Fast_Unaligned_Load): Remove.
	[! _ISOMAC](bit_arch_Fast_Unaligned_Copy): Remove.
	[! _ISOMAC](bit_arch_Slow_BSF): Remove.
	[! _ISOMAC](bit_arch_Slow_SSE4_2): Remove.
	[! _ISOMAC](bit_arch_AVX_Fast_Unaligned_Load): Remove.
	[! _ISOMAC](bit_arch_Prefer_MAP_32BIT_EXEC): Remove.
	[! _ISOMAC](bit_arch_Prefer_PMINUB_for_stringop): Remove.
	[! _ISOMAC](bit_arch_Prefer_No_VZEROUPPER): Remove.
	[! _ISOMAC](bit_arch_Prefer_ERMS): Remove.
	[! _ISOMAC](bit_arch_Prefer_FSRM): Remove.
	[! _ISOMAC](bit_arch_Prefer_No_AVX512): Remove.
	[! _ISOMAC](bit_arch_MathVec_Prefer_No_AVX512): Remove.
	[! _ISOMAC](index_arch_Fast_Rep_String): Remove.
	[! _ISOMAC](index_arch_Fast_Copy_Backward): Remove.
	[! _ISOMAC](index_arch_Slow_BSF): Remove.
	[! _ISOMAC](index_arch_Fast_Unaligned_Load): Remove.
	[! _ISOMAC](index_arch_Prefer_PMINUB_for_stringop): Remove.
	[! _ISOMAC](index_arch_Fast_Unaligned_Copy): Remove.
	[! _ISOMAC](index_arch_I586): Remove.
	[! _ISOMAC](index_arch_I686): Remove.
	[! _ISOMAC](index_arch_Slow_SSE4_2): Remove.
	[! _ISOMAC](index_arch_AVX_Fast_Unaligned_Load): Remove.
	[! _ISOMAC](index_arch_Prefer_MAP_32BIT_EXEC): Remove.
	[! _ISOMAC](index_arch_Prefer_No_VZEROUPPER): Remove.
	[! _ISOMAC](index_arch_Prefer_ERMS): Remove.
	[! _ISOMAC](index_arch_Prefer_No_AVX512): Remove.
	[! _ISOMAC](index_arch_MathVec_Prefer_No_AVX512): Remove.
	[! _ISOMAC](index_arch_Prefer_FSRM): Remove.
	[! _ISOMAC](bit_XMM_state): Remove.
	[! _ISOMAC](bit_YMM_state): Remove.
	[! _ISOMAC](bit_Opmask_state): Remove.
	[! _ISOMAC](bit_ZMM0_15_state): Remove.
	[! _ISOMAC](bit_ZMM16_31_state): Remove.
	[! _ISOMAC](bit_XTILECFG_state): Remove.
	[! _ISOMAC](bit_XTILEDATA_state): Remove.
	[! _ISOMAC](cpu_features): Remove.
	[! __i486__](HAS_CPUID): New.
	[! __i486__](HAS_I586): New.
	[! __i486__](HAS_I686): New.
	[( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_CPUID): New.
	[( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_I586): New.
	[( __i586__ ||  __pentium__	 ||  __geode__ ||  __k6__)](HAS_I686): New.
	[(_LIBC) && !IS_IN (nonlib)](INIT_ARCH): New.
	[(_LIBC) && !IS_IN (nonlib)](__x86_get_cpu_features): New.
	[(_LIBC) && !IS_IN (nonlib)](_dl_x86_init_cpu_features): New.
	[__i486__](HAS_CPUID): New.
	[__i486__](HAS_I586): New.
	[__i486__](HAS_I686): New.
	[__x86_64__](HAS_CPUID): New.
	(cpu_features): New.
	(__x86_get_cpu_features): New.
	(cpu_features): New.
	(__x86_get_cpu_features): New.
	(__get_cpu_features): New.
	(<anoymous>): New.
	(CPU_FEATURE_SET): New.
	(CPU_FEATURE_UNSET): New.
	(CPU_FEATURE_SET_USABLE): New.
	(CPU_FEATURE_PREFERRED_P): New.
	(HAS_CPU_FEATURE): New.
	(CPU_FEATURE_USABLE): New.
	(CPU_FEATURE_PREFERRED): New.
	(CPU_FEATURES_CPU_P): New.
	(CPU_FEATURES_ARCH_P): New.
	(HAS_ARCH_FEATURE): New.
	(bit_arch_I586): New.
	(bit_arch_I686): New.
	(bit_arch_Fast_Rep_String): New.
	(bit_arch_Fast_Copy_Backward): New.
	(bit_arch_Fast_Unaligned_Load): New.
	(bit_arch_Fast_Unaligned_Copy): New.
	(bit_arch_Slow_BSF): New.
	(bit_arch_Slow_SSE4_2): New.
	(bit_arch_AVX_Fast_Unaligned_Load): New.
	(bit_arch_Prefer_MAP_32BIT_EXEC): New.
	(bit_arch_Prefer_PMINUB_for_stringop): New.
	(bit_arch_Prefer_No_VZEROUPPER): New.
	(bit_arch_Prefer_ERMS): New.
	(bit_arch_Prefer_FSRM): New.
	(bit_arch_Prefer_No_AVX512): New.
	(bit_arch_MathVec_Prefer_No_AVX512): New.
	(index_arch_Fast_Rep_String): New.
	(index_arch_Fast_Copy_Backward): New.
	(index_arch_Slow_BSF): New.
	(index_arch_Fast_Unaligned_Load): New.
	(index_arch_Prefer_PMINUB_for_stringop): New.
	(index_arch_Fast_Unaligned_Copy): New.
	(index_arch_I586): New.
	(index_arch_I686): New.
	(index_arch_Slow_SSE4_2): New.
	(index_arch_AVX_Fast_Unaligned_Load): New.
	(index_arch_Prefer_MAP_32BIT_EXEC): New.
	(index_arch_Prefer_No_VZEROUPPER): New.
	(index_arch_Prefer_ERMS): New.
	(index_arch_Prefer_No_AVX512): New.
	(index_arch_MathVec_Prefer_No_AVX512): New.
	(index_arch_Prefer_FSRM): New.
	(bit_XMM_state): New.
	(bit_YMM_state): New.
	(bit_Opmask_state): New.
	(bit_ZMM0_15_state): New.
	(bit_ZMM16_31_state): New.
	(bit_XTILECFG_state): New.
	(bit_XTILEDATA_state): New.
	(cpu_features): New.

2020-12-24  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 45dcd1af092fe441e5f23350ebf6019144eb3ca7
	x86: Remove the duplicated CPU_FEATURE_CPU_P

	* sysdeps/x86/include/cpu-features.h: Modified.
	[! _ISOMAC](CPU_FEATURE_CPU_P): Remove.

2020-12-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 41290b6e842a2adfbda77a49abfacb0db2d63bfb
	Partially revert 681900d29683722b1cb0a8e565a0585846ec5a61

	* sysdeps/x86/ldbl2mpn.c: Modified.
	(__mpn_extract_long_double): Modified function.
	* sysdeps/x86/tst-ldbl-nonnormal-printf.c: Modified.
	(do_test): Modified function.

2020-12-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 94547d9209db483c17285599a0c22085067361f0
	x86 long double: Support pseudo numbers in isnanl

	* sysdeps/i386/fpu/s_isnanl.c: Move to...
	* sysdeps/x86/fpu/s_isnanl.c: ... here.
	(__isnanl): Modified function.
	* sysdeps/x86_64/fpu/s_isnanl.c: Delete file.

2020-12-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: b7f88156174f9bbf9c9393651b2ad0cdd3893e83
	x86 long double: Support pseudo numbers in fpclassifyl

	* sysdeps/i386/fpu/s_fpclassifyl.c: Move to...
	* sysdeps/x86/fpu/s_fpclassifyl.c: ... here.
	(__fpclassifyl): Modified function.
	* sysdeps/x86_64/fpu/s_fpclassifyl.c: Delete file.

2020-12-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 84c202246b74c2f75b36985ceff506b7a152c2fb
	MTE: Do not pad size in realloc_check

	* malloc/hooks.c: Modified.
	(realloc_check): Modified function.

2020-12-24  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 4f969166ce4ab535fa798dcbaa5de4c4e05773ec
	tests-mcheck: New variable to run tests with MALLOC_CHECK_=3

	* Rules: Modified.
	* malloc/Makefile: Modified.

2020-12-23  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 8a30bb4e0604aefcf28f20360fc8ba8ef8604b9c
	elf: Account for glibc-hwcaps/ prefix in _dl_important_hwcaps

	* elf/dl-hwcaps.c: Modified.
	(_dl_important_hwcaps): Modified function.

2020-12-23  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: be37b807053d7bd4b33b9d74dc97860fc58335d5
	misc: Use __ferror_unlocked instead of ferror

	* misc/mntent_r.c: Modified.
	(__addmntent): Modified function.

2020-12-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0e981d352489535060be59b816af6e654fdcc1e2
	s390x: Regenerate ulps

	* sysdeps/s390/fpu/libm-test-ulps: Modified.

2020-12-22  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 2aa8ec7dd7716fea8df9247a7e2d479cb756d1b0
	powerpc: Regenerate ulps

	* sysdeps/powerpc/fpu/libm-test-ulps: Modified.

2020-12-22  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 9798906a426fc458b949271bcc9b8ad1608de867
	addmntent: Remove unbounded alloca usage from getmntent [BZ#27083]

	* misc/Makefile: Modified.
	* misc/mntent_r.c: Modified.
	(encode_name): Remove.
	(weak_alias): Remove function.
	(weak_alias): Modified.
	(weak_alias): Modified.
	(write_string): New function.
	(__addmntent): New function.
	(weak_alias): New.
	* misc/tst-mntent-escape.c: New file.

2020-12-22  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: a2e5da2cf471b5ac849bcd7d9960466b9cd28a35
	<sys/platform/x86.h>: Add Intel LAM support

	* manual/platform.texi: Modified.
	* sysdeps/x86/sys/platform/x86.h: Modified.
	(bit_cpu_LAM): New.
	(index_cpu_LAM): New.
	(reg_LAM): New.
	* sysdeps/x86/tst-get-cpu-features.c: Modified.
	(do_test): Modified function.

2020-12-21  Florian Weimer  <fweimer@redhat.com>

	COMMIT: bca0283815375fd3e8cb13f7dcae5eb4b2e5f5c2
	i386: Regenerate ulps

	* sysdeps/i386/fpu/libm-test-ulps: Modified.
	* sysdeps/i386/i686/fpu/multiarch/libm-test-ulps: Modified.

2020-12-21  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 682cdd6e1aa4c7a84737f85b9e6612cac10da959
	aarch64: update ulps.

	* sysdeps/aarch64/libm-test-ulps: Modified.

2020-12-21  Richard Earnshaw  <rearnsha@arm.com>

	COMMIT: d27f0e5d889f4bf4a796fe2a883b2f264bf40c12
	aarch64: Add aarch64-specific files for memory tagging support

	* sysdeps/aarch64/Makefile: Modified.
	* sysdeps/aarch64/__mtag_address_get_tag.S: New file.
	* sysdeps/aarch64/__mtag_memset_tag.S: New file.
	* sysdeps/aarch64/__mtag_new_tag.S: New file.
	* sysdeps/aarch64/__mtag_tag_region.S: New file.
	* sysdeps/aarch64/libc-mtag.h: New file.

2020-12-21  Richard Earnshaw  <rearnsha@arm.com>

	COMMIT: bde4949b6b342641681a22cf6092dbc2f9d1d2c7
	aarch64: Add sysv specific enabling code for memory tagging

	* sysdeps/unix/sysv/linux/aarch64/bits/hwcap.h: Modified.
	(HWCAP2_MTE): New.
	* sysdeps/unix/sysv/linux/aarch64/bits/mman.h: Modified.
	(PROT_MTE): New.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.c: Modified.
	(init_cpu_features): Modified function.
	(sys/prctl.h): Include file.
	(MTE_ALLOWED_TAGS): New.
	* sysdeps/unix/sysv/linux/aarch64/cpu-features.h: Modified.
	(cpu_features): Modified.

2020-12-21  Richard Earnshaw  <rearnsha@arm.com>

	COMMIT: 0d1bafdcb62187a1535618c71b840672308ba07d
	linux: Add compatibility definitions to sys/prctl.h for MTE

	* sysdeps/unix/sysv/linux/sys/prctl.h: Modified.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TCF_SHIFT): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TCF_NONE): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TCF_SYNC): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TCF_ASYNC): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TCF_MASK): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TAG_SHIFT): New.
	[! PR_MTE_TCF_SHIFT](PR_MTE_TAG_MASK): New.
	[! PR_TAGGED_ADDR_ENABLE](PR_TAGGED_ADDR_ENABLE): New.

2020-12-21  Richard Earnshaw  <rearnsha@arm.com>

	COMMIT: 3784dfc0985fc0185cdc79428f624cdd1e03eabf
	malloc: Basic support for memory tagging in the malloc() family

	* include/malloc.h: Modified.
	[! USE_MTAG](MTAG_MMAP_FLAGS): New.
	[USE_MTAG](__mtag_mmap_flags): New.
	[USE_MTAG](MTAG_MMAP_FLAGS): New.
	* malloc/arena.c: Modified.
	[SHARED](__failing_morecore): Remove function.
	(ptmalloc_init): Modified function.
	(new_heap): Modified function.
	(grow_heap): Modified function.
	[(SHARED) || (USE_MTAG)](__failing_morecore): New.
	[USE_MTAG](__mtag_tag_new_usable): New.
	[USE_MTAG](__mtag_tag_new_memset): New.
	* malloc/hooks.c: Modified.
	(malloc_check_get_size): Modified function.
	(mem2mem_check): Modified function.
	(mem2chunk_check): Modified function.
	(malloc_check): Modified function.
	(free_check): Modified function.
	(realloc_check): Modified function.
	(memalign_check): Modified function.
	(SAFE_CHAR_OFFSET): New.
	* malloc/malloc.c: Modified.
	[HAVE_MREMAP](mremap_chunk): Modified function.
	[MALLOC_DEBUG](do_check_chunk): Modified function.
	[MALLOC_DEBUG](do_check_free_chunk): Modified function.
	[MALLOC_DEBUG](do_check_remalloced_chunk): Modified function.
	(chunk2mem): Modified.
	(mem2chunk): Modified.
	(misaligned_chunk): Modified.
	(checked_request2size): Modified function.
	(SMALLBIN_CORRECTION): Modified.
	(sysmalloc): Modified function.
	(munmap_chunk): Modified function.
	(__libc_malloc): Modified function.
	(__libc_free): Modified function.
	(__libc_realloc): Modified function.
	(_mid_memalign): Modified function.
	(__libc_valloc): Modified function.
	(__libc_pvalloc): Modified function.
	(__libc_calloc): Modified function.
	(_int_malloc): Modified function.
	(_int_free): Modified function.
	(_int_realloc): Modified function.
	(_int_memalign): Modified function.
	(mtrim): Modified function.
	(musable): Modified function.
	[! USE_MTAG](TAG_NEW_MEMSET): New.
	[! USE_MTAG](TAG_REGION): New.
	[! USE_MTAG](TAG_NEW_USABLE): New.
	[! USE_MTAG](TAG_AT): New.
	[! USE_MTAG](CHUNK_AVAILABLE_SIZE): New.
	[USE_MTAG](__default_tag_region): New.
	[USE_MTAG](__default_tag_nop): New.
	[USE_MTAG](__mtag_mmap_flags): New.
	[USE_MTAG](__mtag_granule_mask): New.
	[USE_MTAG](memset): New.
	[USE_MTAG](__default_tag_region): New.
	[USE_MTAG](__default_tag_nop): New.
	[USE_MTAG](__default_tag_nop): New.
	[USE_MTAG](TAG_NEW_MEMSET): New.
	[USE_MTAG](TAG_REGION): New.
	[USE_MTAG](TAG_NEW_USABLE): New.
	[USE_MTAG](TAG_AT): New.
	[USE_MTAG](CHUNK_AVAILABLE_SIZE): New.
	(libc-mtag.h): Include file.
	(CHUNK_HDR_SZ): New.
	(chunk2rawmem): New.
	* sysdeps/generic/libc-mtag.h: New file.

2020-12-21  Richard Earnshaw  <rearnsha@arm.com>

	COMMIT: 26450d04d38c8ed7ce5f2c89114b18c5508f13f1
	elf: Add a tunable to control use of tagged memory

	* elf/dl-tunables.list: Modified.
	* manual/tunables.texi: Modified.

2020-12-21  Richard Earnshaw  <Richard.Earnshaw@arm.com>

	COMMIT: 3378408987189772eec7bc62fc9923a6f01dc63c
	config: Allow memory tagging to be enabled when configuring glibc

	* INSTALL: Modified.
	* config.h.in: Modified.
	* config.make.in: Modified.
	* configure: Modified.
	* configure.ac: Modified.
	* manual/install.texi: Modified.

2020-12-21  Matt Turner  <mattst88@gmail.com>

	COMMIT: d552058570ea2c00fb88b4621be3285cda03033f
	alpha: Remove anonymous union in struct stat [BZ #27042]

	* sysdeps/unix/sysv/linux/alpha/bits/struct_stat.h: Modified.
	[! _BITS_STRUCT_STAT_H][! __USE_XOPEN2K8](__ST_TIME): Remove.
	[! _BITS_STRUCT_STAT_H][__USE_LARGEFILE64](stat64): Modified.
	[! _BITS_STRUCT_STAT_H][__USE_XOPEN2K8][!(__GNUC_PREREQ(3,3))](__ST_TIME): Remove.
	[! _BITS_STRUCT_STAT_H][__USE_XOPEN2K8][!(__GNUC_PREREQ(3,3))](st_atime): Remove.
	[! _BITS_STRUCT_STAT_H][__USE_XOPEN2K8][!(__GNUC_PREREQ(3,3))](st_mtime): Remove.
	[! _BITS_STRUCT_STAT_H][__USE_XOPEN2K8][!(__GNUC_PREREQ(3,3))](st_ctime): Remove.
	[! _BITS_STRUCT_STAT_H][__USE_XOPEN2K8][__GNUC_PREREQ(3,3)](__ST_TIME): Remove.
	[! _BITS_STRUCT_STAT_H](stat): Modified.
	[! _BITS_STRUCT_STAT_H](__ST_TIME): Remove.
	* sysdeps/unix/sysv/linux/alpha/kernel_stat.h: Modified.
	(kernel_stat): Modified.
	(kernel_stat64): Modified.
	(glibc2_stat): Modified.
	(glibc21_stat): Modified.
	* sysdeps/unix/sysv/linux/alpha/xstatconv.c: Modified.
	(__xstat_conv): Modified function.

2020-12-21  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: cad5ad81d2f7f58a7ad0d8afa8c1b7101a0301fb
	add inputs to auto-libm-test-in yielding larger errors (binary64, x86_64)

	* math/auto-libm-test-in: Modified.
	* math/auto-libm-test-out-asinh: Modified.
	* math/auto-libm-test-out-cbrt: Modified.
	* math/auto-libm-test-out-cosh: Modified.
	* math/auto-libm-test-out-erfc: Modified.
	* math/auto-libm-test-out-exp: Modified.
	* math/auto-libm-test-out-log: Modified.
	* math/auto-libm-test-out-sinh: Modified.
	* math/auto-libm-test-out-tgamma: Modified.
	* sysdeps/x86_64/fpu/libm-test-ulps: Modified.

2020-12-21  Sergei Trofimovich  <slyfox@gentoo.org>

	COMMIT: 6eb7e1da0e805e2893a0b70a5813641529d8c7e2
	m68k: fix clobbering a5 in setjmp() [BZ #24202]

	* sysdeps/m68k/setjmp.c: Modified.
	[! BSD_SETJMP && ! BSD__SETJMP](libc_hidden_def): Modified.
	[! BSD__SETJMP](__sigsetjmp): Modified function.
	[BSD_SETJMP](setjmp): Modified function.
	[BSD__SETJMP](_setjmp): Modified function.
	(inhibit_stack_protector): New.

2020-12-21  liqingqing  <liqingqing3@huawei.com>

	COMMIT: 756608dbe89f6a829c8f0d2479e09eb026e48d8b
	iconv add iconv_close before the function returned with bad value.

	* iconv/tst-iconv5.c: Modified.
	(convert): Modified function.

2020-12-21  liqingqing  <liqingqing3@huawei.com>

	COMMIT: d4eb814027a32ab0221cf9b30d21e7ed3d9963ee
	iconv: use iconv_close after iconv_open

	* iconv/tst-iconv3.c: Modified.
	(do_test): Modified function.

2020-12-21  Andreas Schwab  <schwab@suse.de>

	COMMIT: ee7a3144c9922808181009b7b3e50e852fb4999b
	Fix buffer overrun in EUC-KR conversion module (bz #24973)

	* iconvdata/Makefile: Modified.
	* iconvdata/bug-iconv13.c: New file.
	* iconvdata/euc-kr.c: Modified.
	(BODY): Modified.
	* iconvdata/ksc5601.h: Modified.
	(ksc5601_to_ucs4): Modified function.

2020-12-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e0aec6c83374286ffac44ee1b0e628894b7102e3
	hurd: Make trampoline fill siginfo ss_sp from sc_uesp

	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(fill_ucontext): Modified function.

2020-12-21  Richard Braun  <rbraun@sceen.net>

	COMMIT: 5c06743c8a6f2184fbd3792b13dffa30f473b7b7
	Hurd: make sigstates hold a reference on thread ports

	* hurd/hurd/signal.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_self_sigstate): Modified function.
	[__USE_EXTERN_INLINES &&  _LIBC][IS_IN (libc)](_hurd_critical_section_lock): Modified function.
	* hurd/hurdsig.c: Modified.
	(_hurd_thread_sigstate): Modified function.
	(_hurd_sigstate_delete): Modified function.

2020-12-21  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 53432762ac2ff24794089e2c767b976e54c2dc0a
	profil-counter: Add missing SIGINFO case

	* sysdeps/generic/profil-counter.h: Modified.
	(__profil_counter): Remove function.
	[! SA_SIGINFO](__profil_counter): New.
	[SA_SIGINFO](sigcontextinfo.h): New.
	[SA_SIGINFO](__profil_counter): New.

2020-12-21  Jeremie Koenig  <jk@jk.fr.eu.org>

	COMMIT: d865ff74ba096d016c9b1542a4e3d305169c9e55
	hurd: implement SA_SIGINFO signal handlers.

	* bits/sigaction.h: Modified.
	(SA_SIGINFO): New.
	* hurd/hurd/signal.h: Modified.
	(_hurd_exception2signal_legacy): New function.
	* hurd/hurdfault.c: Modified.
	[! EXC_MASK_ALL](_hurdsig_fault_catch_exception_raise): Modified function.
	[EXC_MASK_ALL](_hurdsig_fault_catch_exception_raise): Modified function.
	* hurd/hurdinit.c: Modified.
	(_hurd_new_proc_init): Modified function.
	* hurd/hurdsig.c: Modified.
	(post_signal): Modified function.
	(_S_msg_sig_post): Modified function.
	(_S_msg_sig_post_untraced): Modified function.
	* sysdeps/mach/hurd/i386/bits/sigcontext.h: Modified.
	* sysdeps/mach/hurd/i386/exc2signal.c: Modified.
	(_hurd_exception2signal): Modified function.
	(exception2signal): New function.
	(_hurd_exception2signal_legacy): New function.
	* sysdeps/mach/hurd/i386/sigcontextinfo.h: Modified.
	(SIGCONTEXT): Remove.
	(sigcontext_get_pc): Modified function.
	* sysdeps/mach/hurd/i386/trampoline.c: Modified.
	(_hurd_setup_sighandler): Modified function.
	(mach/exception.h): Include file.
	(sys/ucontext.h): Include file.
	(fill_siginfo): New function.
	(fill_ucontext): New function.
	* sysdeps/mach/hurd/kill.c: Modified.
	(__kill): Modified function.
	* sysdeps/mach/hurd/setitimer.c: Modified.
	(timer_thread): Modified function.

2020-12-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 407765e9f24f5a82f318a9e069a977710ac99ee0
	hurd: Fix ELF_MACHINE_USER_ADDRESS_MASK value

	* sysdeps/i386/dl-machine.h: Modified.
	[! dl_machine_h](ELF_MACHINE_USER_ADDRESS_MASK): Modified.

2020-12-20  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: e94b01393ecf2e886b57a8e0b9fe4478fc8ee835
	hurd: Note when the vm_map kernel bug was fixed

	* sysdeps/mach/hurd/dl-sysdep.c: Modified.

2020-12-19  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: b74233d0092c9ee6a2faee5adb375b3151bdc99c
	hurd: Also turn KERN_INVALID_ADDRESS to EINVAL

	* hurd/hurd.h: Modified.
	[__USE_EXTERN_INLINES](__hurd_fail): Modified function.

2020-12-18  Anssi Hannula  <anssi.hannula@bitwise.fi>

	COMMIT: 69a7ca7705626177e09d2fec6cf571f2015b76fc
	ieee754: Remove unused __sin32 and __cos32

	* manual/probes.texi: Modified.
	* sysdeps/generic/math_private.h: Modified.
	(__sin32): Remove.
	(__cos32): Remove.
	* sysdeps/ieee754/dbl-64/sincos32.c: Modified.
	(__sin32): Remove function.
	(__cos32): Remove function.
	(SECTION): Modified.
	(SECTION): Remove.
	(SECTION): Remove.
	* sysdeps/x86_64/fpu/multiarch/e_asin-fma.c: Modified.
	(__cos32): Remove.
	(__sin32): Remove.
	* sysdeps/x86_64/fpu/multiarch/e_asin-fma4.c: Modified.
	(__cos32): Remove.
	(__sin32): Remove.
	* sysdeps/x86_64/fpu/multiarch/sincos32-fma.c: Modified.
	(__cos32): Remove.
	(__sin32): Remove.
	* sysdeps/x86_64/fpu/multiarch/sincos32-fma4.c: Modified.
	(__cos32): Remove.
	(__sin32): Remove.

2020-12-18  Anssi Hannula  <anssi.hannula@bitwise.fi>

	COMMIT: f67f9c9af228f6b84579cb8c86312d3a7a206a55
	ieee754: Remove slow paths from asin and acos

	* sysdeps/ieee754/dbl-64/e_asin.c: Modified.
	(__sin32): Remove.
	(__cos32): Remove.
	(__ieee754_asin): Modified function.
	(__ieee754_acos): Modified function.

2020-12-18  Lode Willems  <Lode.Willems@UGent.be>

	COMMIT: 59d572ef613252281e31f867099c43f098319ad7
	getenv: Move call to strlen to the branch it's used in.

	* stdlib/getenv.c: Modified.
	(getenv): Modified function.

2020-12-17  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 2ec40e66adffe8162a263aadd5e5c56fc79955d0
	Update kernel version to 5.10 in tst-mman-consts.py.

	* sysdeps/unix/sysv/linux/tst-mman-consts.py: Modified.

2020-12-17  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 844b4d8b4b937fe6943d2c0c80ce7d871cdb1eb5
	s390x: Require GCC 7.1 or later to build glibc.

	* INSTALL: Modified.
	* NEWS: Modified.
	* manual/install.texi: Modified.
	* sysdeps/s390/configure: Modified.
	* sysdeps/s390/configure.ac: Modified.

2020-12-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 29a4db291b1282f4088e549391d86b6b470f22be
	malloc: Use __libc_initial to detect an inner libc

	* malloc/arena.c: Modified.
	(ptmalloc_init): Modified function.
	* malloc/malloc.c: Modified.
	(libc-internal.h): Include file.

2020-12-16  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e7570f4131a6af9405af7b4fd1c31de807e7cf68
	Replace __libc_multiple_libcs with __libc_initial flag

	* csu/init-first.c: Modified.
	(__libc_multiple_libcs): Remove.
	(_init_first): Modified function.
	* csu/libc-start.c: Modified.
	[! LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	[LIBC_START_MAIN_AUXVEC_ARG](LIBC_START_MAIN): Modified function.
	* elf/dl-open.c: Modified.
	(dl_open_worker): Modified function.
	* elf/dl-sysdep.c: Modified.
	(__libc_multiple_libcs): Remove.
	* elf/libc_early_init.c: Modified.
	(__libc_early_init): Modified function.
	[SHARED](__libc_initial): New.
	(libc-internal.h): Include file.
	* include/libc-internal.h: Modified.
	(__libc_multiple_libcs): Remove.
	[SHARED](__libc_initial): New.
	* misc/sbrk.c: Modified.
	(__sbrk): Modified function.
	(stdbool.h): Include file.
	* sysdeps/mach/hurd/dl-sysdep.c: Modified.
	(__libc_multiple_libcs): Remove.
	* sysdeps/mach/hurd/i386/init-first.c: Modified.
	(__libc_multiple_libcs): Remove.
	(posixland_init): Modified function.
	(libc-internal.h): Include file.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 9459fe9da0f981f77ba931790f82e43ac552b73c
	{nptl,htl}/semaphoreP.h: clean up

	* htl/semaphoreP.h: Modified.
	(inuse_sem): Modified.
	* nptl/semaphoreP.h: Modified.
	(inuse_sem): Modified.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 749cd2ca7893702f762de9d9852a39973eb044a0
	htl: Get sem_open/sem_close/sem_unlink support [BZ #25524]

	* htl/Makefile: Modified.
	* htl/semaphoreP.h: New file.
	* sysdeps/htl/sem-close.c: Delete file.
	* sysdeps/htl/sem-open.c: Delete file.
	* sysdeps/htl/sem-unlink.c: Delete file.
	* sysdeps/mach/hurd/i386/Makefile: Modified.
	* nptl/sem_close.c: Move to...
	* sysdeps/pthread/sem_close.c: ... here.
	* nptl/sem_open.c: Move to...
	* sysdeps/pthread/sem_open.c: ... here.
	* nptl/sem_unlink.c: Move to...
	* sysdeps/pthread/sem_unlink.c: ... here.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: a28296e778ad464d2ba6289446668c3d0dcf1236
	pthread: Move semaphore initialization for open to semaphoreP.h

	* nptl/sem_open.c: Modified.
	(sem_open): Modified function.
	* nptl/semaphoreP.h: Modified.
	(futex-internal.h): Include file.
	(__new_sem_open_init): New function.

2020-12-16  H.J. Lu  <hjl.tools@gmail.com>
            H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 3c1fe20a9f4f6e12a3677ca8a5921ac03976da3b
	Mark __libc_freeres_fn as used [BZ #27002]

	* include/libc-symbols.h: Modified.
	[! _ISOMAC](__libc_freeres_fn_section): Modified.

2020-12-16  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: bcf47eb0fba4c6278aadd6a377d6b7b3f673e17c
	Update syscall lists for Linux 5.10.

	* sysdeps/unix/sysv/linux/aarch64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/alpha/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/arc/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/arm/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/csky/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/hppa/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/i386/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/ia64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/m68k/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/microblaze/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/mips/mips32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/mips/mips64/n64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/nios2/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/riscv/rv32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/riscv/rv64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/s390/s390-32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/sh/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/sparc/sparc32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/syscall-names.list: Modified.
	* sysdeps/unix/sysv/linux/x86_64/64/arch-syscall.h: Modified.
	(__NR_process_madvise): New.
	* sysdeps/unix/sysv/linux/x86_64/x32/arch-syscall.h: Modified.
	(__NR_process_madvise): New.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: c8f9421298f5f973b31a7cbbc76e61b06eca03bc
	htl: Add pshared semaphore support

	* htl/Makefile: Modified.
	* htl/pt-internal.h: Modified.
	(new_sem): New.
	(__sem_waitfast): New function.
	* sysdeps/htl/bits/semaphore.h: Modified.
	(__semaphore): Remove.
	(sem_t): Remove.
	(__SEMAPHORE_INITIALIZER): Remove.
	(__SIZEOF_SEM_T): New.
	(sem_t): New.
	* sysdeps/htl/sem-destroy.c: Modified.
	(__sem_destroy): Modified function.
	* sysdeps/htl/sem-getvalue.c: Modified.
	(__sem_getvalue): Modified function.
	* sysdeps/htl/sem-init.c: Modified.
	(__sem_init): Modified function.
	* sysdeps/htl/sem-post.c: Modified.
	(__sem_post): Modified function.
	(hurdlock.h): Include file.
	* sysdeps/htl/sem-timedwait.c: Modified.
	(cancel_ctx): Remove.
	(cancel_hook): Remove function.
	(__sem_timedwait_internal): Modified function.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): New.
	[!__HAVE_64B_ATOMICS](__sem_wait_32_finish): New.
	(hurdlock.h): Include file.
	(hurd/hurd.h): Include file.
	(sysdep-cancel.h): Include file.
	(__sem_wait_cleanup): New function.
	* sysdeps/htl/sem-trywait.c: Modified.
	(__sem_trywait): Modified function.
	(strong_alias): Remove.
	(weak_alias): New function.
	* sysdeps/htl/sem-waitfast.c: New file.
	* sysdeps/mach/hurd/i386/Makefile: Modified.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 644d98ec4d8405e9b721ecb715483ea1983e116f
	hurd: Add LLL_PRIVATE and LLL_SHARED

	* mach/lowlevellock.h: Modified.
	(LLL_PRIVATE): New.
	(LLL_SHARED): New.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f26f0d766b940b4e9e82dabb2eb31b7a282b2246
	hurd: Add __libc_open and __libc_close

	* hurd/Versions: Modified.
	* sysdeps/mach/hurd/close.c: Modified.
	(strong_alias): New.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 6e411b42f8c76081cf3ce8b15df10d4d3189e465
	htl: Add futex-internal.h

	* sysdeps/htl/futex-internal.h: New file.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 59bb023c8361c0e12e8eee1810897c5e3ea223b3
	hurd: Add __lll_abstimed_wait_intr

	* hurd/Makefile: Modified.
	* hurd/RPC_gsync_wait_intr.c: New file.
	* hurd/Versions: Modified.
	* hurd/hurdlock.c: Modified.
	(__lll_abstimed_wait_intr): New function.
	* hurd/hurdlock.h: Modified.
	(__lll_timed_wait_intr): New.
	(__lll_abstimed_wait_intr): New function.
	(lll_abstimed_wait_intr): New.
	* mach/lowlevellock.h: Modified.
	(__gsync_wait_intr): New function.
	(__lll_wait_intr): New.
	(lll_wait_intr): New.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: bec412424e949c900b01767ce32b6743bdaaac93
	hurd: make lll_* take a variable instead of a ptr

	* hurd/hurdlock.c: Modified.
	(__lll_abstimed_wait): Modified function.
	(__lll_abstimed_xwait): Modified function.
	(__lll_abstimed_lock): Modified function.
	(__lll_robust_lock): Modified function.
	(__lll_robust_abstimed_lock): Modified function.
	(__lll_robust_unlock): Modified function.
	* hurd/hurdlock.h: Modified.
	(lll_xwait): Remove.
	(lll_timed_wait): Remove.
	(lll_timed_xwait): Remove.
	(lll_set_wake): Remove.
	(lll_requeue): Remove.
	(lll_abstimed_wait): Modified.
	(lll_abstimed_xwait): Modified.
	(lll_abstimed_lock): Modified.
	(lll_robust_abstimed_lock): Modified.
	(__lll_xwait): New.
	(__lll_timed_wait): New.
	(__lll_timed_xwait): New.
	(lll_robust_lock): New.
	(lll_robust_trylock): New.
	(__lll_set_wake): New.
	(lll_robust_unlock): New.
	(__lll_requeue): New.
	* hurd/hurdpid.c: Modified.
	(_S_msg_proc_newids): Modified function.
	* mach/lock-intern.h: Modified.
	[__USE_EXTERN_INLINES &&  _LIBC](__spin_lock): Modified function.
	[__USE_EXTERN_INLINES &&  _LIBC](__spin_unlock): Modified function.
	[__USE_EXTERN_INLINES &&  _LIBC](__spin_try_lock): Modified function.
	* mach/lowlevellock.h: Modified.
	(lll_wait): Modified.
	(lll_wake): Modified.
	(lll_lock): Modified.
	(lll_trylock): Modified.
	(lll_unlock): Modified.
	(__lll_wait): New.
	(__lll_wake): New.
	(__lll_lock): New.
	(__lll_trylock): New.
	(__lll_unlock): New.
	* sysdeps/mach/hurd/htl/pt-mutex-lock.c: Modified.
	(__pthread_mutex_lock): Modified function.
	* sysdeps/mach/hurd/htl/pt-mutex-timedlock.c: Modified.
	(__pthread_mutex_clocklock): Modified function.
	* sysdeps/mach/hurd/htl/pt-mutex-trylock.c: Modified.
	(__pthread_mutex_trylock): Modified function.
	* sysdeps/mach/hurd/htl/pt-mutex-unlock.c: Modified.
	(__pthread_mutex_unlock): Modified function.
	* sysdeps/mach/hurd/htl/pt-mutex.h: Modified.
	(ROBUST_LOCK): Modified.
	* sysdeps/mach/hurd/setpgid.c: Modified.
	(__setpgid): Modified function.
	* sysdeps/mach/hurd/setsid.c: Modified.
	(__setsid): Modified function.
	* sysdeps/mach/hurd/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_GSCOPE_RESET_FLAG): Modified.
	[! __ASSEMBLER__](THREAD_GSCOPE_WAIT): Modified.
	* sysdeps/mach/libc-lock.h: Modified.
	(__libc_lock_lock): Modified.
	(__libc_lock_trylock): Modified.
	(__libc_lock_unlock): Modified.
	(__libc_lock_trylock_recursive): Modified.
	(__libc_lock_lock_recursive): Modified.
	(__libc_lock_unlock_recursive): Modified.

2020-12-16  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 18c2ab9a094f6a6cb3a107d66dafaf32f8f969f0
	hurd: Rename LLL_INITIALIZER to LLL_LOCK_INITIALIZER

	* hurd/setauth.c: Modified.
	(reauth_lock): Modified.
	* mach/lock-intern.h: Modified.
	(__SPIN_LOCK_INITIALIZER): Modified.
	* mach/lowlevellock.h: Modified.
	(LLL_INITIALIZER): Remove.
	(LLL_LOCK_INITIALIZER): New.
	* mach/mutex-init.c: Modified.
	(__mutex_init): Modified function.
	* sysdeps/mach/libc-lock.h: Modified.
	(_LIBC_LOCK_INITIALIZER): Modified.
	(__libc_lock_define_initialized): Modified.
	(__libc_lock_init): Modified.
	(_LIBC_LOCK_RECURSIVE_INITIALIZER): Modified.

2020-12-15  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 1f3cb8d600702885c9e5a1175c73ec3f69476082
	Use Linux 5.10 in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2020-12-15  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4d0985543f479a6f421d4d8a9e0d1dc71c9c2c53
	elf: Record libc.so link map when it is the main program (bug 20972)

	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	(gnu/lib-names.h): Include file.

2020-12-15  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 7366cb03f8cc338f42bc86d99ad078eae1e3b7bf
	Use GMP 6.2.1 in build-many-glibcs.py.

	* scripts/build-many-glibcs.py: Modified.

2020-12-15  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 4033f21eb2484bdf9205dcf29da6cc89809221f7
	aarch64: remove the strlen_asimd symbol

	* sysdeps/aarch64/multiarch/strlen_asimd.S: Modified.

2020-12-15  Guillaume Gardet  <guillaume.gardet@arm.com>

	COMMIT: d4136903a29baabeec8987b53081def8b4a49826
	aarch64: fix static PIE start code for BTI [BZ #27068]

	* sysdeps/aarch64/start.S: Modified.

2020-12-15  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: c6b016532705e158a330c31697e9dd4826aa68af
	elf: Fix failure handling in _dl_map_object_from_fd

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2020-12-15  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: cb5648b00f1f6f883d0d1691abc0d2fad2fcafd7
	elf: inline lose for error handling

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(lose): Remove function.
	(open_verify): Modified function.

2020-12-14  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: e182654151a0f6ebbe628c8f2f6b041c69adbac1
	Remove strtoimax, strtoumax, wcstoimax, wcstoumax inlines

	* stdlib/inttypes.h: Modified.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE != 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__NTH): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__wur): Remove.
	[__USE_EXTERN_INLINES][__WORDSIZE == 64](__NTH): Remove.

2020-12-14  DJ Delorie  <dj@redhat.com>

	COMMIT: d2e929a907914e233d001d1dd5e3143e84fa69e0
	nsswitch: handle missing actions properly

	* grp/Makefile: Modified.
	* grp/initgroups.c: Modified.
	(internal_getgrouplist): Modified function.
	* grp/tst-initgroups1.c: New file.
	* grp/tst-initgroups1.root/etc/group: New file.
	* grp/tst-initgroups1.root/etc/nsswitch.conf: New file.
	* grp/tst-initgroups1.root/etc/passwd: New file.
	* grp/tst-initgroups2.c: New file.
	* grp/tst-initgroups2.root/etc/group: New file.
	* grp/tst-initgroups2.root/etc/nsswitch.conf: New file.
	* grp/tst-initgroups2.root/etc/passwd: New file.
	* nss/nss_database.c: Modified.
	(process_line): Modified function.
	* nss/nsswitch.c: Modified.
	(__nss_database_lookup2): Modified function.

2020-12-14  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2ee7711bdd7de9dd30073b223ce29d5cd50320f6
	x86: Remove the default REP MOVSB threshold tunable value [BZ #27061]

	* sysdeps/x86/dl-tunables.list: Modified.

2020-12-12  Mark Wielaard  <mark@klomp.org>

	COMMIT: 5a96fe2e02c740771206a2d96b902e97675daabb
	elf.h: Remove SHF_GNU_BUILD_NOTE.

	* elf/elf.h: Modified.
	(SHF_GNU_BUILD_NOTE): Remove.

2020-12-12  Dmitry V. Levin  <ldv@altlinux.org>

	COMMIT: 30bc0033160c3288bf2af0b70858e78253dfd5c0
	elf.h: fix spelling typos in comments

	* elf/elf.h: Modified.

2020-12-12  Jonny Grant  <jg@jguk.org>

	COMMIT: 2ea6af7447f5f254450038870628dc50b8cf11ed
	Fix spelling and grammar in several comments

	* argp/argp.h: Modified.
	* inet/aliases.h: Modified.
	* misc/sys/cdefs.h: Modified.
	* stdlib/alloca.h: Modified.
	* sysdeps/unix/sysv/linux/net/ethernet.h: Modified.

2020-12-11  W. Hashimoto  <ssmallkirby@gmail.com>

	COMMIT: 0e00b35704e67c499c3abfbd5b6224a13d38b012
	malloc: Detect infinite-loop in _int_free when freeing tcache [BZ#27052]

	* malloc/malloc.c: Modified.
	(_int_free): Modified function.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 751acde7ec335506b54e94ed6f2c998f6c0a22c6
	elf: Fix dl-load.c

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2020-12-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 9ffa50b26b0cb5d3043adf6d3d0b1ea735acc147
	elf: Include libc.so.6 as main program in dependency sort (bug 20972)

	* elf/Makefile: Modified.
	* elf/dl-deps.c: Modified.
	(_dl_map_object_deps): Modified function.
	* elf/tst-preload-pthread-libc.c: New file.

2020-12-11  Florian Weimer  <fweimer@redhat.com>

	COMMIT: cb81264fd9973cd95bbc71495185b98979d28918
	support: Add support_slibdir_prefix variable

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_slibdir_prefix): New.
	* support/support_paths.c: Modified.
	[! SLIBDIR_PATH](please -DSLIBDIR_PATH=something in the Makefile): New.
	[SLIBDIR_PATH](support_slibdir_prefix): New.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: cd543b5eb3642d76e365a131ce676f31fe3f1dd4
	aarch64: Use mmap to add PROT_BTI instead of mprotect [BZ #26831]

	* sysdeps/aarch64/dl-bti.c: Modified.
	(enable_bti): Remove function.
	(_dl_bti_check): Modified function.
	[! MAP_COPY](MAP_COPY): New.
	(sys/mman.h): Include file.
	(_dl_bti_protect): New function.
	(bti_failed): New function.
	* sysdeps/aarch64/dl-prop.h: Modified.
	(_dl_process_gnu_property): Modified function.
	(_dl_bti_protect): New function.
	* sysdeps/aarch64/linkmap.h: Modified.
	(link_map_machine): Modified.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: c00452d7757a300931ee186d043c43b48eeb0875
	elf: Pass the fd to note processing

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.
	(_dl_process_pt_gnu_property): Modified function.
	* elf/rtld.c: Modified.
	(dl_main): Modified function.
	* sysdeps/aarch64/dl-prop.h: Modified.
	(_dl_process_pt_note): Modified function.
	(_dl_process_gnu_property): Modified function.
	* sysdeps/generic/dl-prop.h: Modified.
	(_dl_process_pt_note): Modified function.
	(_dl_process_gnu_property): Modified function.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_process_pt_gnu_property): Modified.
	* sysdeps/x86/dl-prop.h: Modified.
	(_dl_process_pt_note): Modified function.
	(_dl_process_gnu_property): Modified function.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 38a3836011f3fe3290a94ab136dcb5f3c5c9f4e2
	elf: Move note processing after l_phdr is updated

	* elf/dl-load.c: Modified.
	[! EXTERNAL_MAP_FROM_FD](_dl_map_object_from_fd): Modified function.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 8b8f616e6a594b91d0afb152384bf2a9f72b7288
	aarch64: align address for BTI protection [BZ #26988]

	* sysdeps/aarch64/dl-bti.c: Modified.
	(enable_bti): Modified function.

2020-12-11  Szabolcs Nagy  <szabolcs.nagy@arm.com>

	COMMIT: 72739c79f61989a76b7dd719f34fcfb7b8eadde9
	aarch64: Fix missing BTI protection from dependencies [BZ #26926]

	* sysdeps/aarch64/dl-bti.c: Modified.
	(_dl_bti_check): Modified function.

2020-12-11  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 6f19927b98de091d83e668b60680be98909834e7
	Fix linknamespace errors in nss_database.c if build with -Os.

	* nss/nss_database.c: Modified.
	(nss_database_reload_1): Modified function.

2020-12-11  Dmitry V. Levin  <ldv@altlinux.org>

	COMMIT: 14ef9c185b79f55f8221a29accd8d3326367102a
	treewide: fix incorrect spelling of indices in comments

	* dlfcn/dlfcn.h: Modified.
	* elf/dl-version.c: Modified.
	* elf/elf.h: Modified.
	* iconv/gconv_trans.c: Modified.
	* iconvdata/jis0208.h: Modified.
	* iconvdata/jis0212.h: Modified.
	* locale/programs/ld-collate.c: Modified.
	* misc/hsearch_r.c: Modified.
	* nptl_db/td_thr_tsd.c: Modified.
	* string/strxfrm_l.c: Modified.

2020-12-10  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 720480934ab9107714f1ffc29222dfb5d3bc5b1d
	linux: Consolidate brk implementation

	* sysdeps/unix/sysv/linux/aarch64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/alpha/brk.S: Delete file.
	* sysdeps/unix/sysv/linux/arm/brk.c: Move to...
	* sysdeps/unix/sysv/linux/alpha/brk.c: ... here.
	(__brk): Modified function.
	* sysdeps/unix/sysv/linux/alpha/dl-brk.S: Delete file.
	* sysdeps/unix/sysv/linux/arc/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/generic/brk.c: Move to...
	* sysdeps/unix/sysv/linux/brk.c: ... here.
	(weak_alias): Modified.
	(weak_alias): Remove.
	[HAVE_INTERNAL_BRK_ADDR_SYMBOL](weak_alias): New.
	* sysdeps/unix/sysv/linux/csky/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/dl-brk.c: Delete file.
	* sysdeps/unix/sysv/linux/hppa/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/i386/brk.c: Modified.
	(errno.h): Remove include.
	(unistd.h): Remove include.
	(sysdep.h): Remove include.
	(__curbrk): Remove.
	(weak_alias): Remove.
	(__brk): Remove function.
	(weak_alias): Remove.
	(sysdeps/unix/sysv/linux/brk.c): Include file.
	* sysdeps/unix/sysv/linux/i386/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/ia64/brk.S: Delete file.
	* sysdeps/unix/sysv/linux/ia64/dl-brk.S: Delete file.
	* sysdeps/unix/sysv/linux/ia64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/m68k/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/m68k/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/microblaze/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/microblaze/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/mips/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/mips/mips32/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/mips/mips64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/nios2/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/powerpc/dl-brk.S: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc32/brk.S: Delete file.
	* sysdeps/unix/sysv/linux/powerpc/powerpc64/brk.S: Delete file.
	* sysdeps/unix/sysv/linux/riscv/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/s390/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/s390/s390-32/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/s390/s390-64/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/sh/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/brk.c: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc32/sysdep.h: Modified.
	[! __ASSEMBLER__](HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/sparc/sparc64/brk.S: Delete file.
	* sysdeps/unix/sysv/linux/sparc/sparc64/dl-brk.S: Delete file.
	* sysdeps/unix/sysv/linux/sysdep.h: Modified.
	(HAVE_INTERNAL_BRK_ADDR_SYMBOL): New.
	* sysdeps/unix/sysv/linux/x86_64/brk.c: Delete file.

2020-12-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 880433de13fa31e52587720f81b762a6c7797e4e
	elf: Include <sys/param.h> in cache.c

	* elf/cache.c: Modified.
	(sys/param.h): Include file.

2020-12-10  Florian Weimer  <fweimer@redhat.com>
            Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: fdf8fbca455ca3ef57235bde907bcc6a624ac5aa
	s390x: Add glibc-hwcaps support

	* elf/Makefile: Modified.
	* elf/tst-glibc-hwcaps-cache.script: Modified.
	* sysdeps/s390/s390-64/Makefile: Modified.
	* sysdeps/s390/s390-64/dl-hwcaps-subdirs.c: New file.
	* sysdeps/s390/s390-64/tst-glibc-hwcaps.c: New file.

2020-12-10  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 1bb8d05b9c751f6909e85ee96f6c78d536987bfd
	elf: Fix run-time dependencies of tst-dlopen-fail-2

	* elf/Makefile: Modified.

2020-12-10  Stefan Liebler  <stli@linux.ibm.com>

	COMMIT: 4b2e40a9259fab08161e1c607b06a41e15d543dc
	Handle out-of-memory case in svc_tcp.c/svc_unix.c:rendezvous_request.

	* include/rpc/svc.h: Modified.
	[! _ISOMAC](__svc_wait_on_error): New function.
	* sunrpc/svc.c: Modified.
	(__svc_accept_failed): Modified function.
	(__svc_wait_on_error): New function.
	* sunrpc/svc_tcp.c: Modified.
	(rendezvous_request): Modified function.
	* sunrpc/svc_unix.c: Modified.
	(rendezvous_request): Modified function.

2020-12-09  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 0d4ed9d40efa84e8dc88e64cf337c8e95af7b045
	elf: Fix incorrect comparison in sort_priorities_by_name

	* elf/dl-hwcaps.c: Modified.
	(sort_priorities_by_name): Modified function.

2020-12-09  Marius Hillenbrand  <mhillen@linux.ibm.com>

	COMMIT: f88242af19dc970949806790f70c6fd6336944a6
	S390: Derive float_t from FLT_EVAL_METHOD

	* NEWS: Modified.
	* sysdeps/s390/bits/flt-eval-method.h: Delete file.

2020-12-09  Andreas Schwab  <schwab@linux-m68k.org>

	COMMIT: b5eeca8cfd9d0fd92b5633a88901d9ff27f2b496
	Fix parsing of /sys/devices/system/cpu/online (bug 25859)

	* sysdeps/unix/sysv/linux/getsysstats.c: Modified.
	(__get_nprocs): Modified function.

2020-12-08  Joseph Myers  <joseph@codesourcery.com>

	COMMIT: 224b419d1e750e3e9ced5c57774bb2bdd5292e28
	Make strtoimax, strtoumax, wcstoimax, wcstoumax into aliases

	* include/inttypes.h: Modified.
	[! _ISOMAC](libc_hidden_proto): Remove.
	* stdlib/Makefile: Modified.
	* stdlib/strtoimax.c: Delete file.
	* stdlib/strtoll.c: Modified.
	[_LIBC](weak_alias): New.
	* stdlib/strtoull.c: Modified.
	[_LIBC](weak_alias): New.
	* stdlib/strtoumax.c: Delete file.
	* stdlib/wcstoimax.c: Delete file.
	* stdlib/wcstoumax.c: Delete file.
	* sysdeps/wordsize-32/strtoimax.c: Delete file.
	* sysdeps/wordsize-32/strtoumax.c: Delete file.
	* sysdeps/wordsize-32/wcstoimax.c: Delete file.
	* sysdeps/wordsize-32/wcstoumax.c: Delete file.
	* sysdeps/wordsize-64/strtoimax.c: Delete file.
	* sysdeps/wordsize-64/strtol.c: Modified.
	(weak_alias): New.
	* sysdeps/wordsize-64/strtoul.c: Modified.
	(weak_alias): New.
	* sysdeps/wordsize-64/strtoumax.c: Delete file.
	* sysdeps/wordsize-64/wcstoimax.c: Delete file.
	* sysdeps/wordsize-64/wcstol.c: Modified.
	(weak_alias): New.
	* sysdeps/wordsize-64/wcstoul.c: Modified.
	(weak_alias): New.
	* sysdeps/wordsize-64/wcstoumax.c: Delete file.
	* wcsmbs/wcstoll.c: Modified.
	(weak_alias): New.
	* wcsmbs/wcstoull.c: Modified.
	(weak_alias): New.

2020-12-08  Paul Zimmermann  <Paul.Zimmermann@inria.fr>

	COMMIT: 4d3a77c73594c3704992f8d5b779c8be053cff35
	Fixed typos in "NEWS for version 2.32"

	* NEWS: Modified.

2020-12-08  Siddhesh Poyarekar  <siddhesh@sourceware.org>

	COMMIT: 38a9e93cb1c58e3c899d638480e6d6e42af8e6fc
	Add NEWS entry for CVE-2020-29562 (BZ #26923)

	* NEWS: Modified.

2020-12-07  Michael Colavita  <mcolavita@fb.com>

	COMMIT: 228edd356f03bf62dcf2b1335f25d43c602ee68d
	iconv: Fix incorrect UCS4 inner loop bounds (BZ#26923)

	* iconv/Makefile: Modified.
	* iconv/gconv_simple.c: Modified.
	[!_STRING_ARCH_unaligned](ucs4_internal_loop_unaligned): Modified function.
	[!_STRING_ARCH_unaligned](ucs4le_internal_loop_unaligned): Modified function.
	(ucs4_internal_loop): Modified function.
	(ucs4le_internal_loop): Modified function.
	* iconv/tst-iconv8.c: New file.

2020-12-06  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 088e9625378f25607acff3daf7a79cbdee497043
	x86: Rename readelflib.c

	* sysdeps/unix/sysv/linux/i386/readelflib.c: Move to...
	* sysdeps/unix/sysv/linux/x86/readelflib.c: ... here.
	(process_elf_file): Modified function.
	* sysdeps/unix/sysv/linux/x86_64/readelflib.c: Delete file.

2020-12-04  DJ Delorie  <dj@redhat.com>

	COMMIT: f4f3b09111e9fa38fd485979a3e40b6cfa6a757d
	nsswitch: use new internal API (callers)

	* grp/compat-initgroups.c: Modified.
	(compat_call): Modified function.
	* grp/initgroups.c: Modified.
	(internal_getgrouplist): Modified function.
	* inet/ether_hton.c: Modified.
	(ether_hostton): Modified function.
	* inet/ether_ntoh.c: Modified.
	(ether_ntohost): Modified function.
	* inet/getnetgrent_r.c: Modified.
	(setup): Modified function.
	(endnetgrent_hook): Modified function.
	(__internal_setnetgrent_reuse): Modified function.
	(__internal_getnetgrent_r): Modified function.
	* inet/netgroup.h: Modified.
	(__netgrent): Modified.
	* nscd/aicache.c: Modified.
	(addhstaiX): Modified function.
	* nscd/gai.c: Modified.
	(__nss_hosts_database): Modified.
	* nscd/initgrcache.c: Modified.
	(addinitgroupsX): Modified function.
	* nscd/netgroupcache.c: Modified.
	(addgetnetgrentX): Modified function.
	* nscd/nscd_netgroup.c: Modified.
	(__nscd_setnetgrent): Modified function.
	* nss/XXX-lookup.c: Modified.
	(DB_LOOKUP_FCT): Modified function.
	* nss/compat-lookup.c: Modified.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_27)](__nss_passwd_lookup): Modified function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_30)](__nss_next): Modified function.
	[SHLIB_COMPAT (libc, GLIBC_2_0, GLIBC_2_30)](__nss_database_lookup): Modified function.
	* nss/getXXbyYY_r.c: Modified.
	(DB_LOOKUP_FCT): Modified.
	(INTERNAL): Modified function.
	* nss/getXXent_r.c: Modified.
	(nip): Modified.
	(last_nip): Modified.
	(startp): Modified.
	(__libc_lock_define_initialized): Modified.
	* nss/getnssent_r.c: Modified.
	(setup): Modified function.
	(__nss_setent): Modified function.
	(__nss_endent): Modified function.
	(__nss_getent_r): Modified function.
	* nss/nss_compat/compat-grp.c: Modified.
	(ni): Modified.
	* nss/nss_compat/compat-initgroups.c: Modified.
	(ni): Modified.
	* nss/nss_compat/compat-pwd.c: Modified.
	(ni): Modified.
	* nss/nss_compat/compat-spwd.c: Modified.
	(ni): Modified.
	* posix/tst-rfc3484-2.c: Modified.
	(__nss_hosts_database): Modified.
	* posix/tst-rfc3484-3.c: Modified.
	(__nss_hosts_database): Modified.
	* posix/tst-rfc3484.c: Modified.
	(__nss_hosts_database): Modified.
	* sunrpc/netname.c: Modified.
	(netname2user): Modified function.
	* sunrpc/publickey.c: Modified.
	(getpublickey): Modified function.
	(getsecretkey): Modified function.
	* sysdeps/posix/getaddrinfo.c: Modified.
	(getcanonname): Modified function.
	(gaih_inet): Modified function.

2020-12-04  DJ Delorie  <dj@redhat.com>

	COMMIT: 6eceded941bb6dcc097291757e2aef5cd7212133
	nsswitch: user new internal API (tests)

	* nss/nss_test.h: Modified.
	(test_tables): Modified.
	(netdb.h): Include file.
	(HOST_LAST): New.
	(HOST_ISLAST): New.
	(HOST): New.
	* nss/nss_test1.c: Modified.
	(init): Modified function.
	(NAME): Modified function.
	(host_data): New.
	(nhost_data): New.
	(host_iter): New.
	(CURHOST): New.
	(host_lock): New.
	(NAME): New function.
	(NAME): New function.
	(copy_host): New function.
	(NAME): New function.
	(NAME): New function.
	(NAME): New function.
	(NAME): New function.
	(NAME): New function.
	(NAME): New function.
	* nss/tst-reload1.c: New file.
	* nss/tst-reload1.root/etc/nsswitch.conf: New file.
	* nss/tst-reload1.root/etc/nsswitch.conf2: New file.
	* nss/tst-reload1.root/etc/services: New file.
	* nss/tst-reload1.root/tst-reload1.script: New file.

2020-12-04  DJ Delorie  <dj@redhat.com>

	COMMIT: f8847d83e17774ed5e9c0f75ef693680b91bcae4
	nsswitch: use new internal API (core)

	* malloc/set-freeres.c: Modified.
	(../nss/nss_module.h): Remove include.
	(__libc_freeres): Modified function.
	(../nss/nsswitch.h): Include file.
	* nss/Makefile: Modified.
	* nss/nss_action.c: Modified.
	(nss_action.h): Remove include.
	(nsswitch.h): Include file.
	* nss/nss_action_parse.c: Modified.
	(nss_action.h): Remove include.
	(nss_module.h): Remove include.
	(__nss_action_parse): Modified function.
	(nsswitch.h): Include file.
	* nss/nss_database.c: Modified.
	(nss_database_check_reload_and_get): Modified function.
	(__nss_configure_lookup): New function.
	* nss/nss_module.c: Modified.
	(nss_module.h): Remove include.
	[SHARED &&  USE_NSCD](nss_load_all_libraries): New.
	[SHARED &&  USE_NSCD](define_traced_file): New.
	[SHARED &&  USE_NSCD](define_traced_file): New.
	[SHARED &&  USE_NSCD](define_traced_file): New.
	[SHARED &&  USE_NSCD](define_traced_file): New.
	[SHARED &&  USE_NSCD](define_traced_file): New.
	[SHARED &&  USE_NSCD](__nss_disable_nscd): New.
	(nsswitch.h): Include file.
	(nscd/nscd.h): Include file.
	(nscd/nscd_proto.h): Include file.
	* nss/nsswitch.c: Modified.
	[! DO_STATIC_NSS ||  SHARED](nss_new_service): Remove.
	[! USE_NSCD][! DO_STATIC_NSS ||  SHARED](__nss_shlib_revision): Remove.
	[! USE_NSCD][! DO_STATIC_NSS ||  SHARED](nss_load_library): Remove.
	[! USE_NSCD][! DO_STATIC_NSS ||  SHARED](nss_new_service): Remove.
	[! USE_NSCD][!(! DO_STATIC_NSS ||  SHARED)](service_table): Remove.
	[! USE_NSCD][SHARED &&  USE_NSCD](nss_load_all_libraries): Remove.
	[! USE_NSCD][SHARED &&  USE_NSCD](__nss_disable_nscd): Remove.
	[! USE_NSCD][USE_NSCD && (! DO_STATIC_NSS ||  SHARED)](is_nscd): Remove.
	[! USE_NSCD][USE_NSCD && (! DO_STATIC_NSS ||  SHARED)](nscd_init_cb): Remove.
	[! USE_NSCD](service_table): Remove.
	[! USE_NSCD](defconfig_entries): Remove.
	[! USE_NSCD](__nss_database_lookup2): Remove.
	[! USE_NSCD](libc_hidden_def): Remove.
	[! USE_NSCD](__nss_lookup): Remove.
	[! USE_NSCD](libc_hidden_def): Remove.
	[! USE_NSCD](__nss_next2): Remove.
	[! USE_NSCD](libc_hidden_def): Remove.
	[! USE_NSCD](__nss_configure_lookup): Remove.
	[! USE_NSCD](known_compare): Remove.
	[! USE_NSCD](__nss_lookup_function): Remove.
	[! USE_NSCD](libc_hidden_def): Remove.
	[! USE_NSCD](nss_parse_file): Remove.
	[! USE_NSCD](nss_parse_service_list): Remove.
	[! USE_NSCD](nss_getline): Remove.
	[! USE_NSCD](free_database_entries): Remove.
	[! USE_NSCD](libc_freeres_fn__free_defconfig): Remove.
	[! USE_NSCD](libc_freeres_fn__free_mem): Remove.
	[USE_NSCD](__nss_database_custom): Modified.
	(nss_parse_file): Remove.
	(nss_getline): Remove.
	(nss_parse_service_list): Remove.
	(DEFINE_DATABASE): Modified.
	(<anoymous>): Remove.
	(databases.def): Remove include.
	(ndatabases): Remove.
	(unistd.h): Include file.
	(database_names): New.
	(__nss_database_lookup2): New function.
	(libc_hidden_def): New.
	(__nss_lookup): New function.
	(libc_hidden_def): New.
	(__nss_next2): New function.
	(libc_hidden_def): New.
	(__nss_lookup_function): New function.
	(libc_hidden_def): New.
	* nss/nsswitch.h: Modified.
	(service_user): Remove.
	(nss_next_action): Modified.
	(name_database_entry): Remove.
	(name_database): Remove.
	(__nss_database_lookup2): Modified.
	(__nss_lookup): Modified.
	(__nss_next2): Modified.
	(__nss_next): Modified.
	(__nss_lookup_function): Modified.
	(db_lookup_function): Modified.
	(__nss_setent): Modified.
	(__nss_endent): Modified.
	(__nss_getent_r): Modified.
	(DEFINE_DATABASE): Modified.
	(nss_action): New.
	(nss/nss_module.h): Include file.
	(nss/nss_action.h): Include file.
	(nss/nss_database.h): Include file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fa78feca47fdc226b46e7f6fea4c08c10fccd182
	nss: Implement <nss_database.h>

	* nss/Makefile: Modified.
	* nss/nss_database.c: New file.
	* nss/nss_database.h: New file.
	* sysdeps/mach/hurd/fork.c: Modified.
	(__fork): Modified function.
	(nss/nss_database.h): Include file.
	* sysdeps/nptl/fork.c: Modified.
	(__libc_fork): Modified function.
	(nss/nss_database.h): Include file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: fd5b9b4458ef662d1955459e22a11b15d16a5648
	<nss_action.h>: New abstraction for combining NSS modules and NSS actions

	* nss/Makefile: Modified.
	* nss/nss_action.c: New file.
	* nss/nss_action.h: New file.
	* nss/nss_action_parse.c: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 171689dac7fcb979e7d3ffbd307eacae3c07c2d3
	nss: Introduce <nss_module.h>

	* malloc/set-freeres.c: Modified.
	(__libc_freeres): Modified function.
	(../nss/nss_module.h): Include file.
	* nss/Makefile: Modified.
	* nss/function.def: Modified.
	* nss/nss_module.c: New file.
	* nss/nss_module.h: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 7dc2f14bb340bce9a6283dfa7dfde18ec2cb24a2
	Add scripts/move-symbol-to-libc.py

	* scripts/move-symbol-to-libc.py: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 4c38c1a229bc3628269ad98bd7e8d31d118d91f6
	powerpc64le: Add glibc-hwcaps support

	* elf/Makefile: Modified.
	* elf/tst-glibc-hwcaps-cache.script: Modified.
	* sysdeps/powerpc/powerpc64/le/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/dl-hwcaps-subdirs.c: New file.
	* sysdeps/powerpc/powerpc64/le/tst-glibc-hwcaps.c: New file.

2020-12-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 93fda28693f0d9060b0aa71eeacaacfe9f16896e
	x86: Adjust tst-cpu-features-supports.c for GCC 11

	* sysdeps/x86/tst-cpu-features-supports.c: Modified.
	(CHECK_SUPPORTS): Modified.
	(do_test): Modified function.
	(CHECK_CPU_SUPPORTS): New.

2020-12-04  H.J. Lu  <hjl.tools@gmail.com>

	COMMIT: 2976082a385a7fb3d0294c6acf745b4f93e834ee
	x86: Set RDRAND usable if CPU supports RDRAND

	* sysdeps/x86/cpu-features.c: Modified.
	(update_usable): Modified function.

2020-12-04  Matheus Castanho  <msc@linux.ibm.com>

	COMMIT: 4f4bd9e47ba98ccfeeaa8c600c0b0c8bbabcebb3
	elf: Add missing <stddef.h> header to elf/dl-hwcaps.h

	* elf/dl-hwcaps.h: Modified.
	(stddef.h): Include file.

2020-12-04  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 135ca0a7cd08a9e86e6e0dabe0ef560a4bdac9be
	lowlevellock-futex: Remove not used macros

	* sysdeps/nptl/lowlevellock-futex.h: Modified.
	[! __ASSEMBLER__](lll_futex_clock_wait_bitset): Remove.
	[! __ASSEMBLER__](lll_futex_timed_lock_pi): Remove.
	[! __ASSEMBLER__](lll_futex_wait_requeue_pi): Remove.
	[! __ASSEMBLER__](lll_futex_timed_wait_requeue_pi): Remove.

2020-12-04  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 4ec2e738032b5671b9a6e0987d7c7305a1c41f68
	futex: Remove not used futex_reltimed_wait{_cancelable}

	* sysdeps/nptl/futex-internal.h: Modified.
	(futex_reltimed_wait): Remove function.
	(futex_reltimed_wait_cancelable): Remove function.

2020-12-04  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 47f78f36836f480b2b7a2041480be966b3a698e3
	y2038: Convert gai_suspend to support 64 bit time

	* include/netdb.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__gai_suspend_time64): New.
	[! _ISOMAC][__TIMESIZE != 64](libanl_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__gai_suspend_time64): New.
	* resolv/gai_suspend.c: Modified.
	(gai_suspend): Remove function.
	[__TIMESIZE != 64](libanl_hidden_def): New.
	[__TIMESIZE != 64](__gai_suspend): New.
	(__gai_suspend_time64): New function.
	(weak_alias): New.
	* sysdeps/nptl/gai_misc.h: Modified.
	(GAI_MISC_WAIT): Modified.

2020-12-04  Lukasz Majewski  <lukma@denx.de>

	COMMIT: 94551be9025b2b848e05fc5a9ada5f34060b4f6f
	symbols: Add defines for libanl's libanl_hidden_{def|proto}

	* include/libc-symbols.h: Modified.
	[! _ISOMAC][!(IS_IN (libanl))](libanl_hidden_proto): New.
	[! _ISOMAC][!(IS_IN (libanl))](libanl_hidden_def): New.
	[! _ISOMAC][IS_IN (libanl)](libanl_hidden_proto): New.
	[! _ISOMAC][IS_IN (libanl)](libanl_hidden_def): New.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: f267e1c9dd7fb8852cc32d6eafd96bbcfd5cbb2b
	x86_64: Add glibc-hwcaps support

	* elf/Makefile: Modified.
	* elf/tst-glibc-hwcaps-cache.script: Modified.
	* sysdeps/x86_64/Makefile: Modified.
	* sysdeps/x86_64/dl-hwcaps-subdirs.c: New file.
	* sysdeps/x86_64/tst-glibc-hwcaps.c: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 600d9e0c87940da9b0fdeff492bf888df852d40c
	elf: Add glibc-hwcaps subdirectory support to ld.so cache processing

	* elf/Makefile: Modified.
	* elf/dl-cache.c: Modified.
	[! MAP_COPY](_dl_unload_cache): Modified function.
	(search_cache): Modified function.
	[SHARED](glibc_hwcaps_priorities): New.
	[SHARED](glibc_hwcaps_priorities_length): New.
	[SHARED](glibc_hwcaps_priorities_allocated): New.
	[SHARED](glibc_hwcaps_priorities_malloced): New.
	[SHARED](glibc_hwcaps_priorities_free): New.
	[SHARED](glibc_hwcaps_compare): New.
	[SHARED](glibc_hwcaps_priorities_init): New.
	[SHARED](glibc_hwcaps_priority): New.
	* elf/dl-hwcaps.c: Modified.
	(_dl_important_hwcaps): Modified function.
	(_dl_hwcaps_priorities): New.
	(_dl_hwcaps_priorities_length): New.
	(compute_priorities): New function.
	(sort_priorities_by_name): New function.
	* elf/dl-hwcaps.h: Modified.
	(dl_hwcaps_priority): New.
	(_dl_hwcaps_priorities): New.
	(_dl_hwcaps_priorities_length): New.
	* elf/tst-glibc-hwcaps-cache.c: New file.
	* elf/tst-glibc-hwcaps-cache.root/etc/ld.so.conf: New file.
	* elf/tst-glibc-hwcaps-cache.root/postclean.req: New file.
	* elf/tst-glibc-hwcaps-cache.script: New file.
	* elf/tst-glibc-hwcaps-prepend-cache.c: New file.
	* elf/tst-glibc-hwcaps-prepend-cache.root/postclean.req: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: b44ac4f4c7a8bbe5eaa2701aa9452eaf2c96e1dd
	elf: Process glibc-hwcaps subdirectories in ldconfig

	* elf/cache.c: Modified.
	(cache_entry): Modified.
	(print_entry): Modified function.
	(print_cache): Modified function.
	(compare): Modified function.
	(write_extensions): Modified function.
	(save_cache): Modified function.
	(add_to_cache): Modified function.
	(glibc_hwcaps_subdirectory): New.
	(glibc_hwcaps_subdirectory_name): New function.
	(hwcaps): New.
	(new_glibc_hwcaps_subdirectory): New function.
	(assign_glibc_hwcaps_indices_compare): New function.
	(glibc_hwcaps_count): New function.
	(assign_glibc_hwcaps_indices): New function.
	(glibc_hwcaps_string): New function.
	* elf/ldconfig.c: Modified.
	(dir_entry): Modified.
	(new_sub_entry): Modified function.
	(add_single_dir): Modified function.
	(add_dir_1): Modified function.
	(search_dir): Modified function.
	(assert.h): Include file.
	(dl-hwcaps.h): Include file.
	(add_glibc_hwcaps_subdirectories): New function.
	* sysdeps/generic/dl-cache.h: Modified.
	(cache_extension_tag): Modified.
	(cache_extension_load): Modified function.
	(DL_CACHE_HWCAP_EXTENSION): New.
	(dl_cache_hwcap_extension): New function.
	(cache_extension_verify): New function.
	* sysdeps/generic/ldconfig.h: Modified.
	(add_to_cache): Modified.
	(glibc_hwcaps_subdirectory): New.
	(new_glibc_hwcaps_subdirectory): New function.
	(glibc_hwcaps_subdirectory_name): New function.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 73b6e50a22dea9ae6144beaaa675d2ac62c281ca
	elf: Implement tail merging of strings in ldconfig

	* elf/Makefile: Modified.
	* elf/cache.c: Modified.
	(cache_entry): Modified.
	(compare): Modified function.
	(save_cache): Modified function.
	(add_to_cache): Modified function.
	(stringtable.h): Include file.
	(strings): New.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 785969a047ad2f23f758901c6816422573544453
	elf: Implement a string table for ldconfig, with tail merging

	* elf/Makefile: Modified.
	* elf/stringtable.c: New file.
	* elf/stringtable.h: New file.
	* elf/stringtable_free.c: New file.
	* elf/tst-stringtable.c: New file.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: dfb3f101c5ef23adf60d389058a2b33e23303d04
	elf: Add extension mechanism to ld.so.cache

	* elf/cache.c: Modified.
	(print_cache): Modified function.
	(save_cache): Modified function.
	(assert.h): Include file.
	(version.h): Include file.
	(print_extensions): New function.
	(<anoymous>): New.
	(write_extensions): New function.
	* sysdeps/generic/dl-cache.h: Modified.
	(cache_file_new): Modified.
	(stddef.h): Include file.
	(string.h): Include file.
	(<anoymous>): New.
	(cache_extension_tag): New.
	(cache_extension_section): New.
	(cache_extension): New.
	(cache_extension_loaded): New.
	(cache_extension_all_loaded): New.
	(cache_extension_load): New function.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 84ba719b260551918965d0a433914de683087645
	elf: Add endianness markup to ld.so.cache (bug 27008)

	* elf/cache.c: Modified.
	(print_cache): Modified function.
	(save_cache): Modified function.
	(check_new_cache): New function.
	* elf/dl-cache.c: Modified.
	(_dl_load_cache_lookup): Modified function.
	* sysdeps/generic/dl-cache.h: Modified.
	(cache_file_new): Modified.
	(_DL_CACHE_H): New.
	(endian.h): Include file.
	(stdbool.h): Include file.
	(<anoymous>): New.
	(_Static_assert): New function.
	(cache_file_new_matches_endian): New function.

2020-12-04  Florian Weimer  <fweimer@redhat.com>

	COMMIT: dad90d528259b669342757c37dedefa8577e2636
	elf: Add glibc-hwcaps support for LD_LIBRARY_PATH

	* elf/Makefile: Modified.
	* elf/dl-hwcaps-subdirs.c: New file.
	* elf/dl-hwcaps.c: Modified.
	(_dl_important_hwcaps): Modified function.
	(hwcaps_counts): New.
	(update_hwcaps_counts): New function.
	(copy_hwcaps): New.
	(copy_hwcaps): New function.
	* elf/dl-hwcaps.h: Modified.
	(_DL_HWCAPS_H): New.
	(stdint.h): Include file.
	(GLIBC_HWCAPS_SUBDIRECTORY): New.
	(GLIBC_HWCAPS_PREFIX): New.
	(dl_hwcaps_split): New.
	(_dl_hwcaps_split_init): New function.
	(_dl_hwcaps_split): New function.
	(dl_hwcaps_split_masked): New.
	(_dl_hwcaps_split_masked_init): New function.
	(_dl_hwcaps_split_masked): New function.
	(_dl_hwcaps_contains): New function.
	(_dl_hwcaps_subdirs): New.
	(_dl_hwcaps_subdirs_active): New function.
	(_dl_hwcaps_subdirs_build_bitmask): New function.
	* elf/dl-hwcaps_split.c: New file.
	* elf/dl-load.c: Modified.
	(_dl_init_paths): Modified function.
	* elf/dl-main.h: Modified.
	(dl_main_state): Modified.
	(call_init_paths): Modified function.
	* elf/dl-support.c: Modified.
	[! HAVE_AUX_VECTOR](__rtld_lock_define_initialized_recursive): Modified function.
	(__rtld_lock_define_initialized_recursive): Modified function.
	* elf/dl-usage.c: Modified.
	(print_search_path_for_help): Modified function.
	(_dl_help): Modified function.
	(print_hwcaps_subdirectories_header): New function.
	(print_hwcaps_subdirectories_name): New function.
	(print_hwcaps_subdirectories): New function.
	* elf/markermodMARKER-VALUE.c: New file.
	* elf/rtld.c: Modified.
	(dl_main_state_init): Modified function.
	(dl_main): Modified function.
	* elf/tst-dl-hwcaps_split.c: New file.
	* elf/tst-glibc-hwcaps-mask.c: New file.
	* elf/tst-glibc-hwcaps-prepend.c: New file.
	* elf/tst-glibc-hwcaps.c: New file.
	* sysdeps/generic/ldsodefs.h: Modified.
	[IS_IN (rtld)](_dl_init_paths): Modified.
	[IS_IN (rtld)](_dl_important_hwcaps): Modified.

2020-12-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: c41d197ec4a564a588e1cf3855d955297f2915c4
	elf: Synchronize <elf.h> section header flags with binutils

	* elf/elf.h: Modified.
	(SHF_GNU_BUILD_NOTE): New.
	(SHF_GNU_RETAIN): New.

2020-12-03  Jakub Jelinek  <jakub@redhat.com>

	COMMIT: 1d9cbb96082e646de7515a1667efa041ffb79958
	x86: Fix THREAD_SELF definition to avoid ld.so crash (bug 27004)

	* sysdeps/i386/nptl/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_SELF): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_SELF): New.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_SELF): New.
	* sysdeps/x86_64/nptl/tls.h: Modified.
	[! __ASSEMBLER__](THREAD_SELF): Remove.
	[! __ASSEMBLER__][!(__GNUC_PREREQ (6, 0))](THREAD_SELF): New.
	[! __ASSEMBLER__][__GNUC_PREREQ (6, 0)](THREAD_SELF): New.

2020-12-03  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: 7c331116971d38e57703af4097ed13ab6bef91d0
	htl: Add hidden def for __pthread_create/detach

	* htl/pt-create.c: Modified.
	(hidden_def): New.
	* htl/pt-detach.c: Modified.
	(hidden_def): New.
	* sysdeps/htl/pthreadP.h: Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): Modified.
	[IS_IN (libpthread)](hidden_proto): New.
	[IS_IN (libpthread)](hidden_proto): New.

2020-12-03  Florian Weimer  <fweimer@redhat.com>

	COMMIT: e960d8313dfc0856b76f764c2b22749caf864974
	manual: Clarify File Access Modes section and add O_PATH

	* manual/llio.texi: Modified.

2020-12-03  Samuel Thibault  <samuel.thibault@ens-lyon.org>

	COMMIT: f9ba73d056721ff61160a46438fd8ebf11d9aeee
	htl: Add missing symbols

	* htl/Versions: Modified.
	* hurd/Versions: Modified.

2020-12-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: f147616d6891a3726ff39b7c3bc1539c86667626
	Revert "linux: Move xmknod{at} to compat symbols"

	* sysdeps/unix/sysv/linux/xmknod.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xmknod): Modified function.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/xmknodat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.

2020-12-02  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 22edf4d4b2fe9bfb4bd7376467d0958e22b04f23
	Revert "linux: Move {f}xstat{at} to compat symbols"

	* sysdeps/unix/sysv/linux/alpha/fxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstat64): Modified function.
	(strong_alias): New function.
	* sysdeps/unix/sysv/linux/alpha/fxstatat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstatat64): New function.
	(strong_alias): New function.
	* sysdeps/unix/sysv/linux/alpha/lxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__lxstat64): Modified function.
	(weak_alias): New function.
	* sysdeps/unix/sysv/linux/alpha/xstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](strong_alias): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__xstat64): Modified function.
	(weak_alias): New function.
	* sysdeps/unix/sysv/linux/fxstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): Modified function.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/fxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New function.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___fxstat64): Modified function.
	* sysdeps/unix/sysv/linux/fxstatat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): Modified function.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/fxstatat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)][XSTAT_IS_XSTAT64](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): Modified function.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/lxstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): Modified function.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/lxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New function.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)][XSTAT_IS_XSTAT64](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_33)](___lxstat64): Modified function.
	* sysdeps/unix/sysv/linux/mips/fxstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__fxstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstat): New function.
	* sysdeps/unix/sysv/linux/mips/lxstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__lxstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__lxstat): New function.
	* sysdeps/unix/sysv/linux/mips/mips64/fxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](__fxstat64): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstat64): New function.
	* sysdeps/unix/sysv/linux/mips/mips64/fxstatat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstatat): New function.
	* sysdeps/unix/sysv/linux/mips/mips64/fxstatat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](__fxstatat64): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_4, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__fxstatat64): New function.
	* sysdeps/unix/sysv/linux/mips/mips64/lxstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](__lxstat64): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__lxstat64): New function.
	* sysdeps/unix/sysv/linux/mips/mips64/xstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](__xstat64): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_2, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__xstat64): New function.
	* sysdeps/unix/sysv/linux/mips/xstat.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	(shlib-compat.h): Remove include.
	(__xstat): New function.
	* sysdeps/unix/sysv/linux/xstat.c: Modified.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](__xstat): Modified function.
	[!XSTAT_IS_XSTAT64][SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](compat_symbol): Remove.
	* sysdeps/unix/sysv/linux/xstat64.c: Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][!(SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2))](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][SHLIB_COMPAT(libc, GLIBC_2_1, GLIBC_2_2)](versioned_symbol): New function.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](strong_alias): Modified.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)][XSTAT_IS_XSTAT64](compat_symbol): Remove.
	[SHLIB_COMPAT(libc, GLIBC_2_0, GLIBC_2_33)](___xstat64): Modified function.

2020-12-02  Florian Weimer  <fweimer@redhat.com>

	COMMIT: be5365e87b0fd7c51009762995c0603d9962a1a3
	elf.h: Fix spelling of EM_TILE64 comment

	* elf/elf.h: Modified.

2020-12-01  Lucas A. M. Magalhaes  <lamm@linux.ibm.com>

	COMMIT: 61855081017dff30c577855cda882740356b5d98
	nptl: Fix __futex_clocklock64 return error check [BZ #26964]

	* nptl/Makefile: Modified.
	* nptl/tst-pthread-timedlock-lockloop.c: New file.
	* sysdeps/nptl/futex-internal.h: Modified.
	(__futex_clocklock64): Modified function.

2020-11-30  Paul E. Murphy  <murphyp@linux.vnet.ibm.com>

	COMMIT: 33fc34521de970153344cfe1bfa9ce6da7a6efea
	powerpc64le: ifunc select *f128 routines in multiarch mode

	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/Makefile: Modified.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-macros.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirect-macros.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirects-mp.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc-redirects.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128-ifunc.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/float128_private.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/math-type-macros-float128.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/math_private.h: New file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/s_fmaf128-power9.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/s_fmaf128-ppc64.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/s_fmaf128.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/w_sqrtf128-power9.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/w_sqrtf128-ppc64le.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/fpu/multiarch/w_sqrtf128.c: Delete file.
	* sysdeps/powerpc/powerpc64/le/power9/Makeconfig: New file.

2020-11-30  Lukasz Majewski  <lukma@denx.de>

	COMMIT: cc5d5852c65eddf92368b0845e1374bd443316e7
	y2038: Convert aio_suspend to support 64 bit time

	* include/aio.h: Modified.
	[! _ISOMAC][__TIMESIZE != 64](__aio_suspend_time64): New.
	[! _ISOMAC][__TIMESIZE != 64](librt_hidden_proto): New.
	[! _ISOMAC][__TIMESIZE == 64](__aio_suspend_time64): New.
	* nptl/Versions: Modified.
	* sysdeps/nptl/aio_misc.h: Modified.
	(AIO_MISC_WAIT): Modified.
	* sysdeps/nptl/futex-internal.c: Modified.
	(libpthread_hidden_def): New.
	(libpthread_hidden_def): New.
	* sysdeps/nptl/futex-internal.h: Modified.
	(__futex_abstimed_wait_cancelable64): Modified.
	(__futex_abstimed_wait64): Modified.
	(libpthread_hidden_proto): New function.
	(libpthread_hidden_proto): New function.
	* sysdeps/pthread/aio_suspend.c: Modified.
	[DONT_NEED_AIO_MISC_COND](do_aio_misc_wait): Modified function.
	(aio_suspend): Remove function.
	(weak_alias): Modified.
	[__TIMESIZE != 64](librt_hidden_def): New.
	[__TIMESIZE != 64](__aio_suspend): New.
	(__aio_suspend_time64): New function.
	(weak_alias): New.

2020-11-30  Shuo Wang  <wangshuo47@huawei.com>

	COMMIT: fdb724f9032ff73310be0e51549f494a3eaa7495
	Fix typo in NEWS file

	* NEWS: Modified.

2020-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: aa69f19a937b679816ef10e8620ea1141bb1734b
	nptl: Add EOVERFLOW checks for futex calls

	* nptl/pthread_cond_wait.c: Modified.
	(__pthread_cond_wait_common): Modified function.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	* nptl/pthread_rwlock_common.c: Modified.
	(__pthread_rwlock_rdlock_full64): Modified function.
	(__pthread_rwlock_wrlock_full64): Modified function.
	* nptl/sem_waitcommon.c: Modified.
	(__new_sem_wait_slow64): Modified function.

2020-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 71eeae0325a95f5e5d7ec4a27a6a6c357e0c8ef4
	nptl: Fix PTHREAD_PRIO_PROTECT timed lock

	* nptl/Makefile: Modified.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	* nptl/tst-mutexpp5.c: New file.
	* nptl/tst-mutexpp9.c: New file.
	* sysdeps/pthread/tst-mutex5.c: Modified.
	(do_test_clock): Modified function.
	(do_test): Modified function.
	[ENABLE_PP](tst-tpp.h): New.
	* sysdeps/pthread/tst-mutex9.c: Modified.
	(do_test_clock): Modified function.
	(do_test): Modified function.
	[ENABLE_PP](tst-tpp.h): New.

2020-11-27  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 9ff2674ef82eccd5ae5dfa6bb733c0e3613764c6
	sh: Add sh4 fpu Implies folder

	* sysdeps/sh/be/sh4/fpu/Implies: New file.
	* sysdeps/sh/le/sh4/fpu/Implies: New file.
	* sysdeps/unix/sysv/linux/sh/be/sh4/fpu/Implies: New file.
	* sysdeps/unix/sysv/linux/sh/le/sh4/fpu/Implies: New file.

2020-11-26  Xiaoming Ni  <nixiaoming@huawei.com>

	COMMIT: 106ff08526d3ca574ba86d891450ea55aa929712
	io: nftw/ftw: Fix stack overflow with large nopenfd [BZ #26353]

	* io/Makefile: Modified.
	* io/ftw.c: Modified.
	(ftw_startup): Modified function.
	* io/tst-ftw-bz26353.c: New file.

2020-11-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: db07fae8250401adb2b97ab3e53d41da2a6bd767
	elf: Introduce enum opt_format in the ldconfig implementation

	* elf/cache.c: Modified.
	(save_cache): Modified function.
	* elf/ldconfig.c: Modified.
	(opt_format): Modified.
	(parse_opt): Modified function.
	* sysdeps/generic/ldconfig.h: Modified.
	(opt_format): Modified.
	(opt_format): New.

2020-11-26  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 603ae243f6fe03208a3bb92adecf72403367bd95
	support: Add support_copy_file

	* support/Makefile: Modified.
	* support/support.h: Modified.
	(support_copy_file): New function.
	* support/support_copy_file.c: New file.

2020-11-25  Florian Weimer  <fweimer@redhat.com>

	COMMIT: 05d38b3ef505af2fbe8df0d07f4158fc0e96a7a5
	NEWS entry for commit b4f020c9b408fb3d1d3d4901c4a71839145f8791

	* NEWS: Modified.

2020-11-25  Prasanth R  <prasanth.r@timesys.com>

	COMMIT: b4f020c9b408fb3d1d3d4901c4a71839145f8791
	timezone: Change zdump installation to bin directory

	* timezone/Makefile: Modified.

2020-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b4c3446836285fc3d1465dc9b8c587c8f50e4922
	nptl: Return EINVAL for invalid clock for pthread_clockjoin_np

	* manual/threads.texi: Modified.
	* nptl/pthread_clockjoin.c: Modified.
	(__pthread_clockjoin_np64): Modified function.
	(futex-internal.h): Include file.
	* sysdeps/pthread/Makefile: Modified.
	* sysdeps/pthread/tst-join15.c: New file.

2020-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 74f418b29d1e9463028f2ae4cc2a9c74d39aeaab
	nptl: Return EINVAL for pthread_mutex_clocklock/PI with CLOCK_MONOTONIC [BZ #26801]

	* nptl/Makefile: Modified.
	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock_common): Modified function.
	* nptl/tst-mutexpi10.c: New file.
	* sysdeps/pthread/tst-mutex5.c: Modified.
	(do_test): Modified function.
	* sysdeps/pthread/tst-mutex9.c: Modified.
	(do_test): Modified function.

2020-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: b45b1c5ba1df4d0315ffdd00a040ff9bc0597a8d
	nptl: Replace lll_futex_wake with futex-internal.h

	* nptl/pthread_mutex_setprioceiling.c: Modified.
	(pthread_mutex_setprioceiling): Modified function.
	* nptl/pthread_mutex_unlock.c: Modified.
	(__pthread_mutex_unlock_full): Modified function.
	* nptl/sem_post.c: Modified.
	[SHLIB_COMPAT (libpthread, GLIBC_2_0, GLIBC_2_1)](__old_sem_post): Modified function.

2020-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 2a45be88ed4753a9756d840b3182a87f2ae1200b
	nptl: Replace lll_futex_supported_clockid with futex-internal.h

	* nptl/pthread_mutex_timedlock.c: Modified.
	(__pthread_mutex_clocklock64): Modified function.

2020-11-25  Adhemerval Zanella  <adhemerval.zanella@linaro.org>

	COMMIT: 878fe624d44b8f6489b2d0de9bfdc09290a719a7
	nptl: Replace lll_futex_{timed_}wait by futex-internal.h

	* nptl/lowlevellock.c: Modified.
	[IS_IN (libpthread)](__lll_lock_wait): Modified function.
	(lowlevellock.h): Remove include.
	(__lll_lock_wait_private): Modified function.
	(futex-internal.h): Include file.
	* nptl/pthread_mutex_lock.c: Modified.
	(__pthread_mutex_lock_full): Modified function.
	* nptl/pthread_mutex_setprioceiling.c: Modified.
